#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(af_alg_register_type, 0x1c31e6f3, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0xd5fd33a1, "_gpl");
SYMBOL_CRC(af_alg_release, 0xe1c17ab6, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0x96ddad34, "_gpl");
SYMBOL_CRC(af_alg_accept, 0xfbe6cc04, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x226a8312, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0x61a5044e, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0xaa0576f7, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0x4400e436, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0xc27d0a64, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x00c5f743, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0xc113e600, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0xa649d195, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0x683a879a, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xce807a25, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xea92ab1a, "sk_alloc" },
	{ 0xd1da99cf, "sock_init_data" },
	{ 0x3b612fb, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xab40fadf, "extract_iter_to_sg" },
	{ 0xd197a7a8, "module_put" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x63cd545b, "try_module_get" },
	{ 0xdad0795a, "lock_sock_nested" },
	{ 0xf2b002a1, "release_sock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xbab9948f, "proto_unregister" },
	{ 0x112c208, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x940a0119, "proto_register" },
	{ 0xf48417c9, "sock_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5ea54656, "sk_free" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x2a7498bd, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x48f392fd, "__folio_put" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xca2dea1e, "sock_wake_async" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2dfa0109, "_copy_from_iter" },
	{ 0x69acdf38, "memcpy" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x92997ed8, "_printk" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1fb88d21, "sock_kzfree_s" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x15b5037f, "key_put" },
	{ 0xc4db8bfb, "sock_no_connect" },
	{ 0x519f2527, "sock_no_socketpair" },
	{ 0x26bcccec, "sock_no_getname" },
	{ 0x7dfe852d, "sock_no_ioctl" },
	{ 0x30566a86, "sock_no_listen" },
	{ 0x3ebcc3c8, "sock_no_shutdown" },
	{ 0xe8f6d8e6, "sock_no_sendmsg" },
	{ 0xa738b53e, "sock_no_recvmsg" },
	{ 0x78bc823f, "sock_no_mmap" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F8A928225DC9354E89634B");

MODULE_INFO(suserelease, "SLE15-SP6");
