#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x79a3c71c, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x06efa4ab, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x087cc377, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xba53abb6, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xe05d07bc, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x222fca1a, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xac7a6e0a, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xb1feb9fd, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x3b438af0, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x113f013e, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x40673af8, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xafa2f504, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xc37ed931, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xd5fdfe90, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xcc0331a9, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x20554944, "kthread_queue_work" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd46fe5e4, "_dev_err" },
	{ 0xfe83b493, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x7631a47, "kthread_create_worker" },
	{ 0x80529796, "_dev_info" },
	{ 0x98d9d823, "sched_set_fifo" },
	{ 0xf9a482f9, "msleep" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0x7d41e1ce, "kthread_destroy_worker" },
	{ 0x9492c926, "crypto_enqueue_request" },
	{ 0xccad4e04, "crypto_dequeue_request" },
	{ 0x59d113cd, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1B26E4A6A17DA4EF3D4A6E1");

MODULE_INFO(suserelease, "SLE15-SP6");
