#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(simd_skcipher_create_compat, 0x88638552, "_gpl");
SYMBOL_CRC(simd_skcipher_create, 0x66983e96, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x49579eea, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0x29e2e8fc, "_gpl");
SYMBOL_CRC(simd_aead_create_compat, 0x504cb053, "_gpl");
SYMBOL_CRC(simd_aead_create, 0x851c747c, "_gpl");
SYMBOL_CRC(simd_aead_free, 0xbfd26f15, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xabd43076, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0x59508142, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeaf714f0, "crypto_skcipher_encrypt" },
	{ 0x29977ecd, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8f45465f, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x698dcdcd, "crypto_register_aead" },
	{ 0x3b237bbb, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x41ae9387, "crypto_register_aeads" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x1dc1d35, "crypto_alloc_aead" },
	{ 0xd5911ad4, "crypto_aead_setauthsize" },
	{ 0xf933d8c5, "crypto_aead_decrypt" },
	{ 0x3b10528c, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xac966020, "crypto_unregister_aeads" },
	{ 0x686ea42f, "crypto_destroy_tfm" },
	{ 0xac833a6a, "cryptd_skcipher_child" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xfe579cf7, "crypto_skcipher_decrypt" },
	{ 0x56c01658, "cryptd_alloc_skcipher" },
	{ 0xb8aaa1bc, "crypto_aead_setkey" },
	{ 0x369adbea, "crypto_register_skcipher" },
	{ 0x1cb35b80, "crypto_aead_encrypt" },
	{ 0x8fb48b1a, "cryptd_aead_queued" },
	{ 0xe16ab3d9, "crypto_unregister_skcipher" },
	{ 0x1537c2e2, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15b848c9, "cryptd_skcipher_queued" },
	{ 0x6e689a3d, "cryptd_free_aead" },
	{ 0x9bac2167, "crypto_unregister_skciphers" },
	{ 0xe0b61e04, "cryptd_free_skcipher" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xb2104283, "crypto_alloc_skcipher" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "AA924B3ED56BBDE545A3CD0");

MODULE_INFO(suserelease, "SLE15-SP6");
