#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8aaa1bc, "crypto_aead_setkey" },
	{ 0x3b10528c, "crypto_skcipher_setkey" },
	{ 0x6ca5f301, "crypto_shash_tfm_digest" },
	{ 0xfe579cf7, "crypto_skcipher_decrypt" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x8e42537a, "crypto_grab_skcipher" },
	{ 0x9f984513, "strrchr" },
	{ 0x349cba85, "strchr" },
	{ 0xc032cde4, "crypto_alg_mod_lookup" },
	{ 0xd1c6f406, "crypto_mod_put" },
	{ 0x92997ed8, "_printk" },
	{ 0xc277d4d9, "crypto_grab_aead" },
	{ 0x995ea81c, "shash_no_setkey" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6015f200, "aead_register_instance" },
	{ 0x95189cc, "skcipher_register_instance" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0xf933d8c5, "crypto_aead_decrypt" },
	{ 0x1cb35b80, "crypto_aead_encrypt" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcb8bfb47, "crypto_register_template" },
	{ 0x37a0cba, "kfree" },
	{ 0x686ea42f, "crypto_destroy_tfm" },
	{ 0xd5911ad4, "crypto_aead_setauthsize" },
	{ 0xf25b86bd, "crypto_cipher_encrypt_one" },
	{ 0xeaf714f0, "crypto_skcipher_encrypt" },
	{ 0x4a186767, "crypto_drop_spawn" },
	{ 0xa9a7ce73, "crypto_unregister_template" },
	{ 0x8af58910, "crypto_alloc_base" },
	{ 0xafb17bb7, "crypto_alloc_shash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe486a8f, "crypto_spawn_tfm2" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x7a1c71a9, "crypto_shash_update" },
	{ 0x8a302bae, "crypto_shash_finup" },
	{ 0x2a31fb4d, "crypto_cipher_setkey" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "authenc");


MODULE_INFO(srcversion, "648A5E6B4FDD4AF4A258838");

MODULE_INFO(suserelease, "SLE15-SP6");
