#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(drm_gem_vram_create, 0x4c8fe2b5, "");
SYMBOL_CRC(drm_gem_vram_put, 0x8130d45b, "");
SYMBOL_CRC(drm_gem_vram_offset, 0xb3a3a5db, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x1be27402, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0xe2995e52, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xeb839c1d, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xf8601758, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xb5eac467, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x50fa17f8, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x767e2f39, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x7a69134a, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0xf61dd593, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x285ccd95, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xc8f99672, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x07cfef1d, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x14a40bce, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd4063e4, "ttm_range_man_init_nocheck" },
	{ 0x8ccdd9ad, "ww_mutex_lock_interruptible" },
	{ 0x4be81a74, "ttm_resource_manager_debug" },
	{ 0xc639ff7e, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xa768ef72, "ttm_range_man_fini_nocheck" },
	{ 0xcf241c79, "drm_gem_object_init" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x16783024, "ttm_bo_pin" },
	{ 0x40df1fe, "dev_driver_string" },
	{ 0x47b1c960, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x91f2b99f, "__drmm_add_action_or_reset" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x141b59b4, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x12bdc97, "drm_gem_object_release" },
	{ 0xe937e835, "ttm_tt_init" },
	{ 0xb5dc6e0c, "drm_gem_handle_create" },
	{ 0x16606ca5, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb50e10b5, "ttm_bo_unpin" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0x88e6fb81, "drm_debugfs_add_files" },
	{ 0x362a156a, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf887e1ed, "ttm_device_init" },
	{ 0x4eb36c82, "ttm_bo_validate" },
	{ 0xed65cf7d, "ttm_bo_move_to_lru_tail" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x1ef8ccea, "ttm_bo_vmap" },
	{ 0xb34d3c53, "ttm_bo_put" },
	{ 0xde52df57, "ttm_resource_free" },
	{ 0x5860f5fe, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9a2cd9a1, "ttm_tt_fini" },
	{ 0x16334119, "ttm_device_fini" },
	{ 0xae59735d, "drm_gem_plane_helper_prepare_fb" },
	{ 0xc1e3ed4c, "ttm_bo_eviction_valuable" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x2da54079, "drm_gem_ttm_print_info" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "7AE0AE9C03F5998B04013AB");

MODULE_INFO(suserelease, "SLE15-SP6");
