#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb3a3a5db, "drm_gem_vram_offset" },
	{ 0x95fead26, "drm_dev_enter" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x542c5cad, "drm_add_edid_modes" },
	{ 0xd44b5a1e, "drm_add_modes_noedid" },
	{ 0x233f23d9, "drm_set_preferred_mode" },
	{ 0x23dbdb58, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x247a2c89, "drm_dev_alloc" },
	{ 0x7b33d208, "pcim_enable_device" },
	{ 0x7b128239, "drmm_kmalloc" },
	{ 0x7574389d, "pci_request_region" },
	{ 0xde80cd09, "ioremap" },
	{ 0x85bd1608, "__request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x7cfef1d, "drmm_vram_helper_init" },
	{ 0xac50d5ab, "drmm_mode_config_init" },
	{ 0x88e29082, "drm_connector_init" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0x4e33d5fb, "drm_do_get_edid" },
	{ 0x1a037b2b, "drm_simple_display_pipe_init" },
	{ 0xd51f3d39, "drm_mode_config_reset" },
	{ 0x751f5af, "drm_dev_register" },
	{ 0xa33563, "drm_fbdev_generic_setup" },
	{ 0xf79a04bc, "drm_connector_attach_edid_property" },
	{ 0xa0bc5af1, "drm_connector_update_edid_property" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x3745eb8b, "__pci_register_driver" },
	{ 0xc8f99672, "drm_vram_mm_debugfs_init" },
	{ 0x50fa17f8, "drm_gem_vram_driver_dumb_create" },
	{ 0x851c83b2, "drm_gem_ttm_dumb_map_offset" },
	{ 0xa67ce49f, "noop_llseek" },
	{ 0xe4a81c97, "drm_read" },
	{ 0xae1c1069, "drm_poll" },
	{ 0x5bab551b, "drm_ioctl" },
	{ 0xa605e18b, "drm_compat_ioctl" },
	{ 0xee2562be, "drm_gem_mmap" },
	{  0x2b907, "drm_open" },
	{ 0xafb04991, "drm_release" },
	{ 0x14a40bce, "drm_vram_helper_mode_valid" },
	{ 0xcd0730a9, "drm_atomic_helper_check" },
	{ 0x222d706e, "drm_atomic_helper_commit" },
	{ 0x3d36aad8, "drm_atomic_helper_connector_reset" },
	{ 0x5836c1d0, "drm_helper_probe_single_connector_modes" },
	{ 0x389263f7, "drm_connector_cleanup" },
	{ 0xb3d77cd1, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x4d9b7583, "drm_atomic_helper_connector_destroy_state" },
	{ 0xf61dd593, "drm_gem_vram_simple_display_pipe_prepare_fb" },
	{ 0x285ccd95, "drm_gem_vram_simple_display_pipe_cleanup_fb" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x21fbdf85, "drm_mode_config_helper_resume" },
	{ 0xc823f55d, "drm_mode_config_helper_suspend" },
	{ 0xed14b612, "drm_atomic_helper_shutdown" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xf9b9550b, "drm_gem_fb_create" },
	{ 0x8ab473c8, "pci_unregister_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x5e791661, "pci_release_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xdd38b5bc, "drm_dev_unplug" },
	{ 0x8f56cc59, "drm_dev_put" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "drm_vram_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v00001234d00001111sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001234d00001111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004321d00001111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FF723D1DFAD815C41F05258");

MODULE_INFO(suserelease, "SLE15-SP6");
