#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x088c0696, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x2e78e2f5, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xf3d742a1, "");
SYMBOL_CRC(rdma_res_to_id, 0x20a8b43c, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xe1855ff6, "");
SYMBOL_CRC(rdma_create_user_id, 0x6f2ec5cb, "");
SYMBOL_CRC(rdma_create_qp, 0x3aba0c8c, "");
SYMBOL_CRC(rdma_destroy_qp, 0xdda315df, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x9adcfe70, "");
SYMBOL_CRC(rdma_destroy_id, 0xf77fdfa5, "");
SYMBOL_CRC(rdma_get_service_id, 0xe8f8b95b, "");
SYMBOL_CRC(rdma_read_gids, 0x69bafa45, "");
SYMBOL_CRC(rdma_set_service_type, 0xef31a781, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xe0cee266, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x06c99796, "");
SYMBOL_CRC(rdma_set_ib_path, 0x99c00abc, "");
SYMBOL_CRC(rdma_resolve_route, 0xefcbb48e, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x7d35bba8, "");
SYMBOL_CRC(rdma_set_afonly, 0x7955cfdd, "");
SYMBOL_CRC(rdma_listen, 0x31724fc8, "");
SYMBOL_CRC(rdma_resolve_addr, 0xab203ff8, "");
SYMBOL_CRC(rdma_bind_addr, 0x476d5eda, "");
SYMBOL_CRC(rdma_connect_locked, 0x44e1e0d8, "");
SYMBOL_CRC(rdma_connect, 0x6995568f, "");
SYMBOL_CRC(rdma_connect_ece, 0xa386694a, "");
SYMBOL_CRC(rdma_accept, 0xb0513b3f, "");
SYMBOL_CRC(rdma_accept_ece, 0xfc8679ec, "");
SYMBOL_CRC(rdma_lock_handler, 0x11fc8d44, "");
SYMBOL_CRC(rdma_unlock_handler, 0xf4ca3942, "");
SYMBOL_CRC(rdma_notify, 0xcc409edf, "");
SYMBOL_CRC(rdma_reject, 0x3535f8aa, "");
SYMBOL_CRC(rdma_disconnect, 0x74fd0220, "");
SYMBOL_CRC(rdma_join_multicast, 0xc368e80d, "");
SYMBOL_CRC(rdma_leave_multicast, 0x2dbb37d4, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8efeb7e4, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x755f4101, "iw_create_cm_id" },
	{ 0x445e89b, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x40bfaf1a, "ib_unregister_client" },
	{ 0x35decf81, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2cca7939, "ib_send_cm_sidr_rep" },
	{ 0x1f38b857, "bpf_trace_run4" },
	{ 0x8205ba61, "config_group_init" },
	{ 0xbefe0952, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe7e58ac5, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0x9dab839f, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xabe9c66d, "rdma_query_gid" },
	{ 0x39742a36, "rt6_lookup" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x6c3796e5, "rdma_translate_ip" },
	{ 0xc68a20bf, "bpf_trace_run2" },
	{ 0x4d98753b, "rdma_dev_access_netns" },
	{ 0x8aa5a123, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc8d61161, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf7254fc8, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9e7ae3a4, "register_pernet_subsys" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0xfd5c1259, "ip_mc_inc_group" },
	{ 0x72320197, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xb8c1b67f, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x6bc71c41, "iw_cm_connect" },
	{ 0xfecbd03c, "rdma_restrack_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe5b02256, "rdma_addr_cancel" },
	{ 0xcee084c4, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x57ee11ce, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x8de93385, "ib_register_client" },
	{ 0x530cd32c, "ib_sa_path_rec_get" },
	{ 0xe93ce4b9, "ib_create_cm_id" },
	{ 0xf041ded7, "__ip_mc_dec_group" },
	{ 0x25d8b397, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0xebf4419f, "ib_init_ah_from_mcmember" },
	{ 0x99f2208a, "rdma_destroy_ah_attr" },
	{ 0xffecc215, "ib_set_client_data" },
	{ 0x2e1737b5, "init_net" },
	{ 0x8b7bde61, "ib_get_cached_pkey" },
	{ 0xdc2e99bb, "configfs_register_subsystem" },
	{ 0x3f457f33, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xb02d0ec3, "rdma_put_gid_attr" },
	{ 0x545109f9, "config_group_init_type_name" },
	{ 0xc678db0b, "dev_get_by_index" },
	{ 0x8778f786, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf15f993e, "ib_send_cm_rep" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd1d45164, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xa069e7c2, "bpf_trace_run1" },
	{ 0x7362acee, "ib_destroy_qp_user" },
	{ 0xd5061a64, "unregister_pernet_subsys" },
	{ 0x11179aa2, "ib_cm_init_qp_attr" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0xa0c31a53, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x60b2b3b3, "rdma_restrack_set_name" },
	{ 0x7d3bf464, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x63d12d6c, "ib_get_cached_port_state" },
	{ 0xec42c3b5, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x475a608c, "rdma_restrack_del" },
	{ 0x24fd980b, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xe37575f5, "bpf_trace_run3" },
	{ 0x494095d5, "__put_net" },
	{ 0xf27a7a47, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7804c4c8, "iw_cm_accept" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcad172c1, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb88a1810, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x284338a9, "iw_cm_init_qp_attr" },
	{ 0xd07b39a2, "dst_release" },
	{ 0x18ddbfd9, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x27512d95, "ib_send_cm_dreq" },
	{ 0x98248a94, "ib_send_cm_req" },
	{ 0x8db07d1e, "ib_create_qp_kernel" },
	{ 0xebd241e2, "ib_sa_join_multicast" },
	{ 0x9cee6b03, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6865b387, "rdma_get_gid_attr" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x1356179b, "rdma_restrack_new" },
	{ 0xf158a5d7, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x283a671f, "iw_cm_listen" },
	{ 0xbf6a2b51, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd2fcb6ec, "rdma_copy_src_l2_addr" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x551f573c, "rdma_resolve_ip" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm,configfs");


MODULE_INFO(srcversion, "51AACFDFD611210FB53129E");

MODULE_INFO(suserelease, "SLE15-SP6");
