#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6e3ccb4, "pin_user_pages_fast" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x16207a38, "ib_umem_release" },
	{ 0xf139bc6f, "pcie_capability_write_word" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x680e3cfd, "__rdma_block_iter_start" },
	{ 0xb9a4e9e1, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x1220bf53, "pci_enable_device" },
	{ 0xbea26de2, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf44a7dab, "pci_dev_put" },
	{ 0x6644920a, "mult_to_ib_rate" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe9e799fc, "ib_ud_header_pack" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc12f3ad0, "pci_get_device" },
	{ 0x92ed54f2, "dma_unmap_page_attrs" },
	{ 0x73baf9a2, "ib_modify_qp_is_ok" },
	{ 0x3745eb8b, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x2c846d84, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x11bba7fd, "pci_request_regions" },
	{ 0xf2ebdac4, "remap_pfn_range" },
	{ 0x61373fd2, "__rdma_block_iter_next" },
	{ 0x37a0cba, "kfree" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf9d8e0c8, "pci_irq_vector" },
	{ 0x80eb813f, "_ib_alloc_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8ab473c8, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x902e87bf, "rdma_create_ah" },
	{ 0x34b7c829, "pci_read_config_dword" },
	{ 0x3dbb5853, "ib_unregister_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85c95cfc, "dma_map_page_attrs" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x27c31231, "ib_register_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x80529796, "_dev_info" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x823dc662, "ib_unregister_mad_agent" },
	{ 0x41dfed69, "pci_find_capability" },
	{ 0x7d8a3692, "ib_post_send_mad" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd3172c09, "ib_create_send_mad" },
	{ 0x322d73e8, "ib_dispatch_event" },
	{ 0xb7852a05, "ib_ud_header_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xd46fe5e4, "_dev_err" },
	{ 0x8b7bde61, "ib_get_cached_pkey" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x5c7dfaf1, "ib_umem_get" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6d404235, "pcix_get_max_mmrbc" },
	{ 0xa21e15e, "dma_alloc_attrs" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xb15003b0, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5987bc79, "ib_rate_to_mult" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x28e978f4, "dma_sync_single_for_cpu" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x112c208, "unpin_user_page" },
	{ 0x2ddc3136, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x63e22461, "rdma_destroy_ah_user" },
	{ 0xe72f8ba2, "ib_dealloc_device" },
	{ 0x5c575ecb, "ib_free_send_mad" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x487d8a6e, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xeec447b, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5e791661, "pci_release_regions" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf22dfd2d, "pci_disable_device" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xd52e4c1b, "pcie_set_readrq" },
	{ 0xa9855bdf, "ib_register_mad_agent" },
	{ 0x1ce34c2b, "dma_set_mask" },
	{ 0xb97cc4d3, "dma_unmap_sg_attrs" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x6793c0ae, "_dev_printk" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfcb900a6, "pci_free_irq_vectors" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfc0572e9, "pcix_set_mmrbc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x76a0640, "pci_write_config_dword" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xb61a4a12, "ib_set_device_ops" },
	{ 0xa30ba6ca, "dma_map_sg_attrs" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "ib_uverbs,ib_core");

MODULE_ALIAS("pci:v000015B3d00005A44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00005A44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006282sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006282sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006274sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006274sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00005E8Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00005E8Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "4B0CE5BD60B61E3A5D33F42");

MODULE_INFO(suserelease, "SLE15-SP6");
