#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtrs_srv_resp_rdma, 0xcc6effc9, "");
SYMBOL_CRC(rtrs_srv_set_sess_priv, 0xfbcc52fd, "");
SYMBOL_CRC(rtrs_srv_get_path_name, 0x7535f968, "");
SYMBOL_CRC(rtrs_srv_get_queue_depth, 0xc3c27ea6, "");
SYMBOL_CRC(rtrs_srv_open, 0x709efdd5, "");
SYMBOL_CRC(rtrs_srv_close, 0x4b61a80e, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0x40bfaf1a, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1f38b857, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x66b9d409, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2c846d84, "dma_sync_single_for_device" },
	{ 0x7288bda, "device_initialize" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x665e1fa0, "rtrs_post_recv_empty" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xc24219e2, "ib_dereg_mr_user" },
	{ 0x7e9b10ef, "rtrs_iu_post_send" },
	{ 0x44430d1f, "get_device" },
	{ 0x3535f8aa, "rdma_reject" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x74fd0220, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37e45411, "rtrs_rdma_dev_pd_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xdc7cf587, "rtrs_ib_dev_find_or_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe1855ff6, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf2b97d25, "put_device" },
	{ 0x9491b6f9, "rtrs_rdma_dev_pd_deinit" },
	{ 0xa916b694, "strnlen" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x476d5eda, "rdma_bind_addr" },
	{ 0x8de93385, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xd096ca36, "rtrs_iu_free" },
	{ 0x67a4f1, "ib_map_mr_sg" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x2e1737b5, "init_net" },
	{ 0xada83e92, "device_add" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf19b40c3, "kobj_sysfs_ops" },
	{ 0x7ed735be, "rtrs_cq_qp_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0x8238cafb, "rtrs_iu_post_recv" },
	{ 0x70e78d91, "kobject_init_and_add" },
	{ 0x31724fc8, "rdma_listen" },
	{ 0xe229f10, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x521a6bfd, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x836e45fe, "sysfs_remove_file_self" },
	{ 0xc001d93a, "device_del" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x28e978f4, "dma_sync_single_for_cpu" },
	{ 0x22b6e20a, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x75e4770f, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x5738f80f, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xaa4d1077, "ib_dma_virt_map_sg" },
	{ 0x3953dba3, "kobject_del" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0xf77fdfa5, "rdma_destroy_id" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb0513b3f, "rdma_accept" },
	{ 0x4ed26ec9, "rtrs_start_hb" },
	{ 0xa1712399, "kobject_uevent" },
	{ 0x4144b50b, "ib_drain_qp" },
	{ 0xb97cc4d3, "dma_unmap_sg_attrs" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xc3110fbe, "rtrs_cq_qp_create" },
	{ 0xd246b862, "rtrs_ib_dev_put" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x52c5c9c0, "rtrs_init_hb" },
	{ 0x68b59167, "rtrs_stop_hb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xc8ebb516, "rtrs_send_hb_ack" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa2e19d43, "rtrs_iu_alloc" },
	{ 0x93c2ea6d, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xab313b99, "kobject_get" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xa30ba6ca, "dma_map_sg_attrs" },
	{ 0xe371d84a, "kobject_put" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,ib_core,rdma_cm");


MODULE_INFO(srcversion, "B648EA9E0A62CAEE3A6B2C9");

MODULE_INFO(suserelease, "SLE15-SP6");
