#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(md_cluster_ops, 0x2652af41, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(_md_handle_reqeust, 0xa9edb3a8, "");
SYMBOL_CRC(md_handle_request, 0xa0a95b5c, "");
SYMBOL_CRC(mddev_suspend, 0x20faf250, "_gpl");
SYMBOL_CRC(mddev_resume, 0x83bc1918, "_gpl");
SYMBOL_CRC(md_flush_request, 0x69bd2748, "");
SYMBOL_CRC(mddev_init, 0x9a637441, "_gpl");
SYMBOL_CRC(mddev_destroy, 0xc4d3681f, "_gpl");
SYMBOL_CRC(mddev_unlock, 0x6d071ff6, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0x5d908597, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0x237fa221, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0xaabc082e, "_gpl");
SYMBOL_CRC(sync_page_io, 0xb57d1918, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0x218c8e3a, "");
SYMBOL_CRC(md_integrity_register, 0x15c9fdb6, "");
SYMBOL_CRC(md_integrity_add_rdev, 0x29b5bef9, "");
SYMBOL_CRC(md_update_sb, 0x6d901a19, "");
SYMBOL_CRC(md_rdev_init, 0x42c1a278, "_gpl");
SYMBOL_CRC(md_idle_sync_thread, 0x5f253531, "_gpl");
SYMBOL_CRC(md_frozen_sync_thread, 0x70d28ba1, "_gpl");
SYMBOL_CRC(md_unfrozen_sync_thread, 0x83adeba7, "_gpl");
SYMBOL_CRC(md_run, 0x0ac41b57, "_gpl");
SYMBOL_CRC(md_start, 0x1afc112f, "_gpl");
SYMBOL_CRC(md_stop_writes, 0xd611513a, "_gpl");
SYMBOL_CRC(md_stop, 0x3f6a5946, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0x0368317d, "");
SYMBOL_CRC(md_wakeup_thread, 0xc287fd8c, "");
SYMBOL_CRC(md_register_thread, 0xa623fb76, "");
SYMBOL_CRC(md_unregister_thread, 0x1bffe6c4, "");
SYMBOL_CRC(md_error, 0x27c1acf3, "");
SYMBOL_CRC(register_md_personality, 0xf8840124, "");
SYMBOL_CRC(unregister_md_personality, 0xc9f335c8, "");
SYMBOL_CRC(register_md_cluster_operations, 0xb0be25f2, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0xebe474bd, "");
SYMBOL_CRC(md_write_start, 0xbc97ac30, "");
SYMBOL_CRC(md_write_inc, 0xf8df074a, "");
SYMBOL_CRC(md_write_end, 0xd1bebe5b, "");
SYMBOL_CRC(md_submit_discard_bio, 0x09996d2b, "_gpl");
SYMBOL_CRC(md_account_bio, 0x351085e8, "_gpl");
SYMBOL_CRC(md_free_cloned_bio, 0x1a52e763, "_gpl");
SYMBOL_CRC(md_allow_write, 0xe4255449, "_gpl");
SYMBOL_CRC(md_do_sync, 0x5a26fe49, "_gpl");
SYMBOL_CRC(md_check_recovery, 0xfa2886a1, "");
SYMBOL_CRC(md_reap_sync_thread, 0xd724f0cc, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0xeb9e24ce, "");
SYMBOL_CRC(md_finish_reshape, 0x010307f6, "");
SYMBOL_CRC(rdev_set_badblocks, 0x46ca4bc2, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0xaefb4ba9, "_gpl");
SYMBOL_CRC(md_reload_sb, 0x10ba50a7, "");
SYMBOL_CRC(md_bitmap_update_sb, 0xb4a44ce2, "");
SYMBOL_CRC(md_bitmap_unplug, 0x83170e6a, "");
SYMBOL_CRC(md_bitmap_unplug_async, 0x686d4f7c, "");
SYMBOL_CRC(md_bitmap_startwrite, 0x058c7d1b, "");
SYMBOL_CRC(md_bitmap_endwrite, 0xa38acbee, "");
SYMBOL_CRC(md_bitmap_start_sync, 0x19bfcc4b, "");
SYMBOL_CRC(md_bitmap_end_sync, 0xfd934b96, "");
SYMBOL_CRC(md_bitmap_close_sync, 0x08bfac15, "");
SYMBOL_CRC(md_bitmap_cond_end_sync, 0x2c78b280, "");
SYMBOL_CRC(md_bitmap_sync_with_cluster, 0x542993d5, "");
SYMBOL_CRC(md_bitmap_free, 0xfff713a9, "");
SYMBOL_CRC(md_bitmap_load, 0xb0acb4e3, "_gpl");
SYMBOL_CRC(get_bitmap_from_slot, 0x587bca91, "");
SYMBOL_CRC(md_bitmap_copy_from_slot, 0x073bfa20, "_gpl");
SYMBOL_CRC(md_bitmap_resize, 0x8a15fdd4, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xac78fe0d, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0xab980ef7, "set_disk_ro" },
	{ 0x52866533, "__blk_alloc_disk" },
	{ 0x64850f18, "blk_integrity_register" },
	{ 0x63cd545b, "try_module_get" },
	{ 0xfda16b05, "alloc_page_buffers" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0xb4013715, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdf01f86c, "blk_start_plug" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9cd91791, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfce6795e, "proc_create" },
	{ 0x8599482b, "bio_split_to_limits" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xb0e602eb, "memmove" },
	{ 0x43b14164, "seq_release" },
	{ 0x9350f6cd, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xc94221d5, "badblocks_set" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x866bf687, "fget" },
	{ 0xcf80ee89, "sysfs_unbreak_active_protection" },
	{ 0xfe9ee3ba, "invalidate_mapping_pages" },
	{ 0x105f91c3, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xac6c96a9, "badblocks_exit" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xdc164e7b, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xb89580a7, "blk_queue_write_cache" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xcf42fbf4, "ack_all_badblocks" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xd5a09acd, "kernfs_notify" },
	{ 0x16b08d70, "submit_bh" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbca1afef, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3bec8a4, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x8357fc0d, "bio_clone_blkg_association" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x9de376fd, "bioset_integrity_create" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1953c958, "mempool_create" },
	{ 0xf93c852d, "put_disk" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc2f9ac28, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd691c6a9, "unregister_sysctl_table" },
	{ 0xf3039abb, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x723033bb, "sync_blockdev" },
	{ 0xf0779249, "free_buffer_head" },
	{ 0xa916b694, "strnlen" },
	{ 0x8623e9e7, "blk_queue_flag_set" },
	{ 0xb505b8ef, "blkdev_put" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x419eee3e, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbaef65b6, "submit_bio" },
	{ 0xd197a7a8, "module_put" },
	{ 0xaa301f5, "blk_queue_flag_clear" },
	{ 0x31eeb12b, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd4fc157a, "sysfs_create_link" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x58b89461, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xe3eca430, "flush_signals" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xc548bf53, "bio_put" },
	{ 0xc6436c43, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c569373, "__SCK__tp_func_block_bio_remap" },
	{ 0x75c7a4e0, "fput" },
	{ 0x7e63190b, "kobject_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb2d8c966, "sysfs_remove_link" },
	{ 0x2fa01fff, "blkdev_get_by_dev" },
	{ 0x7283161b, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9fc08878, "submit_bio_noacct" },
	{ 0x15022929, "blk_integrity_compare" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbd8c3093, "blk_sync_queue" },
	{ 0x2be9888a, "seq_file_path" },
	{ 0xab87a9a4, "kernfs_find_and_get_ns" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7c6b987d, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0xcbb5347e, "__blk_trace_note_message" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x11bf3f46, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x521a6bfd, "sysfs_create_group" },
	{ 0xc5ae7fca, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa6cfddd0, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x1b58c7c0, "bio_init" },
	{ 0xccd3bb70, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xd658e4db, "invalidate_bdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4b6551ec, "kthread_create_on_node" },
	{ 0x5738f80f, "sysfs_remove_group" },
	{ 0xdd969597, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3953dba3, "kobject_del" },
	{ 0xa0b26666, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0xef29d658, "bioset_init" },
	{ 0x8e9d9aaf, "file_path" },
	{ 0x6ce10e9d, "kernfs_put" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44bc5e0, "sysfs_break_active_protection" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x48f392fd, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa851f63e, "remove_proc_entry" },
	{ 0x7822b830, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40985489, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa1712399, "kobject_uevent" },
	{ 0xa4890282, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfbeb20f4, "bd_link_disk_holder" },
	{ 0xa8181adf, "proc_dointvec" },
	{ 0x1b034c14, "seq_puts" },
	{ 0xf782fb07, "percpu_ref_switch_to_atomic_sync" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1fe26ae1, "seq_open" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x285b2a6a, "badblocks_clear" },
	{ 0x3f5deaa7, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2907e92, "badblocks_store" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x94bc69ac, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0xd65e4a10, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x84d505a3, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe371d84a, "kobject_put" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C5DE87FA3426599C7E7CD6D");

MODULE_INFO(suserelease, "SLE15-SP6");
