#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x7523e2ea, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xfd152c5a, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x4c1f1b38, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x97d50fa7, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x289c1271, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x12a27dc3, "__tracepoint_xdp_exception" },
	{ 0x5bb4a0d8, "xsk_tx_completed" },
	{ 0xeb770d12, "alloc_etherdev_mqs" },
	{ 0x1cf516e6, "netdev_lower_get_next" },
	{ 0x2a02331a, "flow_block_cb_lookup" },
	{ 0x1837a255, "pci_save_state" },
	{ 0x30eab5e2, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5369ac13, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xaf60b125, "device_set_wakeup_enable" },
	{ 0xe2d18bbd, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1169429c, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x75542d82, "pci_find_ext_capability" },
	{ 0x7631a47, "kthread_create_worker" },
	{ 0x65f264aa, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x86a74977, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xc18f2c30, "devlink_unregister" },
	{ 0x64519b38, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x91d4ca19, "devm_request_threaded_irq" },
	{ 0xb550ebab, "kthread_cancel_delayed_work_sync" },
	{ 0xbf87e5f5, "dpll_device_change_ntf" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfe83b493, "devm_kmalloc" },
	{ 0x92d90635, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xe6b5b9d5, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf12caedb, "call_switchdev_notifiers" },
	{ 0xef56c3d0, "__napi_alloc_skb" },
	{ 0x5782afce, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9c99b43c, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcf309ef, "ethtool_forced_speed_maps_init" },
	{ 0xe6177ec5, "auxiliary_device_init" },
	{ 0xae97f7f3, "pci_enable_device_mem" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xbd39dbff, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbea26de2, "pci_alloc_irq_vectors" },
	{ 0xf5e30131, "flow_rule_match_l2tpv3" },
	{ 0xccdb59c1, "netif_napi_add_weight" },
	{ 0xffad72ba, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb3da1980, "xsk_tx_peek_release_desc_batch" },
	{ 0x66656483, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x697231c, "dmam_alloc_attrs" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0x665027f9, "devl_lock" },
	{ 0xf44a7dab, "pci_dev_put" },
	{ 0x2b9f1dd4, "xp_fill_cb" },
	{ 0x4517f0c6, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf85ea583, "ndo_dflt_bridge_getlink" },
	{ 0x128b1f61, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5e9161b6, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xa5c55a19, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x33dbdf4b, "xdp_features_set_redirect_target" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc12f3ad0, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x92ed54f2, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb2bd2008, "request_firmware" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0x86407fa1, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xefc02fa4, "flow_rule_match_cvlan" },
	{ 0x3745eb8b, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x5c90b721, "devlink_params_unregister" },
	{ 0x2c846d84, "dma_sync_single_for_device" },
	{ 0xa704bed6, "pci_num_vf" },
	{ 0xf458c050, "flow_rule_match_eth_addrs" },
	{ 0xd6ddcc, "skb_add_rx_frag" },
	{ 0x4659e810, "get_device_system_crosststamp" },
	{ 0xff14bc95, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xca1e8136, "ptp_clock_index" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x24ea04d4, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x47fed63f, "devlink_alloc_ns" },
	{ 0x1120a9f1, "devl_rate_leaf_destroy" },
	{ 0xfd84cdc6, "devlink_register" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xe972a222, "xdp_do_redirect" },
	{ 0xbf22ca0, "devlink_free" },
	{ 0x92abb03c, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc68a20bf, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xfffc9421, "devl_rate_node_create" },
	{ 0x4fe2f444, "netdev_warn" },
	{ 0x4467c9be, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2c221946, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xacaef3b7, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf9d8e0c8, "pci_irq_vector" },
	{ 0x6d8ab191, "flow_rule_match_ipv4_addrs" },
	{ 0xc0bc798b, "__netif_napi_del" },
	{ 0x5bc9c6a9, "dpll_pin_on_pin_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xd1f4322e, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc1d10c92, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x8ab473c8, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xd2585228, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa1381b4a, "pskb_expand_head" },
	{ 0xb512ca50, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xeb756cd0, "devlink_flash_update_status_notify" },
	{ 0x40df1fe, "dev_driver_string" },
	{ 0x5d9b5a6f, "pci_restore_msi_state" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x74b2a53b, "xdp_return_buff" },
	{ 0x64b410b8, "dev_addr_mod" },
	{ 0x916ba181, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x3e37f930, "convert_art_ns_to_tsc" },
	{ 0x3a26ed11, "sched_clock" },
	{ 0x856e536b, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x241c10ce, "auxiliary_driver_unregister" },
	{ 0x85c95cfc, "dma_map_page_attrs" },
	{ 0x4057fc0c, "napi_complete_done" },
	{ 0x664c1975, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x94741d6c, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x63e26c9a, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xc6166c8b, "skb_checksum_help" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf2b97d25, "put_device" },
	{ 0xf895f96d, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0xb332fea4, "__napi_schedule" },
	{ 0x8e5a2acc, "ipv6_skip_exthdr" },
	{ 0x12772cf8, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x9788dfe3, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xd1ab3c61, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x486ef679, "netdev_dpll_pin_clear" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xecde97b6, "__hw_addr_unsync_dev" },
	{ 0x80529796, "_dev_info" },
	{ 0x2979cbcd, "napi_gro_receive" },
	{ 0xa88d26f3, "netif_device_attach" },
	{ 0xdd6a3b64, "xdp_features_clear_redirect_target" },
	{ 0x96431e9b, "netdev_pick_tx" },
	{ 0x48a71007, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x845b8447, "xp_raw_get_dma" },
	{ 0x746172dc, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xef5c58f8, "pci_iov_virtfn_devfn" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xd8eec371, "xdp_rxq_info_is_reg" },
	{ 0xcfbf8ee, "flow_rule_match_enc_opts" },
	{ 0x686f7166, "flow_block_cb_setup_simple" },
	{ 0x58815a86, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf660c79c, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x2bb26ac6, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x25a0809, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xbbfeb457, "devlink_region_create" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x25d8b397, "vlan_dev_real_dev" },
	{ 0x9a09cf7d, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf97db972, "devm_kmemdup" },
	{ 0xc7114328, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xe339ac82, "devlink_port_unregister" },
	{ 0xa679f8a7, "devlink_flash_update_timeout_notify" },
	{ 0xec27aed7, "devm_kfree" },
	{ 0xd46fe5e4, "_dev_err" },
	{ 0x2e1737b5, "init_net" },
	{ 0xe56f5814, "softnet_data" },
	{ 0xcc7d87ea, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbcbd3331, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xb641782b, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x4d383340, "xp_dma_sync_for_cpu_slow" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd4358395, "netif_set_real_num_tx_queues" },
	{ 0x37f725cf, "__auxiliary_device_add" },
	{ 0xc7f7eaa8, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xb11996d6, "netif_set_real_num_rx_queues" },
	{ 0xca750309, "flow_indr_block_cb_alloc" },
	{ 0xaffacc9a, "pci_wait_for_pending_transaction" },
	{ 0xf0f47aa9, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x47eb2463, "pci_device_is_present" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x68ff5714, "debugfs_remove" },
	{ 0xb1ab37a5, "pci_read_config_word" },
	{ 0xef298499, "pcie_flr" },
	{ 0xb612aed, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x59ae46c2, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x905e8a95, "dcbnl_ieee_notify" },
	{ 0x6897b8a5, "xsk_uses_need_wakeup" },
	{ 0xbd51ae2, "register_netdev" },
	{ 0x1ee4a79b, "dev_mc_del" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xaa7b08cf, "free_netdev" },
	{ 0x7652e628, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x245212e3, "netdev_dpll_pin_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdd18c20c, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xa57d4f42, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x49586ffd, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x87a4129d, "netif_tx_stop_all_queues" },
	{ 0x3ca42218, "pci_restore_state" },
	{ 0xa069e7c2, "bpf_trace_run1" },
	{ 0xd0b91195, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xc001d93a, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x28e978f4, "dma_sync_single_for_cpu" },
	{ 0xd57f34f1, "dcb_getapp" },
	{ 0x44f8fb28, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0x2a3d5543, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5fccff74, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x6632aa36, "netif_schedule_queue" },
	{ 0xbc852513, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x2ddc3136, "pci_set_master" },
	{ 0xb40ec56d, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe240cbcb, "flow_rule_match_ipv6_addrs" },
	{ 0x758671d7, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x781fca97, "ptp_clock_unregister" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0xf6a50b0b, "xp_dma_unmap" },
	{ 0x60e55324, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xbe7b4b40, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x539867b3, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe6fd3a63, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x487d8a6e, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0xcf1a6b15, "devm_kasprintf" },
	{ 0x745a981, "xa_erase" },
	{ 0xb3ce18d9, "flow_rule_match_pppoe" },
	{ 0x90245334, "flow_rule_match_enc_control" },
	{ 0xe37575f5, "bpf_trace_run3" },
	{ 0xdd969597, "seq_read" },
	{ 0x7c492c97, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x97f8927c, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd4bf1a24, "debugfs_create_file" },
	{ 0xa812ae5f, "rps_may_expire_flow" },
	{ 0x3e5442c3, "metadata_dst_free" },
	{ 0x950f91aa, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5422613d, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4dbe29f, "devlink_params_register" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x7d41e1ce, "kthread_destroy_worker" },
	{ 0xb449e9fa, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8d3b6d97, "flow_rule_match_enc_ports" },
	{ 0x1873c45b, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xd3975378, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xaf1c3b2a, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xd8c53951, "pcie_print_link_status" },
	{ 0x9f40db9e, "xp_set_rxq_info" },
	{ 0xda3a2bc2, "flow_rule_match_vlan" },
	{ 0xe7259da5, "xdp_rxq_info_unreg" },
	{ 0x83ae103b, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5a68e6ff, "napi_build_skb" },
	{ 0xd2752da6, "netdev_master_upper_dev_get_rcu" },
	{ 0x85e18d7, "__xdp_rxq_info_reg" },
	{ 0xa2bd30e5, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x962aa973, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x40985489, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x7ce9430e, "dpll_pin_register" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5faf64a, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0x4b456d5f, "__hw_addr_sync_dev" },
	{ 0x7cfcbe56, "devlink_port_register_with_ops" },
	{ 0xd0063b6a, "pci_disable_sriov" },
	{ 0x21320eac, "pldmfw_flash_image" },
	{ 0xe2f9797b, "kthread_queue_delayed_work" },
	{ 0x51c9aad9, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd07b39a2, "dst_release" },
	{ 0x40a42b90, "netif_carrier_on" },
	{ 0xd8bdb1d5, "netdev_set_num_tc" },
	{ 0xb1023033, "dpll_device_register" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x17aaca32, "dev_uc_add_excl" },
	{ 0xf22dfd2d, "pci_disable_device" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x9bed6fca, "xp_free" },
	{ 0x78320ecd, "dev_mc_add_excl" },
	{ 0xb0feed3, "single_release" },
	{ 0x1ce34c2b, "dma_set_mask" },
	{ 0x59c5b0f9, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xed347ff3, "netif_set_tso_max_size" },
	{ 0x8e9d2f04, "__skb_flow_dissect" },
	{ 0xf0b9ea9e, "vlan_dev_vlan_id" },
	{ 0x7a1998f3, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x41f7c6eb, "pcim_iomap_table" },
	{ 0x3223851f, "xdp_master_redirect" },
	{ 0xd6e59287, "__devm_add_action" },
	{ 0x97712c6c, "dpll_pin_on_pin_register" },
	{ 0x5dc8fb28, "napi_schedule_prep" },
	{ 0x8e703197, "napi_consume_skb" },
	{ 0x4acb2064, "pci_read_config_byte" },
	{ 0x3fd5ac06, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x4db9062c, "napi_disable" },
	{ 0xda6c7155, "dev_kfree_skb_any_reason" },
	{ 0x99cd956a, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8bfc9a25, "single_open" },
	{ 0x7b33d208, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0x164f46b7, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfcb900a6, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2518bdf2, "flow_rule_match_control" },
	{ 0xbf93bd95, "flow_rule_match_ip" },
	{ 0x9b4a5e8d, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xca5315ca, "dpll_device_get" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xc2413a75, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xaf963762, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xf9ceaa3c, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x30a52e58, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8A03C5B6C5F739BEB5D6A4B");

MODULE_INFO(suserelease, "SLE15-SP6");
