#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mlx4_buf_alloc, 0xe49f2765, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0xb465dad7, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0xd5187d8d, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x437e5307, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x01698eb3, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0xe4ca047b, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x84d385d7, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x0c0a3b7c, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xbf35f355, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x92916b16, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x147e3236, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x06a9e87a, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x70d1e95d, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0xd7d53cd6, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0xb344c52f, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x15a232b5, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x021fa872, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x014333c9, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x08255340, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x7d98ed14, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0xd42c196c, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x2f743d63, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xd6a41dfd, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x8ac4c43b, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xdc2791c7, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x5ba6f330, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0xf022fd7b, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x31cddcf3, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x64b8478c, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x7a3c2a1d, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x328df09b, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x24260514, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0xb2e999b6, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x71da1d29, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0xb97ffd35, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xdc2ee0cd, "");
SYMBOL_CRC(mlx4_test_async, 0x6feafe00, "");
SYMBOL_CRC(mlx4_test_interrupt, 0xd70f3581, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x24a990c3, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x60b331cf, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xf8fe2c79, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0xc9f46284, "");
SYMBOL_CRC(mlx4_assign_eq, 0xb0993d3e, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x47d2193f, "");
SYMBOL_CRC(mlx4_release_eq, 0xf2a3c2ce, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0xf9d42ca5, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x84e70b32, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xad1bd027, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x9a797efe, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x93008a6d, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xdfd422e5, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x5a377a74, "");
SYMBOL_CRC(mlx4_wol_read, 0x1f633fde, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x68741ece, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x613ab7b0, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xcf730b64, "");
SYMBOL_CRC(set_phv_bit, 0xeaa360d1, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x91cf35ea, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xb08db7e5, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x1c3c9a13, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xf4d846da, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x3c176290, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x3d2f3e41, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0xdd584333, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0xf2bd1edb, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x436dc6c9, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x44c9c643, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0xdf4e7a1a, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x316c8592, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xffcfdd41, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x191d2707, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xb77f022b, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x1f8b5bf4, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0xf1175c3f, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x7453e4ea, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x58bdb7e3, "");
SYMBOL_CRC(mlx4_read_clock, 0x19295188, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x5979f659, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x8e5ef6ae, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x27cb5ac9, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0xa2512e39, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0xb898e632, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0xc183e9ab, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x2f3334cf, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0xb7b6060f, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x19a87d71, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x680f489b, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x55d00477, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x409df0a6, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x9a50484b, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x61838fee, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x54c9fd93, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0xe109ed2b, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x69fa985d, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x62ab5998, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x4b92962e, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x0afe3b4b, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x90145517, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x6ed646c1, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0xd3926464, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x3ca8ed04, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x63d92166, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x760f2dd6, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x9a3e41d5, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0xc2c70b2a, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x048722a5, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xc4175fe1, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x0852850a, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xa5ee6702, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0xac9a3adf, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x846d0541, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x283d7255, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0xa7d5ec85, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0xff955a13, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x6f7a6efe, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x8b77acdd, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x0aee5f27, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x4c36c9cb, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xb9e1a5c8, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x8fac3f46, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xa9a89196, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0xdd429e9c, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xed919520, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xa12c4a7c, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x80f62ba6, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0xea5e7500, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x8a6eebe8, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xf098459b, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x1af935d7, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x1d9fcb28, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x4796c355, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0xbd0d8ec6, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xbda987b5, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x9e4bf961, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x4e8b0e57, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x77a652db, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x6ae70160, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x68551075, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0xa95796c5, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x93322f4e, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xbce6ae7c, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x6cc73de7, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x0de672db, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x61720409, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x6dc4ee98, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0xd4f86fde, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x20146e8e, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x5158c9bb, "");
SYMBOL_CRC(mlx4_get_module_info, 0x48972660, "");
SYMBOL_CRC(mlx4_max_tc, 0x87e060db, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0xfe3e4e04, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x45bf7934, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x4bbea906, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x8cf5e0ff, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xfabb74ab, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x68cb621f, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x0ce4d5bf, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x77591b52, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x821626b0, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x0baac8bc, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x0ae98aab, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x7bd2346a, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x4d470e62, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x3773460c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1837a255, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf139bc6f, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe1a298f3, "devl_region_create" },
	{ 0xc18f2c30, "devlink_unregister" },
	{ 0xb9a4e9e1, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x1220bf53, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe6177ec5, "auxiliary_device_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7954aace, "devlink_region_snapshot_id_get" },
	{ 0x665027f9, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0x3745eb8b, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x2c846d84, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xa704bed6, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x5fbf5b22, "param_array_ops" },
	{ 0x11bba7fd, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x47fed63f, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xf1d16bf1, "pci_sriov_get_totalvfs" },
	{ 0xfd84cdc6, "devlink_register" },
	{ 0x6a89aa43, "devlink_port_type_clear" },
	{ 0xbf22ca0, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe0941703, "param_ops_byte" },
	{ 0x44430d1f, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x8ab473c8, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x34b7c829, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x241c10ce, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb14e3a97, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x94741d6c, "priv_to_devlink" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf2b97d25, "put_device" },
	{ 0x3bb9c0ad, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x21c6fddc, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x80529796, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x820f1aab, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0xd46fe5e4, "_dev_err" },
	{ 0x2e1737b5, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x37f725cf, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x304f3b74, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa21e15e, "dma_alloc_attrs" },
	{ 0xb1ab37a5, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0xbb62c4a5, "devl_params_register" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3ca42218, "pci_restore_state" },
	{ 0xc001d93a, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x28e978f4, "dma_sync_single_for_cpu" },
	{ 0xc3ef5fb8, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0xbc852513, "__alloc_pages" },
	{ 0x2ddc3136, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x21c8e1ed, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0x668b19a1, "down_read" },
	{ 0x539867b3, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x487d8a6e, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xeec447b, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0x5e791661, "pci_release_regions" },
	{ 0xe1c74268, "devl_assert_locked" },
	{ 0xd8c53951, "pcie_print_link_status" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0x5c55dcfd, "devl_port_unregister" },
	{ 0xf6960185, "devl_param_driverinit_value_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5faf64a, "devlink_priv" },
	{ 0xd0063b6a, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xcc2dace4, "pci_disable_msix" },
	{ 0xf22dfd2d, "pci_disable_device" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x1ce34c2b, "dma_set_mask" },
	{ 0x59c5b0f9, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb97cc4d3, "dma_unmap_sg_attrs" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x6793c0ae, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9b4a5e8d, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x76a0640, "pci_write_config_dword" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x3cb4f839, "device_remove_file" },
	{ 0xa30ba6ca, "dma_map_sg_attrs" },
	{ 0xfbe4a23c, "devl_param_value_changed" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "39323AA1328A73160970E67");

MODULE_INFO(suserelease, "SLE15-SP6");
