#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x6aa3592a, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x5e4fc510, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xd1729000, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x987cb1ef, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xcc506135, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x33270d38, "");
SYMBOL_CRC(mlx5_cmd_check, 0xcd517520, "");
SYMBOL_CRC(mlx5_cmd_do, 0x34f2532f, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x0403c084, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xa316d83d, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x1f5781a8, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x15c3dd38, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x943a83a0, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xe888a17c, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xcc8567bd, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x0afcb3c4, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xe0aa6167, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x1eab5f34, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xb4701fc5, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0xc8fc1465, "");
SYMBOL_CRC(mlx5_eq_enable, 0x2b7368a0, "");
SYMBOL_CRC(mlx5_eq_disable, 0xa45ca309, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x848628aa, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0xf910c2e0, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x7ec2b4a1, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x6d39fcde, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x37e5765a, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xad8e3fa8, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x10e91acd, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xa291ae18, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xd1485bd2, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x5ba23cc0, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x22a56c31, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x33c2e9e6, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x4a836594, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x6681d8a7, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x237ac821, "");
SYMBOL_CRC(mlx5_create_cq, 0xfa148af4, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xd4adce01, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xc9f268cd, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xfbb50695, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x9c44f3d1, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x2038b74d, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x2467a27c, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xf243611f, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x96bd2fcb, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x44f25e24, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x1a574c79, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xa62c7d0b, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xd14597fb, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x45484d17, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xecf9aadf, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xe1266fff, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x8e4e3c45, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x75bf71bc, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x7d14001a, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x8060fe95, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xb06287fc, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0xc9bad1c3, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x115e6932, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x6a57fe85, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x8d167bdc, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x79462e55, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x7be94c21, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x09b0a6c3, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x27a795dd, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x1a89f249, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0xad4a6cf7, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xf9d072dc, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x7313aae8, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x6ffcdc73, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x43f0a158, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xca06962e, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x7da0ec35, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xa8587647, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x9c6c69b0, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x6f6f245e, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xefddde8c, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xea9501dd, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x142d0793, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x4c1b7067, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x831644f2, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0xee6c1ff9, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xabde8a47, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xd0d68e41, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x5a38433c, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x6ca90f8a, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x377dbd67, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x75dcf3a8, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x75cdbef4, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x6cb842d6, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xa3885171, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x93eda2d1, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x61774308, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x24499a5b, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x4b4c8cc4, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x647b4b0c, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x07e02322, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x96570455, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x8f233d8c, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x584d4aa1, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x0121904c, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xc8aa201a, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xde4a08a4, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x2b8c04e3, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x75248ebb, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x75731735, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x50740a2e, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x9925d424, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xee94ce4d, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xe5847a14, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x2c28ef5f, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x1593d7dd, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xb68c9c3f, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x610e8b75, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xdaa47994, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xea364ee6, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x370218fb, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xc218f6c1, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xfbbf4612, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x346a8aae, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xd3021d42, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x3d42106a, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x5fdcab91, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xe44d64f4, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xb91b65b5, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xb888fa1d, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xff37014e, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x872034c8, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x99d922a9, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x1a333ca4, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x7873c778, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xafc29d8e, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x97ad8f5e, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x4eb4a33a, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x04798059, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x0063f024, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x1496a1cc, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xb2c02225, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xb77eccaf, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x60d78f50, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x7516a7f2, "");
SYMBOL_CRC(mlx5_msix_free, 0x4f2dc8a8, "");
SYMBOL_CRC(mlx5_fc_create, 0x2a7865d7, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x0f16aebc, "");
SYMBOL_CRC(mlx5_fc_query, 0xfcbc7961, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xd87348b2, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xdb19449e, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xed05ed48, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x4245640d, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xed00b1ee, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0xbc5d9c5e, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x5a73fa59, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xf60d72ba, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x8f6a840d, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x5341e157, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xa291e053, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x28d06685, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xf3fe8526, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0xb901a68e, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xe8ed2475, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xa275b99c, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x57730fe7, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xdcd710c3, "");
SYMBOL_CRC(mlx5_notifier_register, 0xa9b0aa47, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xb045f986, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x3a403e6f, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x1a7a9381, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xd1393fe1, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x2fd8bef5, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x8eb99310, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xa7264d42, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0xa2eb06e8, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x217421fd, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x0bffb12b, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x8860963e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0xc304477a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x409b606f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x6a10f0b9, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xe98fd7ac, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x512eca30, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x2303595a, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x3c70b1fc, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xc8d572f4, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xc0036809, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xa58b0938, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x49a5f16c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x9e31c9ec, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xdb1a218c, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0xfc77fada, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x5ed395f6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x6ec82a3a, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x776e866a, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x3b439baa, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x2247e851, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x79477db0, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x1adb640a, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x089fcc12, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xce9e80be, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x2109e8e3, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xb9b9f5b9, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x620cd544, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0xf7c2c727, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x9ef0ef87, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x2b96b250, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0xd99841ac, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x4cbcf1a3, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xbe3ca673, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xf5609d3a, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x499146e5, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xe423c3d0, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x398c62c8, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x6427aad8, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x389e9614, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x0e3cf700, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x161aeef8, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x3342e42c, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0xcaec49b4, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0xa2179a27, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0xe7ec1d28, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0xb6ee97be, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x9e263a99, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0063b6a, "pci_disable_sriov" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x745a981, "xa_erase" },
	{ 0x9398bde1, "register_netdevice_notifier_dev_net" },
	{ 0x5da9c852, "neigh_destroy" },
	{ 0x3223851f, "xdp_master_redirect" },
	{ 0x709d09b6, "skb_pull" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x758671d7, "netdev_set_tc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x12c37fe6, "dev_add_pack" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xf6a50b0b, "xp_dma_unmap" },
	{ 0xdae7eb31, "page_pool_create" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x42e10702, "devl_trap_groups_unregister" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x7cfcbe56, "devlink_port_register_with_ops" },
	{ 0x781fca97, "ptp_clock_unregister" },
	{ 0x66c94f15, "page_pool_update_nid" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe795a55f, "__dev_get_by_index" },
	{ 0x6e894e38, "xdp_set_features_flag" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd6ddcc, "skb_add_rx_frag" },
	{ 0xa64d890a, "devl_traps_unregister" },
	{ 0x7f52071a, "net_dim" },
	{ 0x954f099c, "idr_preload" },
	{ 0x9788dfe3, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x4c567b4e, "pci_cfg_access_unlock" },
	{ 0x5c187baf, "debugfs_create_atomic_t" },
	{ 0x49586ffd, "__SCK__tp_func_xdp_exception" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xdfcc992c, "current_work" },
	{ 0xb1ab37a5, "pci_read_config_word" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xa6cf24cb, "__dev_queue_xmit" },
	{ 0xa2bd30e5, "netdev_master_upper_dev_get" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0xf85ea583, "ndo_dflt_bridge_getlink" },
	{ 0x3cc47494, "bpf_trace_run7" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x2ddc3136, "pci_set_master" },
	{ 0x20038bab, "__netdev_alloc_skb" },
	{ 0x41dfed69, "pci_find_capability" },
	{ 0xae90f029, "debugfs_create_x32" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb82577cc, "flow_rule_match_mpls" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x5bb4a0d8, "xsk_tx_completed" },
	{ 0x96848186, "scnprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xded6fb90, "xsk_clear_tx_need_wakeup" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0xf22dfd2d, "pci_disable_device" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xf660c79c, "flow_rule_match_basic" },
	{ 0x15f36425, "bpf_trace_run5" },
	{ 0xd8eec371, "xdp_rxq_info_is_reg" },
	{ 0x24d273d1, "add_timer" },
	{ 0xebdc7956, "debugfs_create_size_t" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x12a27dc3, "__tracepoint_xdp_exception" },
	{ 0x3e5442c3, "metadata_dst_free" },
	{ 0x94741d6c, "priv_to_devlink" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x43b14164, "seq_release" },
	{ 0xc68a20bf, "bpf_trace_run2" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa069e7c2, "bpf_trace_run1" },
	{ 0x28e978f4, "dma_sync_single_for_cpu" },
	{ 0xef0143b5, "dev_get_port_parent_id" },
	{ 0x1bd53395, "pci_iov_get_pf_drvdata" },
	{ 0xe339ac82, "devlink_port_unregister" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x8de5729f, "debugfs_create_u8" },
	{ 0xe37575f5, "bpf_trace_run3" },
	{ 0x5a68e6ff, "napi_build_skb" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1f38b857, "bpf_trace_run4" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x5fccff74, "ptp_clock_event" },
	{ 0x164f46b7, "debugfs_create_dir" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x398851e, "skb_ext_add" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4517f0c6, "bpf_warn_invalid_xdp_action" },
	{ 0x4fe2f444, "netdev_warn" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbc852513, "__alloc_pages" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xe1c74268, "devl_assert_locked" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0xfb578fc5, "memset" },
	{ 0xece784c2, "rb_first" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0x8bfc9a25, "single_open" },
	{ 0x5adba43a, "netif_carrier_event" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xacaef3b7, "devl_rate_nodes_destroy" },
	{ 0x54d3fdf4, "xp_raw_get_data" },
	{ 0x34896e43, "flow_rule_match_icmp" },
	{ 0x5dc8fb28, "napi_schedule_prep" },
	{ 0xe43170a0, "flow_rule_match_ct" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xefc0501e, "ip_route_output_flow" },
	{ 0x71fecaae, "devl_trap_groups_register" },
	{ 0xae0c0d61, "xfrm_replay_seqhi" },
	{ 0xda6c7155, "dev_kfree_skb_any_reason" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x34b7c829, "pci_read_config_dword" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xd8bdb1d5, "netdev_set_num_tc" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2b567d6b, "psample_sample_packet" },
	{ 0x7a1998f3, "pci_msix_alloc_irq_at" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xe9e1ab7, "xdp_rxq_info_unused" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0x40df1fe, "dev_driver_string" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe914e41e, "strcpy" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x8a59e972, "register_fib_notifier" },
	{ 0x2117ac8f, "devlink_port_attrs_pci_sf_set" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x53b954a2, "up_read" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0xa812ae5f, "rps_may_expire_flow" },
	{ 0xce807a25, "up_write" },
	{ 0xcc7ab9a, "skb_put" },
	{ 0xd2585228, "netdev_err" },
	{ 0x6325e140, "devl_resource_register" },
	{ 0x1873c45b, "xdp_return_frame_bulk" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xa916b694, "strnlen" },
	{ 0xed347ff3, "netif_set_tso_max_size" },
	{ 0x59c5b0f9, "__auxiliary_driver_register" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x686f7166, "flow_block_cb_setup_simple" },
	{ 0xbea26de2, "pci_alloc_irq_vectors" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2518bdf2, "flow_rule_match_control" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x62f4b7ff, "__neigh_event_send" },
	{ 0x7017c270, "unregister_netdevice_notifier_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd1f4322e, "__dynamic_dev_dbg" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x950f91aa, "xsk_set_tx_need_wakeup" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xc0bc798b, "__netif_napi_del" },
	{ 0x4adacb92, "irq_get_irq_data" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2a02331a, "flow_block_cb_lookup" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xbb62c4a5, "devl_params_register" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x43ad69d2, "xdp_convert_zc_to_xdp_frame" },
	{ 0x1fe26ae1, "seq_open" },
	{ 0xf1d16bf1, "pci_sriov_get_totalvfs" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0xbf22ca0, "devlink_free" },
	{ 0xa9f200b1, "devlink_port_attrs_pci_vf_set" },
	{ 0xa21e15e, "dma_alloc_attrs" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x235a54ec, "xfrm_state_check_expire" },
	{ 0xcfbf8ee, "flow_rule_match_enc_opts" },
	{ 0x6626afca, "down" },
	{ 0x51c9aad9, "metadata_dst_alloc" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfcb900a6, "pci_free_irq_vectors" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xfd84cdc6, "devlink_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xa6257a2f, "complete" },
	{ 0x40985489, "seq_printf" },
	{ 0xa6ea94cc, "pcie_capability_clear_and_set_word_locked" },
	{ 0xcd279169, "nla_find" },
	{ 0x524dd5a6, "xp_alloc" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x173d8000, "pci_iov_vf_id" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xef56c3d0, "__napi_alloc_skb" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x37a0cba, "kfree" },
	{ 0xccdb59c1, "netif_napi_add_weight" },
	{ 0x21c8e1ed, "devl_params_unregister" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0xff14bc95, "devlink_port_attrs_set" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0xa9c23e2d, "flow_rule_match_meta" },
	{ 0xf2b97d25, "put_device" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x349cba85, "strchr" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x65dfcb10, "sock_gen_put" },
	{ 0x6e1a069f, "bpf_prog_add" },
	{ 0xda3a2bc2, "flow_rule_match_vlan" },
	{ 0xad6b9ae5, "neigh_lookup" },
	{ 0x48a71007, "flow_indr_dev_unregister" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd4358395, "netif_set_real_num_tx_queues" },
	{ 0x2e1737b5, "init_net" },
	{ 0x6d21cdd2, "skb_checksum" },
	{ 0xdd18c20c, "ethtool_op_get_link" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x64ecceae, "bpf_prog_inc" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x8cf703ec, "dev_get_iflink" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x1169429c, "flow_rule_match_enc_keyid" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0x2091779d, "register_netdevice_notifier_net" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x90245334, "flow_rule_match_enc_control" },
	{ 0x56470118, "__warn_printk" },
	{ 0x618911fc, "numa_node" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x52a6088, "pcie_bandwidth_available" },
	{ 0x8eb4884e, "ptp_find_pin" },
	{ 0xe972a222, "xdp_do_redirect" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xeac4e07d, "__ethtool_get_link_ksettings" },
	{ 0xa88d26f3, "netif_device_attach" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x100dacde, "pci_msix_vec_count" },
	{ 0x1ce34c2b, "dma_set_mask" },
	{ 0xd0b91195, "netif_tx_wake_queue" },
	{ 0xda8a898e, "page_pool_get_stats" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x668b19a1, "down_read" },
	{ 0xf12caedb, "call_switchdev_notifiers" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0xd8c53951, "pcie_print_link_status" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x2031f0d6, "devl_port_health_reporter_create" },
	{ 0x21c6fddc, "kmalloc_node_trace" },
	{ 0x1f3f7fc0, "devl_nested_devlink_set" },
	{ 0x64519b38, "skb_copy_bits" },
	{ 0x15b68eb1, "tls_get_record" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4e316b10, "devl_unregister" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xd2752da6, "netdev_master_upper_dev_get_rcu" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x5c55dcfd, "devl_port_unregister" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xdc164e7b, "seq_lseek" },
	{ 0x4a3b9bc9, "debugfs_create_u64" },
	{ 0x9e8046f2, "___pskb_trim" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x6632aa36, "netif_schedule_queue" },
	{ 0xbc3e228d, "free_fib_info" },
	{ 0xa316fac6, "netdev_port_same_parent_id" },
	{ 0xf458c050, "flow_rule_match_eth_addrs" },
	{ 0x5f10eb2e, "dev_remove_pack" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x24ea04d4, "xp_can_alloc" },
	{ 0x86a74977, "xp_dma_map" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x8ab473c8, "pci_unregister_driver" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xbcbd3331, "xdp_return_frame" },
	{ 0x9d6b37c3, "dev_get_by_index_rcu" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8d6e0893, "skb_store_bits" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x20250eb8, "param_ops_uint" },
	{ 0xf6960185, "devl_param_driverinit_value_get" },
	{ 0xb2ae9df, "flow_rule_match_tcp" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe6b5b9d5, "skb_tstamp_tx" },
	{ 0xcf7553bc, "unregister_fib_notifier" },
	{ 0xb449e9fa, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x9e52cee4, "ip6_dst_hoplimit" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xd6a62a9b, "devlink_port_health_reporter_create" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xd46fe5e4, "_dev_err" },
	{ 0xc18f2c30, "devlink_unregister" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x962aa973, "netif_carrier_off" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x85c95cfc, "dma_map_page_attrs" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdd969597, "seq_read" },
	{ 0x1837a255, "pci_save_state" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xde80cd09, "ioremap" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xefc02fa4, "flow_rule_match_cvlan" },
	{ 0xa57d4f42, "netif_set_xps_queue" },
	{ 0x539867b3, "devl_unlock" },
	{ 0xe56f5814, "softnet_data" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x3745eb8b, "__pci_register_driver" },
	{ 0xeec447b, "dma_free_attrs" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x80529796, "_dev_info" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x4057fc0c, "napi_complete_done" },
	{ 0x396f9075, "__neigh_create" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x47fed63f, "devlink_alloc_ns" },
	{ 0x5faf64a, "devlink_priv" },
	{ 0xb641782b, "ptp_clock_register" },
	{ 0x1120a9f1, "devl_rate_leaf_destroy" },
	{ 0xca1e8136, "ptp_clock_index" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0xc678db0b, "dev_get_by_index" },
	{ 0xfcfe8eb0, "devl_port_fn_devlink_set" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x487af0a8, "debugfs_attr_read" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8e703197, "napi_consume_skb" },
	{ 0x9adfd3ae, "netdev_printk" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x96431e9b, "netdev_pick_tx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb794930f, "page_pool_alloc_pages" },
	{ 0x85f758c0, "devlink_port_attrs_pci_pf_set" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x6add6078, "arp_tbl" },
	{ 0x5e791661, "pci_release_regions" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xc2c5802, "work_busy" },
	{ 0x916ba181, "xdp_rxq_info_reg_mem_model" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0x9ef3ff19, "udp4_hwcsum" },
	{ 0x5e69f35c, "devl_register" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x5422613d, "netdev_reset_tc" },
	{ 0xe6fd3a63, "__dynamic_netdev_dbg" },
	{ 0xbd51ae2, "register_netdev" },
	{ 0x1af267f8, "int_pow" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x64b410b8, "dev_addr_mod" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcf2a6966, "up" },
	{ 0xe6177ec5, "auxiliary_device_init" },
	{ 0x1c5be712, "ipv6_stub" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x25d8b397, "vlan_dev_real_dev" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4d383340, "xp_dma_sync_for_cpu_slow" },
	{ 0x5369ac13, "devl_rate_leaf_create" },
	{ 0xbf93bd95, "flow_rule_match_ip" },
	{ 0x862258db, "timecounter_init" },
	{ 0xb11996d6, "netif_set_real_num_rx_queues" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x59ae46c2, "xsk_clear_rx_need_wakeup" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x8b93d26b, "page_pool_put_unrefed_page" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe240cbcb, "flow_rule_match_ipv6_addrs" },
	{ 0x30eab5e2, "xp_dma_sync_for_device_slow" },
	{ 0x57dab111, "devlink_trap_report" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x241c10ce, "auxiliary_driver_unregister" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x6897b8a5, "xsk_uses_need_wakeup" },
	{ 0xd1ab3c61, "netif_device_detach" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdc84c9a3, "devl_traps_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd07b39a2, "dst_release" },
	{ 0xfea3d982, "skb_push" },
	{ 0xc001d93a, "device_del" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xa72a7e28, "xsk_tx_release" },
	{ 0x76f20df7, "vlan_dev_vlan_proto" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0xf2c0ba23, "__inet6_lookup_established" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x845b8447, "xp_raw_get_dma" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1b034c14, "seq_puts" },
	{ 0x3ca42218, "pci_restore_state" },
	{ 0x99cd956a, "dcb_ieee_delapp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x12772cf8, "xsk_set_rx_need_wakeup" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0x746172dc, "eth_get_headlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xeac2b624, "page_pool_destroy" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x615c1826, "debugfs_create_u32" },
	{ 0x9b4a5e8d, "pci_enable_sriov" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb19b445, "ioread8" },
	{ 0x184d94da, "devlink_net" },
	{ 0x40a42b90, "netif_carrier_on" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x66992847, "simple_attr_open" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1220bf53, "pci_enable_device" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc7114328, "pci_msix_free_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x45796928, "pci_cfg_access_lock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xed0b409c, "ipv6_find_hdr" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x2c82d0a5, "devl_resources_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x6d8ab191, "flow_rule_match_ipv4_addrs" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x92ed54f2, "dma_unmap_page_attrs" },
	{ 0xf9ceaa3c, "netdev_info" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xacaef63e, "simple_attr_release" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0xd4bf1a24, "debugfs_create_file" },
	{ 0xf368025b, "devlink_health_reporter_create" },
	{ 0x97b2a22f, "xsk_tx_peek_desc" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x128b1f61, "unregister_netdev" },
	{ 0x487d8a6e, "dma_set_coherent_mask" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x2c49e359, "debugfs_attr_write" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x76a0640, "pci_write_config_dword" },
	{ 0xcc7d87ea, "simple_open" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x304f3b74, "devl_port_register_with_ops" },
	{ 0x85e18d7, "__xdp_rxq_info_reg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcfaf789f, "flow_block_cb_alloc" },
	{ 0xf0b9ea9e, "vlan_dev_vlan_id" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xeb770d12, "alloc_etherdev_mqs" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9bed6fca, "xp_free" },
	{ 0xe7259da5, "xdp_rxq_info_unreg" },
	{ 0xdd64e639, "strscpy" },
	{ 0x15d4dbcf, "pcie_relaxed_ordering_enabled" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x68ff5714, "debugfs_remove" },
	{ 0x11bba7fd, "pci_request_regions" },
	{ 0xc3ef5fb8, "devl_param_driverinit_value_set" },
	{ 0xb6102b32, "request_firmware_direct" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb65ede42, "__free_pages" },
	{ 0xaa7b08cf, "free_netdev" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5782afce, "flow_indr_dev_register" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x2a3d5543, "flow_rule_match_ports" },
	{ 0x58815a86, "pci_msix_can_alloc_dyn" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x2c846d84, "dma_sync_single_for_device" },
	{ 0x4db9062c, "napi_disable" },
	{ 0x665027f9, "devl_lock" },
	{ 0xca750309, "flow_indr_block_cb_alloc" },
	{ 0x37f725cf, "__auxiliary_device_add" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xe5b12568, "pci_enable_atomic_ops_to_root" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4467c9be, "udp_tunnel_nic_ops" },
	{ 0x9f40db9e, "xp_set_rxq_info" },
	{ 0xb9a4e9e1, "dma_pool_create" },
	{ 0x13ccbf, "__inet_lookup_established" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x3a26ed11, "sched_clock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc23a19e3, "pcie_capability_read_word" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbd39dbff, "flow_rule_match_enc_ip" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x8d3b6d97, "flow_rule_match_enc_ports" },
	{ 0x8e9d2f04, "__skb_flow_dissect" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x754d539c, "strlen" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xc9539c2d, "netdev_update_features" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xb612aed, "napi_enable" },
	{ 0xd81babbb, "unregister_netdevice_notifier_dev_net" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x1cf516e6, "netdev_lower_get_next" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0xb59866d2, "dev_printk_emit" },
	{ 0x7a277230, "flow_block_cb_free" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xffb7c514, "ida_free" },
	{ 0xff0aef47, "devlink_remote_reload_actions_performed" },
	{ 0xf9d8e0c8, "pci_irq_vector" },
	{ 0xa704bed6, "pci_num_vf" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xc2413a75, "dcb_ieee_setapp" },
	{ 0x654ccb53, "devl_health_reporter_create" },
	{ 0xb0feed3, "single_release" },
	{ 0x2979cbcd, "napi_gro_receive" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x65f264aa, "bpf_prog_put" },
	{ 0xedc03953, "iounmap" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x856e536b, "eth_type_trans" },
	{ 0xb16e384c, "secpath_set" },
	{ 0xed183c8f, "qdisc_reset" },
	{ 0xb332fea4, "__napi_schedule" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x3fd5ac06, "xp_alloc_batch" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x1d7651b5, "tls_validate_xmit_skb" },
	{ 0xc8965cc4, "skb_vlan_pop" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B3B84C2E5BD0766EC3D99BD");

MODULE_INFO(suserelease, "SLE15-SP6");
