#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(macsec_pn_wrapped, 0x0e9d623c, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xe16c9220, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xe694b286, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf3afab7, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xd7731b6a, "netif_stacked_transfer_operstate" },
	{ 0x9c0affe0, "gro_cells_receive" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x135ffde4, "genlmsg_put" },
	{ 0x92236450, "skb_trim" },
	{ 0x5c595469, "skb_copy_expand" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0xfea3d982, "skb_push" },
	{ 0xcc7ab9a, "skb_put" },
	{ 0x28f9c6b6, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xb74f5281, "skb_to_sgvec" },
	{ 0x1cb35b80, "crypto_aead_encrypt" },
	{ 0x11923150, "skb_copy" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xa28334f6, "gro_cells_init" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x28bca6d9, "skb_clone" },
	{ 0x703fc01e, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf933d8c5, "crypto_aead_decrypt" },
	{ 0x1054dad3, "register_netdevice" },
	{ 0x7898e19b, "netdev_upper_dev_link" },
	{ 0x51c9aad9, "metadata_dst_alloc" },
	{ 0xed356de, "linkwatch_fire_event" },
	{ 0x3e7cf291, "netdev_rx_handler_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xe795a55f, "__dev_get_by_index" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x686ea42f, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dc1d35, "crypto_alloc_aead" },
	{ 0xb8aaa1bc, "crypto_aead_setkey" },
	{ 0xd5911ad4, "crypto_aead_setauthsize" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x7965889, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0x709d09b6, "skb_pull" },
	{ 0x9e8046f2, "___pskb_trim" },
	{ 0x856e536b, "eth_type_trans" },
	{ 0x22342135, "ether_setup" },
	{ 0xd07b39a2, "dst_release" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xe534efe, "dev_mc_sync" },
	{ 0x78abc8bc, "dev_uc_sync" },
	{ 0xe08f1967, "dev_set_allmulti" },
	{ 0x6fee28f3, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x4f6e28a6, "genl_unregister_family" },
	{ 0xb4e402f4, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9582819f, "rtnl_link_register" },
	{ 0x45651b09, "genl_register_family" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5c1f7dd5, "dev_uc_add" },
	{ 0x86407fa1, "dev_uc_del" },
	{ 0x64b410b8, "dev_addr_mod" },
	{ 0x962aa973, "netif_carrier_off" },
	{ 0x7c08bba6, "dev_mc_unsync" },
	{ 0xba9cc6cc, "dev_uc_unsync" },
	{ 0x40a42b90, "netif_carrier_on" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xa6cf24cb, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa7785312, "unregister_netdevice_queue" },
	{ 0x4c11a8d7, "netdev_upper_dev_unlink" },
	{ 0x1519f0f9, "netdev_rx_handler_unregister" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6C926E3BBFB47903E3AB32B");

MODULE_INFO(suserelease, "SLE15-SP6");
