#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(macvlan_common_setup, 0x19847648, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xa38974fa, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x91688991, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x48250220, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xcf3afab7, "dev_set_mtu" },
	{ 0x5c3e6353, "netif_inherit_tso_max" },
	{ 0xc9539c2d, "netdev_update_features" },
	{ 0xd7731b6a, "netif_stacked_transfer_operstate" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xaf1c3b2a, "call_netdevice_notifiers" },
	{ 0xb4e402f4, "rtnl_link_unregister" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xa6cf24cb, "__dev_queue_xmit" },
	{ 0xdfb1217, "dev_forward_skb" },
	{ 0x55a8e8e6, "netpoll_send_skb" },
	{ 0x703fc01e, "__netif_rx" },
	{ 0xebb2b2c7, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc3090a12, "netdev_core_stats_inc" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe795a55f, "__dev_get_by_index" },
	{ 0xb2a0b0, "netdev_is_rx_handler_busy" },
	{ 0x3e7cf291, "netdev_rx_handler_register" },
	{ 0x1054dad3, "register_netdevice" },
	{ 0x7898e19b, "netdev_upper_dev_link" },
	{ 0xed356de, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x78abc8bc, "dev_uc_sync" },
	{ 0xe534efe, "dev_mc_sync" },
	{ 0xa0506973, "passthru_features_check" },
	{ 0x92abb03c, "eth_validate_addr" },
	{ 0x16857a55, "ndo_dflt_fdb_dump" },
	{ 0xdd18c20c, "ethtool_op_get_link" },
	{ 0xc4e2d5cc, "eth_header_parse" },
	{ 0xcc1f9c60, "eth_header_cache" },
	{ 0x85c7268f, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x22342135, "ether_setup" },
	{ 0xeac4e07d, "__ethtool_get_link_ksettings" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x2e1737b5, "init_net" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1ee4a79b, "dev_mc_del" },
	{ 0x86407fa1, "dev_uc_del" },
	{ 0x78320ecd, "dev_mc_add_excl" },
	{ 0x17aaca32, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x5003a386, "__netpoll_free" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x873b857f, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7f1996b, "vlan_vid_del" },
	{ 0x9eb9c0f3, "vlan_vid_add" },
	{ 0x64b410b8, "dev_addr_mod" },
	{ 0x5c1f7dd5, "dev_uc_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe08f1967, "dev_set_allmulti" },
	{ 0x6fee28f3, "dev_set_promiscuity" },
	{ 0xe8c76a24, "netif_rx" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x28bca6d9, "skb_clone" },
	{ 0x66b1a589, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xba9cc6cc, "dev_uc_unsync" },
	{ 0x7c08bba6, "dev_mc_unsync" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1519f0f9, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x1c4c6788, "dev_set_mac_address" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa7785312, "unregister_netdevice_queue" },
	{ 0x4c11a8d7, "netdev_upper_dev_unlink" },
	{ 0x9582819f, "rtnl_link_register" },
	{ 0x7965889, "nla_put" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F87CD77CC7F1CA18D28BA10");

MODULE_INFO(suserelease, "SLE15-SP6");
