#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tap_del_queues, 0xf022032a, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x2423d58b, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xabb143e7, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x32c506e7, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x133b671c, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x6de3a837, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x58873161, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0xc22fbaad, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x62cfe2f3, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xd2585228, "netdev_err" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xea1bfbd7, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x26dc9895, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x38571baf, "dev_set_mac_address_user" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xf10e0e56, "cdev_init" },
	{ 0xd6cab802, "cdev_add" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x20978fb9, "idr_find" },
	{ 0xea92ab1a, "sk_alloc" },
	{ 0x5ea54656, "sk_free" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb92413da, "sock_init_data_uid" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x3034b5a, "_copy_to_iter" },
	{ 0x8ae2367f, "iov_iter_advance" },
	{ 0xf8ad332d, "skb_copy_datagram_iter" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfea3d982, "skb_push" },
	{ 0x3a8b81d2, "__skb_gso_segment" },
	{ 0xc6166c8b, "skb_checksum_help" },
	{ 0xfd4fca90, "__skb_get_hash" },
	{ 0x1790e277, "kfree_skb_list_reason" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xaf096065, "iov_iter_npages" },
	{ 0xa356f0ec, "sock_alloc_send_pskb" },
	{ 0xcc7ab9a, "skb_put" },
	{ 0x9fd959cf, "zerocopy_sg_from_iter" },
	{ 0xa6cf24cb, "__dev_queue_xmit" },
	{ 0x2dfa0109, "_copy_from_iter" },
	{ 0x7e638ca0, "skb_copy_datagram_from_iter" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x8e9d2f04, "__skb_flow_dissect" },
	{ 0x2cf0f50a, "skb_partial_csum_set" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0x64519b38, "skb_copy_bits" },
	{ 0xe8bcb60, "build_skb" },
	{ 0xbc3779d, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "178A457882DA8678BC6D6E1");

MODULE_INFO(suserelease, "SLE15-SP6");
