#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdae7eb31, "page_pool_create" },
	{ 0xeac2b624, "page_pool_destroy" },
	{ 0xb612aed, "napi_enable" },
	{ 0xd8eec371, "xdp_rxq_info_is_reg" },
	{ 0x40a42b90, "netif_carrier_on" },
	{ 0x4db9062c, "napi_disable" },
	{ 0x962aa973, "netif_carrier_off" },
	{ 0x92997ed8, "_printk" },
	{ 0x33dbdf4b, "xdp_features_set_redirect_target" },
	{ 0x65f264aa, "bpf_prog_put" },
	{ 0xc9539c2d, "netdev_update_features" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdd6a3b64, "xdp_features_clear_redirect_target" },
	{ 0x43ad69d2, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xef5f7e8b, "rtnl_nla_parse_ifinfomsg" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc90e350d, "rtnl_link_get_net" },
	{ 0xe2a20080, "rtnl_create_link" },
	{ 0x5c3e6353, "netif_inherit_tso_max" },
	{ 0x1054dad3, "register_netdevice" },
	{ 0x8ddde613, "rtnl_configure_link" },
	{ 0x494095d5, "__put_net" },
	{ 0xaa7b08cf, "free_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x64b410b8, "dev_addr_mod" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb794930f, "page_pool_alloc_pages" },
	{ 0x5a68e6ff, "napi_build_skb" },
	{ 0x5e3abd53, "skb_copy_header" },
	{ 0x64519b38, "skb_copy_bits" },
	{ 0xcc7ab9a, "skb_put" },
	{ 0x1a29c6d7, "skb_headers_offset_update" },
	{ 0xd6ddcc, "skb_add_rx_frag" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x4517f0c6, "bpf_warn_invalid_xdp_action" },
	{ 0x12a27dc3, "__tracepoint_xdp_exception" },
	{ 0x3223851f, "xdp_master_redirect" },
	{ 0x3a26ed11, "sched_clock" },
	{ 0x8b93d26b, "page_pool_put_unrefed_page" },
	{ 0xe972a222, "xdp_do_redirect" },
	{ 0x74b2a53b, "xdp_return_buff" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x856e536b, "eth_type_trans" },
	{ 0x5dacb711, "netif_receive_skb" },
	{ 0xa1381b4a, "pskb_expand_head" },
	{ 0xaeb913c2, "bpf_redirect_info" },
	{ 0x4057fc0c, "napi_complete_done" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xa0506973, "passthru_features_check" },
	{ 0x7d62364e, "eth_mac_addr" },
	{ 0xdd18c20c, "ethtool_op_get_link" },
	{ 0xaf963762, "ethtool_op_get_ts_info" },
	{ 0x4b42efbb, "__SCK__tp_func_xdp_bulk_tx" },
	{ 0x49586ffd, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9582819f, "rtnl_link_register" },
	{ 0xa7785312, "unregister_netdevice_queue" },
	{ 0x6e894e38, "xdp_set_features_flag" },
	{ 0x22342135, "ether_setup" },
	{ 0xed347ff3, "netif_set_tso_max_size" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0xbcbd3331, "xdp_return_frame" },
	{ 0x85e18d7, "__xdp_rxq_info_reg" },
	{ 0x916ba181, "xdp_rxq_info_reg_mem_model" },
	{ 0xccdb59c1, "netif_napi_add_weight" },
	{ 0xe7259da5, "xdp_rxq_info_unreg" },
	{ 0xc0bc798b, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xda8a898e, "page_pool_get_stats" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0xfd4fca90, "__skb_get_hash" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xb4e402f4, "rtnl_link_unregister" },
	{ 0xb11996d6, "netif_set_real_num_rx_queues" },
	{ 0xd4358395, "netif_set_real_num_tx_queues" },
	{ 0x5dc8fb28, "napi_schedule_prep" },
	{ 0xb332fea4, "__napi_schedule" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x43c2f648, "__tracepoint_xdp_bulk_tx" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x872d4f7c, "__SCT__tp_func_xdp_bulk_tx" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd91dbd1f, "xdp_alloc_skb_bulk" },
	{ 0x2979cbcd, "napi_gro_receive" },
	{ 0x36c4618d, "__xdp_build_skb_from_frame" },
	{ 0x66b1a589, "__dev_forward_skb" },
	{ 0x703fc01e, "__netif_rx" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0x972c0d87, "sock_wfree" },
	{ 0xe6b5b9d5, "skb_tstamp_tx" },
	{ 0xda6c7155, "dev_kfree_skb_any_reason" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "150D359D7D360D2C87372B6");

MODULE_INFO(suserelease, "SLE15-SP6");
