#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xd4358395, "netif_set_real_num_tx_queues" },
	{ 0xb11996d6, "netif_set_real_num_rx_queues" },
	{ 0x40a42b90, "netif_carrier_on" },
	{ 0x962aa973, "netif_carrier_off" },
	{ 0x87a4129d, "netif_tx_stop_all_queues" },
	{ 0x18fee9c4, "netdev_notify_peers" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd46fe5e4, "_dev_err" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6e1a069f, "bpf_prog_add" },
	{ 0x4bc76afb, "bpf_prog_sub" },
	{ 0x65f264aa, "bpf_prog_put" },
	{ 0xdd6a3b64, "xdp_features_clear_redirect_target" },
	{ 0x33dbdf4b, "xdp_features_set_redirect_target" },
	{ 0x9adfd3ae, "netdev_printk" },
	{ 0x4fe2f444, "netdev_warn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0x48f392fd, "__folio_put" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2615c0b0, "virtqueue_add_outbuf" },
	{ 0xa814c8d7, "virtqueue_kick_prepare" },
	{ 0x6004177e, "virtqueue_notify" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4eb8e9a, "virtqueue_add_inbuf" },
	{ 0x67b78ded, "skb_page_frag_refill" },
	{ 0x928b79f0, "virtqueue_add_inbuf_ctx" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0x916ba181, "xdp_rxq_info_reg_mem_model" },
	{ 0x85e18d7, "__xdp_rxq_info_reg" },
	{ 0x3157df08, "virtqueue_resize" },
	{ 0xe56f5814, "softnet_data" },
	{ 0xb74f5281, "skb_to_sgvec" },
	{ 0xe6b5b9d5, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xda6c7155, "dev_kfree_skb_any_reason" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xccdb59c1, "netif_napi_add_weight" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xeb770d12, "alloc_etherdev_mqs" },
	{ 0x64b410b8, "dev_addr_mod" },
	{ 0x1054dad3, "register_netdevice" },
	{ 0xdabec82c, "net_failover_destroy" },
	{ 0x61764781, "virtio_reset_device" },
	{ 0xaa7b08cf, "free_netdev" },
	{ 0x128b1f61, "unregister_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x80529796, "_dev_info" },
	{ 0x66ff8846, "net_failover_create" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x18d71b8e, "virtqueue_detach_unused_buf" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb65ede42, "__free_pages" },
	{ 0xa88d26f3, "netif_device_attach" },
	{ 0xe8bcb60, "build_skb" },
	{ 0xcc7ab9a, "skb_put" },
	{ 0xef56c3d0, "__napi_alloc_skb" },
	{ 0xd6ddcc, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2cf0f50a, "skb_partial_csum_set" },
	{ 0x856e536b, "eth_type_trans" },
	{ 0x2979cbcd, "napi_gro_receive" },
	{ 0x10ede8e4, "virtqueue_get_buf_ctx" },
	{ 0x1a6ec192, "skb_coalesce_rx_frag" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x8e9d2f04, "__skb_flow_dissect" },
	{ 0x511576c3, "__alloc_skb" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0x3223851f, "xdp_master_redirect" },
	{ 0x3a26ed11, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe972a222, "xdp_do_redirect" },
	{ 0x4517f0c6, "bpf_warn_invalid_xdp_action" },
	{ 0x43ad69d2, "xdp_convert_zc_to_xdp_frame" },
	{ 0x4efa53d3, "xdp_return_frame_rx_napi" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6fd3a63, "__dynamic_netdev_dbg" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xa0506973, "passthru_features_check" },
	{ 0x92abb03c, "eth_validate_addr" },
	{ 0xdd18c20c, "ethtool_op_get_link" },
	{ 0xaf963762, "ethtool_op_get_ts_info" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x49586ffd, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5dc8fb28, "napi_schedule_prep" },
	{ 0xa0b2c186, "virtqueue_disable_cb" },
	{ 0xb332fea4, "__napi_schedule" },
	{ 0xd0b91195, "netif_tx_wake_queue" },
	{ 0x8e703197, "napi_consume_skb" },
	{ 0xdf111dfb, "virtqueue_get_buf" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbcbd3331, "xdp_return_frame" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5a79847b, "virtqueue_enable_cb_prepare" },
	{ 0x4057fc0c, "napi_complete_done" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4b3c8fe6, "virtqueue_poll" },
	{ 0x21b27598, "virtqueue_get_vring_size" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0xb612aed, "napi_enable" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc0bc798b, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x37a0cba, "kfree" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe9583a97, "ethtool_virtdev_set_link_ksettings" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xd2585228, "netdev_err" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0x7f7d63c1, "register_virtio_driver" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0xb403e91f, "unregister_virtio_driver" },
	{ 0x12a27dc3, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe4b9ae08, "virtqueue_enable_cb_delayed" },
	{ 0x4db9062c, "napi_disable" },
	{ 0xe7259da5, "xdp_rxq_info_unreg" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf54af861, "netif_tx_lock" },
	{ 0xd1ab3c61, "netif_device_detach" },
	{ 0x223dcd97, "netif_tx_unlock" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x984d9c39, "cpumask_next_wrap" },
	{ 0x98bd57f5, "__netif_set_xps_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x381dd84e, "virtio_check_driver_offered_feature" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xae0c7c5, "virtqueue_add_sgs" },
	{ 0x1c0151eb, "virtqueue_kick" },
	{ 0x5e13e0e5, "virtqueue_is_broken" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe5fe13a3, "eth_prepare_mac_addr_change" },
	{ 0x5af5df06, "eth_commit_mac_addr_change" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "net_failover");

MODULE_ALIAS("virtio:d00000001v*");

MODULE_INFO(srcversion, "ADE66DEB525006A30CB3316");

MODULE_INFO(suserelease, "SLE15-SP6");
