#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xf331a30b, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xf3cb7c72, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x075b9bc9, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x2c55626e, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x8971331e, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x0850d53b, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xd11debea, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x4d1cdd5b, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xb85d1e44, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xe2beef23, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x937c0c99, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x36b156e1, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x6560d8b8, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xc579f3df, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x7f62983d, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x7cef6d1f, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x93b20c6b, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xf810dc95, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x8f1fa438, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0xcd498ec6, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x8903364d, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xcb974e08, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xa43e5dce, "_gpl");
SYMBOL_CRC(nvme_keep_alive_work_period, 0x63bf7b86, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x6f75e20a, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x9afa19d5, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x6fa0e662, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xf4f5e481, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xffc79b25, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xe6b751d4, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x2f22ec31, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x7e435f88, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x3fd907cb, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xb7873942, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x2f0f5920, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x57a495b0, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x7c3fde6a, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xe721dbfb, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x63c2d87f, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x7fb93443, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x7e8a73a5, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xdaed444f, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x4558d025, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x6c852635, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0xf45003f2, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x833b6600, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x944bbe76, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x139a2c51, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x1074c9e8, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x1bc07d87, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xfea77d6f, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x0ee847e6, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xd9bae1a9, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xa7505df1, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x4de22168, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x44590345, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x54b7c5e1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x2092951f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xc5b3144f, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0x63844699, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x1c21b492, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x76153300, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x1bba1edc, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x86483ac6, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xb6de1c90, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xac78fe0d, "set_capacity_and_notify" },
	{ 0x4de0dd5d, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xab980ef7, "set_disk_ro" },
	{ 0x52866533, "__blk_alloc_disk" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x64850f18, "blk_integrity_register" },
	{ 0x63cd545b, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2958771c, "bio_integrity_map_user" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xddd452d1, "device_remove_file_self" },
	{ 0x20250eb8, "param_ops_uint" },
	{ 0xf223c684, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6c726d05, "blk_queue_logical_block_size" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x66b9d409, "dev_set_name" },
	{ 0x3bbe40da, "ext_pi_type3_crc64" },
	{ 0x8599482b, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xd6947059, "disk_update_readahead" },
	{ 0xd0a3ec4d, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x9350f6cd, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xebe4f23b, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xd048bfe6, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7d1ee791, "class_destroy" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x47719f9e, "should_fail" },
	{ 0x7288bda, "device_initialize" },
	{ 0x36bdb9be, "blk_mq_unquiesce_queue" },
	{ 0xff8e35e0, "t10_pi_type1_crc" },
	{ 0x9565b9ce, "blk_queue_dma_alignment" },
	{ 0xe63c32c, "blk_mq_quiesce_queue" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0x799b47a7, "ext_pi_type1_crc64" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6b26690b, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xb89580a7, "blk_queue_write_cache" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc68a20bf, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x4a826f69, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0xe0941703, "param_ops_byte" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0x44430d1f, "get_device" },
	{ 0xbedd5a10, "blk_mq_end_request" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x99d35845, "__blk_mq_alloc_disk" },
	{ 0xd1f4322e, "__dynamic_dev_dbg" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6cd8ae35, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x97b920e4, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3d62698b, "blk_mq_alloc_tag_set" },
	{ 0xf7dc86cf, "blk_rq_is_poll" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x686ea42f, "crypto_destroy_tfm" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1953c958, "mempool_create" },
	{ 0xf93c852d, "put_disk" },
	{ 0xb08dc9ef, "crypto_alloc_kpp" },
	{ 0x20a2d816, "cdev_device_add" },
	{ 0x2d0fee58, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x50c5b49e, "blk_queue_physical_block_size" },
	{ 0xc3eb522b, "blk_execute_rq" },
	{ 0xf2b97d25, "put_device" },
	{ 0x32958535, "blk_mq_unquiesce_tagset" },
	{ 0x23a3e866, "blk_queue_max_zone_append_sectors" },
	{ 0xa916b694, "strnlen" },
	{ 0x21c6fddc, "kmalloc_node_trace" },
	{ 0x8623e9e7, "blk_queue_flag_set" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xebfa893f, "blk_mq_free_request" },
	{ 0xe42d8b7c, "disk_set_zoned" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x80529796, "_dev_info" },
	{ 0x61c4a6a3, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd197a7a8, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd4fc157a, "sysfs_create_link" },
	{ 0xc4e61bc5, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbc3779d, "compat_ptr_ioctl" },
	{ 0xb24694eb, "t10_pi_type3_crc" },
	{ 0x3c4be2f9, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xc132cd51, "blk_mq_quiesce_tagset" },
	{ 0x4f257aba, "kobject_uevent_env" },
	{ 0xc6436c43, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x8c569373, "__SCK__tp_func_block_bio_remap" },
	{ 0xd46fe5e4, "_dev_err" },
	{ 0x88b48a5b, "blk_revalidate_disk_zones" },
	{ 0xff54aeab, "debugfs_create_bool" },
	{ 0xa69e26d, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xada83e92, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xeaae5026, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb2d8c966, "sysfs_remove_link" },
	{ 0x3150c9aa, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6ccc144a, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9fc08878, "submit_bio_noacct" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xecfab174, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbd8c3093, "blk_sync_queue" },
	{ 0xa67b114e, "bdev_start_io_acct" },
	{ 0x68ff5714, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xeaa51461, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc69bc66f, "blk_mq_alloc_request_hctx" },
	{ 0x4d5b8890, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x7a1c71a9, "crypto_shash_update" },
	{ 0x82760c9b, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x11bf3f46, "del_gendisk" },
	{ 0x1be0a6cb, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9251942f, "blk_queue_max_discard_segments" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x3454a8c7, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x8d686533, "blk_put_queue" },
	{ 0xa069e7c2, "bpf_trace_run1" },
	{ 0xc001d93a, "device_del" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x4989927d, "blk_mq_wait_quiesce_done" },
	{ 0x224c2873, "param_ops_charp" },
	{ 0xbfbe5092, "blk_queue_max_segments" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe8d1a653, "io_uring_cmd_do_in_task_lazy" },
	{ 0xbac8db7e, "blk_mq_init_queue" },
	{ 0x5a4eb8c3, "debugfs_create_x16" },
	{ 0x6c9d45e5, "io_uring_cmd_done" },
	{ 0xf280a48c, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x89ac4d96, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x745a981, "xa_erase" },
	{ 0xe37575f5, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2033e5c3, "blk_queue_virt_boundary" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x764c2993, "blk_mq_complete_request" },
	{ 0x60698d2, "blk_queue_chunk_sectors" },
	{ 0xc6b5ad0e, "blk_queue_max_write_zeroes_sectors" },
	{ 0x1c4ae9b8, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0xe98e8a77, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0x993343ce, "blk_mq_destroy_queue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xbfc067bf, "blk_freeze_queue_start" },
	{ 0x9c824ecb, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x209579b0, "__tracepoint_block_bio_complete" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1901016a, "blk_queue_io_min" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0xa4890282, "__tracepoint_block_bio_remap" },
	{ 0x1af2bf1a, "blk_mq_unfreeze_queue" },
	{ 0x7c8f28, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xa73cef22, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf3d1458d, "blk_rq_map_user_iov" },
	{ 0xd659ddd, "setup_fault_attr" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xa8e5ff1e, "blk_queue_max_hw_sectors" },
	{ 0x9f029221, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xb8125b37, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xafb17bb7, "crypto_alloc_shash" },
	{ 0xeb9e2175, "blk_mq_freeze_queue_wait" },
	{ 0x164f46b7, "debugfs_create_dir" },
	{ 0x1dddb709, "nvme_auth_gen_privkey" },
	{ 0x6d295c29, "fault_create_debugfs_attr" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xecec8ec1, "blk_queue_io_opt" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6b11387b, "blk_mq_requeue_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf10e0e56, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87a25d94, "bdev_end_io_acct" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x728c08bb, "blk_steal_bios" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "49F9C86F0576F970C6DDDD0");

MODULE_INFO(suserelease, "SLE15-SP6");
