#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvmf_get_address, 0x256f4606, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x2df5287a, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x769e7284, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x1fbb5b16, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x7112f629, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x6318449a, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x2121de97, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0xc334b9ff, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x4a4f7d48, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x5e394000, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x2fc23a05, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xe5beea9f, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x2db65833, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x50a5094b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x63cd545b, "try_module_get" },
	{ 0x46b1d77c, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7d1ee791, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf2b97d25, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x80529796, "_dev_info" },
	{ 0xd197a7a8, "module_put" },
	{ 0x15b5037f, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x57bc19d2, "down_write" },
	{ 0xd46fe5e4, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xbc0cd820, "device_create" },
	{ 0xecfab174, "class_create" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8f1fa438, "__nvme_submit_sync_cmd" },
	{ 0xf331a30b, "nvme_try_sched_reset" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0xeaec6cf7, "misc_register" },
	{ 0x76153300, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xdd969597, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x98f2558b, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x40985489, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x1b034c14, "seq_puts" },
	{ 0xb0feed3, "single_release" },
	{ 0x937c0c99, "nvme_wait_reset" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x8bfc9a25, "single_open" },
	{ 0x53b954a2, "up_read" },
	{ 0x7463ce0f, "nvme_tls_key_lookup" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1c21b492, "nvme_auth_negotiate" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "18024D3C2FE0019BA31A0E5");

MODULE_INFO(suserelease, "SLE15-SP6");
