#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x57a495b0, "nvme_remove_admin_tag_set" },
	{ 0x7e8a73a5, "nvme_uninit_ctrl" },
	{ 0x2c55626e, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xb85d1e44, "nvme_cancel_admin_tagset" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x50a5094b, "nvmf_free_options" },
	{ 0x16e5561d, "blk_mq_complete_request_remote" },
	{ 0x93b20c6b, "nvme_setup_cmd" },
	{ 0x7fb93443, "nvme_start_ctrl" },
	{ 0x2f0f5920, "nvme_alloc_admin_tag_set" },
	{ 0x2121de97, "nvmf_connect_io_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x2df5287a, "nvmf_reg_read32" },
	{ 0x75b9bc9, "nvme_delete_ctrl" },
	{ 0xffc79b25, "nvme_disable_ctrl" },
	{ 0x63844699, "nvme_should_fail" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x256f4606, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b880e60, "nvmet_sq_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0xe721dbfb, "nvme_remove_io_tag_set" },
	{ 0x7cef6d1f, "nvme_cleanup_cmd" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc5b3144f, "nvme_mpath_start_request" },
	{ 0x5e394000, "nvmf_unregister_transport" },
	{ 0xf2b97d25, "put_device" },
	{ 0xc570c1dc, "nvmet_unregister_transport" },
	{ 0xe2beef23, "nvme_change_ctrl_state" },
	{ 0x4d1cdd5b, "nvme_cancel_tagset" },
	{ 0x80529796, "_dev_info" },
	{ 0xdaed444f, "nvme_init_ctrl" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x7c3fde6a, "nvme_alloc_io_tag_set" },
	{ 0xe945c4cd, "nvmet_req_init" },
	{ 0xc579f3df, "nvme_fail_nonready_command" },
	{ 0xd46fe5e4, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x25b2da27, "nvmet_register_transport" },
	{ 0x5abed9e9, "__blk_rq_map_sg" },
	{ 0x769e7284, "nvmf_reg_read64" },
	{ 0x6318449a, "nvmf_connect_admin_queue" },
	{ 0xe6b751d4, "nvme_enable_ctrl" },
	{ 0xfea77d6f, "nvme_unquiesce_admin_queue" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa581726, "blk_mq_hctx_set_fq_lock_class" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1074c9e8, "nvme_unquiesce_io_queues" },
	{ 0x4909aede, "blk_mq_update_nr_hw_queues" },
	{ 0x1fbb5b16, "nvmf_reg_write32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc43ef21a, "nvmet_sq_init" },
	{ 0xb7873942, "nvme_complete_async_event" },
	{ 0xf4f5e481, "nvme_set_queue_count" },
	{ 0x4a4f7d48, "nvmf_register_transport" },
	{ 0x3ea023b0, "blk_mq_start_request" },
	{ 0x139a2c51, "nvme_quiesce_io_queues" },
	{ 0x63c2d87f, "nvme_stop_ctrl" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x2f22ec31, "nvme_init_ctrl_finish" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x1bc07d87, "nvme_quiesce_admin_queue" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7f62983d, "__nvme_check_ready" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics,nvmet");


MODULE_INFO(srcversion, "B07D7E5E764C334451C86F0");

MODULE_INFO(suserelease, "SLE15-SP6");
