#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x5ddd8221, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x2d1b7ea3, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0xd3745368, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x9dad2b54, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0xeb43d170, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x44991fc7, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0xa01852e2, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x6dae4232, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xe22a9100, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x85c0a3c4, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0xd66da858, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xf11d68e9, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x44107d51, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0xa85ba45e, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x6162f922, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x3d4094b3, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xc4ed412b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5fcd1b9, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6793c0ae, "_dev_printk" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xe76db571, "crypto_ahash_digest" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7cf49d5d, "iscsi_prep_data_out_pdu" },
	{ 0xd1241ed3, "iscsi_put_task" },
	{ 0x2cf71d06, "iscsi_conn_failure" },
	{ 0x12e16cd8, "iscsi_conn_setup" },
	{ 0x8da5be5d, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6df868, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc766ae5a, "iscsi_complete_pdu" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x95c98553, "crypto_ahash_final" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62210bae, "skb_prepare_seq_read" },
	{ 0xbf8b3b6b, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb030419, "skb_abort_seq_read" },
	{ 0xff9a7dd7, "iscsi_verify_itt" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9f141833, "iscsi_itt_to_ctask" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x713acb19, "iscsi_update_cmdsn" },
	{ 0xfaa0ec3d, "iscsi_get_task" },
	{ 0xfc970d7, "__iscsi_complete_pdu" },
	{ 0xfee1b082, "iscsi_requeue_task" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x544234aa, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "SLE15-SP6");
