#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fat_search_long, 0x1ede8292, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x6795ec51, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x793692aa, "_gpl");
SYMBOL_CRC(fat_scan, 0x521cd977, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xcfaed322, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x03ac30bc, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x18d6671c, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x0c2e4a2c, "_gpl");
SYMBOL_CRC(fat_getattr, 0x48bcdd8b, "_gpl");
SYMBOL_CRC(fat_setattr, 0x840c556f, "_gpl");
SYMBOL_CRC(fat_attach, 0x5c824bbc, "_gpl");
SYMBOL_CRC(fat_detach, 0xd0185091, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x281af511, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xb37d6b3e, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x9091676f, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x5295d7f1, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x0d2745c9, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xbc0a9dd7, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xf59ec413, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xa053c9fc, "_gpl");
SYMBOL_CRC(fat_update_time, 0xba6da9d5, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x989829b2, "filemap_fdatawrite" },
	{ 0x27a63c0e, "generic_fillattr" },
	{ 0x75062393, "setattr_prepare" },
	{ 0x5018f0b0, "generic_block_bmap" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x29664dfa, "sync_blockdev_nowait" },
	{ 0x4b33ea71, "make_vfsgid" },
	{ 0xdf01f86c, "blk_start_plug" },
	{ 0x6a78e2d2, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfbd9e6f8, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xea758bb5, "new_inode" },
	{ 0x134ec2e2, "mark_buffer_dirty" },
	{ 0x50028389, "security_inode_setattr" },
	{ 0xd93a5bc6, "__find_get_block" },
	{ 0xa4c4b3a7, "filemap_fdatawrite_range" },
	{ 0xe6127d3b, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xbb425810, "__blockdev_direct_IO" },
	{ 0x6ac5fdac, "d_make_root" },
	{ 0xbeeb4269, "__bforget" },
	{ 0x1b74c712, "sb_set_blocksize" },
	{ 0xb47ba389, "block_truncate_page" },
	{ 0xbe5b6243, "write_dirty_buffer" },
	{ 0x2cd25cff, "sync_filesystem" },
	{ 0x836e97a2, "fsnotify" },
	{ 0x24c4afca, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x72b196ab, "from_vfsuid" },
	{ 0xbe730424, "inode_dio_wait" },
	{ 0x3586ad96, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x46043a9, "cont_write_begin" },
	{ 0xca2cb811, "iput" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x5ebb4899, "iter_file_splice_write" },
	{ 0x9c8588d2, "generic_file_write_iter" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0x93f1bfd7, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa60643ac, "make_vfsuid" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xf5700f90, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x73246694, "block_invalidate_folio" },
	{ 0xcabd1a17, "__breadahead" },
	{ 0xed67eb08, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc6be7d69, "load_nls" },
	{ 0xf2ee20d, "generic_cont_expand_simple" },
	{ 0x8094593, "make_kuid" },
	{ 0x62f5da2a, "truncate_inode_pages_final" },
	{ 0x8fc3bb82, "generic_file_mmap" },
	{ 0x44554be5, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7db48c0b, "ilookup" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0xb99cd118, "invalidate_inode_buffers" },
	{ 0x419eee3e, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa7232a82, "mnt_drop_write_file" },
	{ 0xc0eca8cb, "inode_init_once" },
	{ 0xbc3779d, "compat_ptr_ioctl" },
	{ 0xa22fa42d, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xbf6e8843, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x517fcbd1, "generic_file_read_iter" },
	{ 0x95a8dcee, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x654fc7d1, "truncate_pagecache" },
	{ 0xbf3f2c1f, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x77a5a5d7, "setattr_copy" },
	{ 0x6e543cdb, "__wait_on_buffer" },
	{ 0xf40422da, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0xd77e839f, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x9c44ba85, "from_vfsgid" },
	{ 0xe724ec95, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd8095bce, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x48051b1a, "__bread_gfp" },
	{ 0xfc542c0f, "block_dirty_folio" },
	{ 0x345edc38, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x7f3691da, "__insert_inode_hash" },
	{ 0x9c3bdfc2, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xffb20f1f, "make_kgid" },
	{ 0x986b778c, "from_kgid_munged" },
	{ 0x668b19a1, "down_read" },
	{ 0xcf4df96a, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3fc0f11a, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xcdfb616d, "igrab" },
	{ 0xe2d050e4, "__getblk_gfp" },
	{ 0x15cf4a1f, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4b807871, "mpage_readahead" },
	{ 0x4d69e69a, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xe55047a8, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x40985489, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x8b69829a, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xf0d6d74a, "blkdev_issue_flush" },
	{ 0x1b034c14, "seq_puts" },
	{ 0x5bbf9ec1, "generic_fh_to_parent" },
	{ 0x99b1a5d6, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x256e8707, "from_kuid_munged" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x328841d9, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x15fd29e6, "kmem_cache_alloc_lru" },
	{ 0xfdcd47d4, "__mark_inode_dirty" },
	{ 0x6c8dd077, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2eaba7da, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0xd7ab1610, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb11ca897, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xb1750a40, "blkdev_issue_discard" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E02AF8387D093A97BCA8842");

MODULE_INFO(suserelease, "SLE15-SP6");
