#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb4459620, "dquot_commit" },
	{ 0xf65dc0ff, "truncate_inode_pages" },
	{ 0x2ea190ed, "bh_uptodate_or_lock" },
	{ 0x4049046a, "inode_init_owner" },
	{ 0x75062393, "setattr_prepare" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x760a0f4f, "yield" },
	{ 0xfee54da0, "clear_nlink" },
	{ 0x5018f0b0, "generic_block_bmap" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x158d9c43, "d_instantiate" },
	{ 0x4b33ea71, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6a78e2d2, "clear_inode" },
	{ 0x812ce766, "dquot_set_dqinfo" },
	{ 0x90923037, "dquot_commit_info" },
	{ 0x2554c1e0, "grab_cache_page_write_begin" },
	{ 0x59e33cf3, "dquot_disable" },
	{ 0xa34ba76d, "dquot_release" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf62c9d22, "dquot_free_inode" },
	{ 0xca25b3b6, "folio_unlock" },
	{ 0xa5adc1b5, "set_blocksize" },
	{ 0x252177bc, "lookup_one_len" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xea758bb5, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe718d033, "dquot_get_state" },
	{ 0xa6a1cc4f, "init_special_inode" },
	{ 0x78a705bd, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x134ec2e2, "mark_buffer_dirty" },
	{ 0xd93a5bc6, "__find_get_block" },
	{ 0xeaeb616e, "__block_write_begin" },
	{ 0x436c36c9, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbb425810, "__blockdev_direct_IO" },
	{ 0x6ac5fdac, "d_make_root" },
	{ 0x96848186, "scnprintf" },
	{ 0xbeeb4269, "__bforget" },
	{ 0x1b74c712, "sb_set_blocksize" },
	{ 0xbe5b6243, "write_dirty_buffer" },
	{ 0x2cd25cff, "sync_filesystem" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x14bec4e7, "d_splice_alias" },
	{ 0x24c4afca, "current_time" },
	{ 0x91f3d829, "folio_zero_new_buffers" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb67a26, "ihold" },
	{ 0x838b82d2, "page_get_link" },
	{ 0xbe730424, "inode_dio_wait" },
	{ 0xa7a8b53, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x5115306e, "read_cache_page" },
	{ 0xca2cb811, "iput" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0x5ebb4899, "iter_file_splice_write" },
	{ 0xdb3b4255, "filemap_release_folio" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9c8588d2, "generic_file_write_iter" },
	{ 0xd5454527, "register_filesystem" },
	{ 0x7229f074, "dquot_transfer" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0x62ecceda, "dquot_drop" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x16b08d70, "submit_bh" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa60643ac, "make_vfsuid" },
	{ 0x48220bbe, "inode_get_bytes" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x112a51d3, "inode_set_bytes" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xca372513, "inode_newsize_ok" },
	{ 0x1a2be771, "kill_block_super" },
	{ 0xf5700f90, "mnt_want_write_file" },
	{ 0xd014622, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x3629c935, "dquot_quota_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf2ee20d, "generic_cont_expand_simple" },
	{ 0x72816317, "try_to_free_buffers" },
	{ 0x8094593, "make_kuid" },
	{ 0x620587ed, "create_empty_buffers" },
	{ 0x62f5da2a, "truncate_inode_pages_final" },
	{ 0x8fc3bb82, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x44554be5, "sync_mapping_buffers" },
	{ 0x2a6d125c, "dquot_initialize" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x99d754a, "dquot_quota_on" },
	{ 0xb505b8ef, "blkdev_put" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x3e8ea1c8, "xattr_full_name" },
	{ 0xb9cc1608, "get_inode_acl" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa7232a82, "mnt_drop_write_file" },
	{ 0xbe39d25d, "suse_allow_unsupported_param_ops" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc0eca8cb, "inode_init_once" },
	{ 0xd2a4b9a7, "file_write_and_wait_range" },
	{ 0x42915520, "mark_buffer_async_write" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x13684f4f, "seq_escape_mem" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x8349c7c2, "dquot_set_dqblk" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbf6e8843, "__brelse" },
	{ 0x7d740415, "posix_acl_create" },
	{ 0x685c8ba9, "inode_nohighmem" },
	{ 0x57bc19d2, "down_write" },
	{ 0x27bee99f, "shrink_dcache_sb" },
	{ 0xce807a25, "up_write" },
	{ 0x517fcbd1, "generic_file_read_iter" },
	{ 0x88c3fbcb, "unlock_page" },
	{ 0x8a61c25d, "set_cached_acl" },
	{ 0x2fa01fff, "blkdev_get_by_dev" },
	{ 0xbf3f2c1f, "sync_dirty_buffer" },
	{ 0x235dee91, "__bh_read_batch" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xf064e434, "dquot_resume" },
	{ 0x77a5a5d7, "setattr_copy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x6e543cdb, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf40422da, "set_nlink" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x87c2064b, "security_inode_init_security" },
	{ 0x452d714f, "seq_putc" },
	{ 0xc752a63, "blkdev_get_by_path" },
	{ 0xb2db0acf, "from_kgid" },
	{ 0xb540f693, "__sync_dirty_buffer" },
	{ 0xc1168576, "__bh_read" },
	{ 0x9166fada, "strncpy" },
	{ 0xf1e046cc, "panic" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd8095bce, "d_obtain_alias" },
	{ 0x1f7abdce, "posix_acl_chmod" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x48051b1a, "__bread_gfp" },
	{ 0xfc542c0f, "block_dirty_folio" },
	{ 0x7b76bdb5, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x6ef645e7, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0xe21009f3, "inode_owner_or_capable" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x77f98940, "suse_mark_unsupported" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xffb20f1f, "make_kgid" },
	{ 0x9bdf3e09, "d_delete" },
	{ 0xdc6cba05, "end_page_writeback" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xcf4df96a, "truncate_setsize" },
	{ 0x2f8a0eec, "insert_inode_locked4" },
	{ 0x9ce71f4e, "dquot_get_dqblk" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x400f6ac, "block_read_full_folio" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x74a09b35, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x34b5fc32, "__dquot_alloc_space" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3fc0f11a, "unlock_buffer" },
	{ 0xcdfb616d, "igrab" },
	{ 0xe2d050e4, "__getblk_gfp" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x15cf4a1f, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4f144205, "d_instantiate_new" },
	{ 0x2d0e4f9d, "__dquot_free_space" },
	{ 0x67a9e807, "set_page_writeback" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6784de8b, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4b807871, "mpage_readahead" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe55047a8, "init_user_ns" },
	{ 0x75a16d04, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x48f392fd, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3e8dfd28, "dquot_quota_off" },
	{ 0x40985489, "seq_printf" },
	{ 0x26011cfa, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8b69829a, "__lock_buffer" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xa84b4256, "posix_acl_update_mode" },
	{ 0x892e7e1c, "__folio_lock" },
	{ 0x412440ab, "dquot_quota_on_mount" },
	{ 0xc8562577, "filemap_dirty_folio" },
	{ 0x29918d87, "pagecache_get_page" },
	{ 0xf0d6d74a, "blkdev_issue_flush" },
	{ 0xab72317, "is_bad_inode" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1b034c14, "seq_puts" },
	{ 0x6adecfa4, "dquot_mark_dquot_dirty" },
	{ 0xda98cc28, "dquot_get_next_id" },
	{ 0x31f32a0b, "dquot_file_open" },
	{ 0x99b1a5d6, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x1daab776, "iget5_locked" },
	{ 0xd107e26d, "d_set_d_op" },
	{ 0xbe5f9f2f, "dquot_acquire" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0x15fd29e6, "kmem_cache_alloc_lru" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xccda6621, "dquot_writeback_dquots" },
	{ 0xfdcd47d4, "__mark_inode_dirty" },
	{ 0x6c8dd077, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfe99669b, "make_bad_inode" },
	{ 0x53b954a2, "up_read" },
	{ 0x79475980, "drop_nlink" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xc3002f54, "dquot_destroy" },
	{ 0x72bbdb03, "dquot_alloc" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A8AB93369A2D33250531A87");

MODULE_INFO(suserelease, "SLE15-SP6");
