#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x421d47f6, "iget_locked" },
	{ 0x3f34644d, "zstd_dstream_workspace_bound" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8210ab64, "fs_param_is_string" },
	{ 0xea758bb5, "new_inode" },
	{ 0xc7c1107a, "LZ4_decompress_safe" },
	{ 0xa6a1cc4f, "init_special_inode" },
	{ 0x78a705bd, "unregister_filesystem" },
	{ 0x81db6ebb, "xz_dec_reset" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4df8fbc, "lzo1x_decompress_safe" },
	{ 0x6ac5fdac, "d_make_root" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x2cd25cff, "sync_filesystem" },
	{ 0x14bec4e7, "d_splice_alias" },
	{ 0x69acdf38, "memcpy" },
	{ 0x838b82d2, "page_get_link" },
	{ 0x37a0cba, "kfree" },
	{ 0xca2cb811, "iput" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xad420910, "fs_param_is_enum" },
	{ 0xa5fa6a90, "logfc" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0x52d717da, "xz_dec_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xd5454527, "register_filesystem" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1a2be771, "kill_block_super" },
	{ 0xd014622, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8094593, "make_kuid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6e5b8651, "xz_dec_run" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc0eca8cb, "inode_init_once" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbd5d3d6f, "readahead_expand" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x685c8ba9, "inode_nohighmem" },
	{ 0x88c3fbcb, "unlock_page" },
	{ 0xcfd037f7, "generic_ro_fops" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65dccf13, "xz_dec_end" },
	{ 0xf40422da, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0xfec3b13e, "bio_kmalloc" },
	{ 0x9166fada, "strncpy" },
	{ 0xf1e046cc, "panic" },
	{ 0x23153808, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd8095bce, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x1b58c7c0, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x7f3691da, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xffb20f1f, "make_kgid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xef1fc20e, "bio_free_pages" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x999e8297, "vfree" },
	{ 0x15cf4a1f, "generic_read_dir" },
	{ 0x4f6df28d, "bio_uninit" },
	{ 0xdfc12ef1, "zstd_decompress_stream" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0x48f392fd, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c623b73, "get_tree_bdev" },
	{ 0x40985489, "seq_printf" },
	{ 0x29918d87, "pagecache_get_page" },
	{ 0x1b034c14, "seq_puts" },
	{ 0x1f69998e, "__fs_parse" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x3cbb940b, "zstd_init_dstream" },
	{ 0x754d539c, "strlen" },
	{ 0x15fd29e6, "kmem_cache_alloc_lru" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6c8dd077, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfe99669b, "make_bad_inode" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0xd65e4a10, "submit_bio_wait" },
	{ 0xb11ca897, "sb_min_blocksize" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x608d0267, "zstd_get_error_code" },
	{ 0xef4a66aa, "iget_failed" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "90F1A63CC78436452FECC33");

MODULE_INFO(suserelease, "SLE15-SP6");
