#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nf_br_ops, 0x778afe7d, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xad66b7f2, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x24320ee6, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x5a7d10f4, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xac6ab6ed, "_gpl");
SYMBOL_CRC(br_forward, 0x81810b94, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x2b8b3e31, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x136fae77, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x075d6fb9, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x420be83b, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x7008a35b, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x3f906805, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xc29ea69d, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x905acc2e, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x4bdc68c6, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xe4c36a89, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x36008fbf, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x9ed789c4, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xa8d9b38d, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x029b2cf6, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x47986628, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x409fc360, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xd29a5db8, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xd9120086, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xd7cacd4f, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1cf516e6, "netdev_lower_get_next" },
	{ 0xcf3afab7, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa6fc96c, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x64519b38, "skb_copy_bits" },
	{ 0x92df73c5, "__nlmsg_put" },
	{ 0x14f3a866, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x60a73fc9, "ipv6_mc_check_mld" },
	{ 0xcc7ab9a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf12caedb, "call_switchdev_notifiers" },
	{ 0x1f0fdf06, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc9539c2d, "netdev_update_features" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5003a386, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x86407fa1, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x55a8e8e6, "netpoll_send_skb" },
	{ 0x9582819f, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xb0449e6, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4043f560, "switchdev_port_obj_act_is_deferred" },
	{ 0x8cf703ec, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x6fee28f3, "dev_set_promiscuity" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa7785312, "unregister_netdevice_queue" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc1d10c92, "netdev_state_change" },
	{ 0x23597e6e, "__dev_get_by_name" },
	{ 0x22342135, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd2585228, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0xa1381b4a, "pskb_expand_head" },
	{ 0x9e7ae3a4, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x6064c2eb, "brioctl_set" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x64b410b8, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x8f7a8bcc, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdfe2b9c0, "alloc_netdev_mqs" },
	{ 0xa0506973, "passthru_features_check" },
	{ 0x28378917, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1519f0f9, "netdev_rx_handler_unregister" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xba7d262b, "__SCK__tp_func_br_mdb_full" },
	{ 0xb3399306, "rtnl_af_register" },
	{ 0x4fca4091, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x511576c3, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0x26fe15cb, "rtnl_set_sk_err" },
	{ 0xc8965cc4, "skb_vlan_pop" },
	{ 0xd4fc157a, "sysfs_create_link" },
	{ 0x8a66a24a, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x27a81f84, "nla_reserve_64bit" },
	{ 0xf041ded7, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xe795a55f, "__dev_get_by_index" },
	{ 0xb4e402f4, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xef0143b5, "dev_get_port_parent_id" },
	{ 0x2e1737b5, "init_net" },
	{ 0x1c5be712, "ipv6_stub" },
	{ 0x95ae1840, "inet_confirm_addr" },
	{ 0x709d09b6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb2d8c966, "sysfs_remove_link" },
	{ 0x13b63aae, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc89034e9, "__SCK__tp_func_br_fdb_add" },
	{ 0xd0ce46f1, "rtnl_af_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa6fb8652, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x9d6b37c3, "dev_get_by_index_rcu" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x7032d9be, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xfea3d982, "skb_push" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x11b97233, "br_fdb_test_addr_hook" },
	{ 0x16857a55, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x4c11a8d7, "netdev_upper_dev_unlink" },
	{ 0x5dacb711, "netif_receive_skb" },
	{ 0x7965889, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xddf1da68, "llc_mac_hdr_init" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xaa7b08cf, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x66de2e9f, "__SCK__tp_func_fdb_delete" },
	{ 0x70e78d91, "kobject_init_and_add" },
	{ 0x4bdc443a, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf8721793, "ns_capable" },
	{ 0x8e0d3b15, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x521a6bfd, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdd18c20c, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x96abe545, "arp_create" },
	{ 0xeac4e07d, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdcf4072, "stp_proto_register" },
	{ 0xe789f361, "rtnl_register_module" },
	{ 0xf0ce9d00, "__tracepoint_br_fdb_update" },
	{ 0x3a4b5795, "sysfs_rename_link_ns" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xd5061a64, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x74d0a68f, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0xe45494c7, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xe8c76a24, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x85a17abd, "ip_mc_check_igmp" },
	{ 0x20038bab, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xdc3b0e16, "switchdev_port_obj_del" },
	{ 0x38d03dca, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x75e4770f, "kobject_create_and_add" },
	{ 0x92236450, "skb_trim" },
	{ 0xf0b16fad, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe6fd3a63, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6d5eb16, "__ip_mc_inc_group" },
	{ 0xbb51f7c7, "netdev_walk_all_upper_dev_rcu" },
	{ 0x5738f80f, "sysfs_remove_group" },
	{ 0xc68da644, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xde7cc3c8, "__tracepoint_fdb_delete" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x873b857f, "__netpoll_setup" },
	{ 0xa6cf24cb, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9eb9c0f3, "vlan_vid_add" },
	{ 0x5da9c852, "neigh_destroy" },
	{ 0x51fd62e1, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x3953dba3, "kobject_del" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x4a35eae8, "__SCK__tp_func_br_fdb_update" },
	{ 0xaf1c3b2a, "call_netdevice_notifiers" },
	{ 0x4e828c71, "is_skb_forwardable" },
	{ 0xc7f1996b, "vlan_vid_del" },
	{ 0xe08f1967, "dev_set_allmulti" },
	{ 0x9a922ac5, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa2bd30e5, "netdev_master_upper_dev_get" },
	{ 0xad26eef4, "ipv6_dev_mc_inc" },
	{ 0x35c8add0, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x962aa973, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb1b6011b, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x11923150, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x28bca6d9, "skb_clone" },
	{ 0xfd9b6dea, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x51c9aad9, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd07b39a2, "dst_release" },
	{ 0x40a42b90, "netif_carrier_on" },
	{ 0xa1712399, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6add6078, "arp_tbl" },
	{ 0x7bfb4515, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3e7cf291, "netdev_rx_handler_register" },
	{ 0x5c1f7dd5, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xed347ff3, "netif_set_tso_max_size" },
	{ 0x6f0d3035, "dev_disable_lro" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xa0b25956, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xed8bb584, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xda6c7155, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x593e6a4f, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0x4b6e4639, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x53316a71, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x398851e, "skb_ext_add" },
	{ 0xc5485e99, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x2e9f81d6, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xad6b9ae5, "neigh_lookup" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe371d84a, "kobject_put" },
	{ 0x1054dad3, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "48D83F1708F3CCB16BD1C29");

MODULE_INFO(suserelease, "SLE15-SP6");
