#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(libceph_compatible, 0x466b85b8, "");
SYMBOL_CRC(ceph_msg_type_name, 0xb54676fa, "");
SYMBOL_CRC(ceph_check_fsid, 0x6485a073, "");
SYMBOL_CRC(ceph_compare_options, 0xa8aee920, "");
SYMBOL_CRC(ceph_parse_fsid, 0x4affd6c2, "");
SYMBOL_CRC(ceph_alloc_options, 0x987d3968, "");
SYMBOL_CRC(ceph_destroy_options, 0xd4d736db, "");
SYMBOL_CRC(ceph_parse_mon_ips, 0xb6193e12, "");
SYMBOL_CRC(ceph_parse_param, 0x7c93fca2, "");
SYMBOL_CRC(ceph_print_client_options, 0x72e7ff61, "");
SYMBOL_CRC(ceph_client_addr, 0xac9496ca, "");
SYMBOL_CRC(ceph_client_gid, 0x9afc7423, "");
SYMBOL_CRC(ceph_create_client, 0x09125ac8, "");
SYMBOL_CRC(ceph_destroy_client, 0xb5e16bc0, "");
SYMBOL_CRC(ceph_reset_client_addr, 0xd8eeb995, "");
SYMBOL_CRC(__ceph_open_session, 0x3a1c1183, "");
SYMBOL_CRC(ceph_open_session, 0xb5686263, "");
SYMBOL_CRC(ceph_wait_for_latest_osdmap, 0x692a316f, "");
SYMBOL_CRC(ceph_pr_addr, 0x6a7a38a0, "");
SYMBOL_CRC(ceph_msgr_flush, 0xafb8a407, "");
SYMBOL_CRC(ceph_con_close, 0xa4c2cee5, "");
SYMBOL_CRC(ceph_con_open, 0x12c430f8, "");
SYMBOL_CRC(ceph_con_init, 0xa6110750, "");
SYMBOL_CRC(ceph_addr_is_blank, 0xf254297e, "");
SYMBOL_CRC(ceph_con_send, 0x19cb3691, "");
SYMBOL_CRC(ceph_con_keepalive, 0x35124109, "");
SYMBOL_CRC(ceph_msg_data_add_pages, 0xc03d8f56, "");
SYMBOL_CRC(ceph_msg_data_add_pagelist, 0xb999d9ed, "");
SYMBOL_CRC(ceph_msg_data_add_bio, 0xf40296b0, "");
SYMBOL_CRC(ceph_msg_data_add_bvecs, 0xad2e6143, "");
SYMBOL_CRC(ceph_msg_new2, 0x3aca6ff3, "");
SYMBOL_CRC(ceph_msg_new, 0xf3c3f64d, "");
SYMBOL_CRC(ceph_msg_get, 0xf37973ff, "");
SYMBOL_CRC(ceph_msg_put, 0x580dcbe3, "");
SYMBOL_CRC(ceph_msg_dump, 0xb26096f4, "");
SYMBOL_CRC(ceph_buffer_new, 0x9fbba67f, "");
SYMBOL_CRC(ceph_buffer_release, 0xb72c162e, "");
SYMBOL_CRC(ceph_pagelist_alloc, 0xe76e7226, "");
SYMBOL_CRC(ceph_pagelist_release, 0x2a983d26, "");
SYMBOL_CRC(ceph_pagelist_append, 0xefce991c, "");
SYMBOL_CRC(ceph_pagelist_reserve, 0xefce3c3b, "");
SYMBOL_CRC(ceph_pagelist_free_reserve, 0x165b1948, "");
SYMBOL_CRC(ceph_pagelist_set_cursor, 0xf03fe862, "");
SYMBOL_CRC(ceph_pagelist_truncate, 0xc366bfa1, "");
SYMBOL_CRC(ceph_monc_want_map, 0xd4d87f69, "");
SYMBOL_CRC(ceph_monc_got_map, 0xf711ec2d, "");
SYMBOL_CRC(ceph_monc_renew_subs, 0x3501c649, "");
SYMBOL_CRC(ceph_monc_wait_osdmap, 0xc631ac44, "");
SYMBOL_CRC(ceph_monc_open_session, 0xf416eaa2, "");
SYMBOL_CRC(ceph_monc_do_statfs, 0x718719e4, "");
SYMBOL_CRC(ceph_monc_get_version, 0x8efa1bdf, "");
SYMBOL_CRC(ceph_monc_get_version_async, 0x7416b5e2, "");
SYMBOL_CRC(ceph_monc_blocklist_add, 0xc2e7778f, "");
SYMBOL_CRC(ceph_monc_init, 0xa05357ce, "");
SYMBOL_CRC(ceph_monc_stop, 0x99e37145, "");
SYMBOL_CRC(ceph_monc_validate_auth, 0xe1a7566f, "");
SYMBOL_CRC(ceph_decode_entity_addr, 0xd4eb7735, "");
SYMBOL_CRC(ceph_decode_entity_addrvec, 0x50603ce3, "");
SYMBOL_CRC(ceph_cls_lock, 0x2d9ff53a, "");
SYMBOL_CRC(ceph_cls_unlock, 0xd479f1da, "");
SYMBOL_CRC(ceph_cls_break_lock, 0x8231ac23, "");
SYMBOL_CRC(ceph_cls_set_cookie, 0xd238a56f, "");
SYMBOL_CRC(ceph_free_lockers, 0xa698f998, "");
SYMBOL_CRC(ceph_cls_lock_info, 0x8b2a3ebb, "");
SYMBOL_CRC(ceph_cls_assert_locked, 0x13e005a3, "");
SYMBOL_CRC(osd_req_op_extent_osd_data, 0xeabb4393, "");
SYMBOL_CRC(osd_req_op_raw_data_in_pages, 0x786df80a, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pages, 0xbafc49df, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pagelist, 0x9ab2d770, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bio, 0x0237a99a, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvecs, 0xa84aba9e, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvec_pos, 0xa795db0a, "");
SYMBOL_CRC(osd_req_op_extent_osd_iter, 0x4970881f, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pagelist, 0x9c3ab714, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pages, 0x057de335, "");
SYMBOL_CRC(osd_req_op_cls_request_data_bvecs, 0x610ab9d1, "");
SYMBOL_CRC(osd_req_op_cls_response_data_pages, 0x79fede41, "");
SYMBOL_CRC(ceph_osdc_get_request, 0x302722b1, "");
SYMBOL_CRC(ceph_osdc_put_request, 0xdd202b8d, "");
SYMBOL_CRC(ceph_osdc_alloc_request, 0xb550056d, "");
SYMBOL_CRC(ceph_osdc_alloc_messages, 0x064d3f21, "");
SYMBOL_CRC(osd_req_op_init, 0x60a49ae7, "");
SYMBOL_CRC(osd_req_op_extent_init, 0x650b0af9, "");
SYMBOL_CRC(osd_req_op_extent_update, 0x4d96aaec, "");
SYMBOL_CRC(osd_req_op_extent_dup_last, 0x9b9b1927, "");
SYMBOL_CRC(osd_req_op_cls_init, 0xb4ac4f43, "");
SYMBOL_CRC(osd_req_op_xattr_init, 0x1ea9972c, "");
SYMBOL_CRC(osd_req_op_alloc_hint_init, 0x0609b0e2, "");
SYMBOL_CRC(ceph_osdc_new_request, 0x5ce773cd, "");
SYMBOL_CRC(__ceph_alloc_sparse_ext_map, 0xabcede0f, "");
SYMBOL_CRC(ceph_osdc_abort_requests, 0x822ce2fc, "");
SYMBOL_CRC(ceph_osdc_clear_abort_err, 0x70742740, "");
SYMBOL_CRC(ceph_osdc_update_epoch_barrier, 0x8440b275, "");
SYMBOL_CRC(ceph_osdc_start_request, 0x9dcb876f, "");
SYMBOL_CRC(ceph_osdc_cancel_request, 0xa6ca5390, "");
SYMBOL_CRC(ceph_osdc_wait_request, 0x11fe776a, "");
SYMBOL_CRC(ceph_osdc_sync, 0x37b51176, "");
SYMBOL_CRC(ceph_osdc_watch, 0x12e0bf58, "");
SYMBOL_CRC(ceph_osdc_unwatch, 0x431d5290, "");
SYMBOL_CRC(ceph_osdc_notify_ack, 0x1d58f611, "");
SYMBOL_CRC(ceph_osdc_notify, 0xef680d36, "");
SYMBOL_CRC(ceph_osdc_list_watchers, 0x1b442bf6, "");
SYMBOL_CRC(ceph_osdc_flush_notifies, 0xea37a32e, "");
SYMBOL_CRC(ceph_osdc_maybe_request_map, 0x673bda50, "");
SYMBOL_CRC(ceph_osdc_call, 0xd9ce6e6d, "");
SYMBOL_CRC(osd_req_op_copy_from_init, 0xfdca51b2, "");
SYMBOL_CRC(ceph_pg_pool_name_by_id, 0x1378aba3, "");
SYMBOL_CRC(ceph_pg_poolid_by_name, 0x04cad6f0, "");
SYMBOL_CRC(ceph_pg_pool_flags, 0x92b7b4ce, "");
SYMBOL_CRC(ceph_oloc_copy, 0xbd2f79ae, "");
SYMBOL_CRC(ceph_oloc_destroy, 0x417a9131, "");
SYMBOL_CRC(ceph_oid_copy, 0x2087719e, "");
SYMBOL_CRC(ceph_oid_printf, 0xdf6ef4a1, "");
SYMBOL_CRC(ceph_oid_aprintf, 0x5aeeee62, "");
SYMBOL_CRC(ceph_oid_destroy, 0x2101cbc9, "");
SYMBOL_CRC(ceph_object_locator_to_pg, 0xe34a59f2, "");
SYMBOL_CRC(ceph_pg_to_acting_primary, 0x17c17611, "");
SYMBOL_CRC(ceph_calc_file_object_mapping, 0x9fefa3cb, "");
SYMBOL_CRC(ceph_file_to_extents, 0x38f2d94e, "");
SYMBOL_CRC(ceph_iterate_extents, 0xeef6cfa3, "");
SYMBOL_CRC(ceph_extent_to_file, 0xca80437b, "");
SYMBOL_CRC(ceph_get_num_objects, 0x3c8d7111, "");
SYMBOL_CRC(ceph_auth_is_authenticated, 0xe7c0d330, "");
SYMBOL_CRC(__ceph_auth_get_authorizer, 0x2ed520d5, "");
SYMBOL_CRC(ceph_auth_destroy_authorizer, 0xad703657, "");
SYMBOL_CRC(ceph_auth_add_authorizer_challenge, 0x53b05648, "");
SYMBOL_CRC(ceph_auth_verify_authorizer_reply, 0x6a95e4e2, "");
SYMBOL_CRC(ceph_auth_invalidate_authorizer, 0x1376a406, "");
SYMBOL_CRC(ceph_auth_get_authorizer, 0x6bf17a21, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_more, 0x4c5b697e, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_done, 0xe458fefe, "");
SYMBOL_CRC(ceph_auth_handle_bad_authorizer, 0x6cf3d355, "");
SYMBOL_CRC(ceph_entity_type_name, 0xdfc091f9, "");
SYMBOL_CRC(ceph_str_hash, 0x57baf885, "");
SYMBOL_CRC(ceph_str_hash_name, 0x63758856, "");
SYMBOL_CRC(ceph_put_page_vector, 0x2d07b74d, "");
SYMBOL_CRC(ceph_release_page_vector, 0x76f1ed06, "");
SYMBOL_CRC(ceph_alloc_page_vector, 0xeb1a307a, "");
SYMBOL_CRC(ceph_copy_user_to_page_vector, 0x0c92524c, "");
SYMBOL_CRC(ceph_copy_to_page_vector, 0x167626a0, "");
SYMBOL_CRC(ceph_copy_from_page_vector, 0x48802949, "");
SYMBOL_CRC(ceph_zero_page_vector_range, 0x201f49f6, "");
SYMBOL_CRC(ceph_create_snap_context, 0x9ca95932, "");
SYMBOL_CRC(ceph_get_snap_context, 0xbe3879aa, "");
SYMBOL_CRC(ceph_put_snap_context, 0x86fca7e4, "");
SYMBOL_CRC(ceph_find_or_create_string, 0x9bc6b539, "");
SYMBOL_CRC(ceph_release_string, 0xee120c03, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeaf714f0, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xb029ca2f, "tcp_sock_set_cork" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8210ab64, "fs_param_is_string" },
	{ 0x464d90e9, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ae2367f, "iov_iter_advance" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xb1850ef6, "unregister_key_type" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xb88159a7, "iov_iter_get_pages2" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xdc164e7b, "seq_lseek" },
	{ 0xad420910, "fs_param_is_enum" },
	{ 0xa5fa6a90, "logfc" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0x1dc1d35, "crypto_alloc_aead" },
	{ 0x280df45d, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd5911ad4, "crypto_aead_setauthsize" },
	{ 0xf933d8c5, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3b10528c, "crypto_skcipher_setkey" },
	{ 0x148653, "vsnprintf" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x521293b7, "register_key_type" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x686ea42f, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa9c328ff, "fs_param_is_u32" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x1953c958, "mempool_create" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2e106a52, "filemap_alloc_folio" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xfe579cf7, "crypto_skcipher_decrypt" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x13684f4f, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x15b5037f, "key_put" },
	{ 0xb8aaa1bc, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0xa69e26d, "crypto_shash_setkey" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1cb35b80, "crypto_aead_encrypt" },
	{ 0x92f683b5, "__SCK__tp_func_sk_data_ready" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x68ff5714, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x452d714f, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa817e96e, "iov_iter_kvec" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xeb70fddc, "sock_sendmsg" },
	{ 0x7a1c71a9, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd1fd0c03, "tcp_stream_memory_free" },
	{ 0x70c1d51e, "sg_alloc_table_from_pages_segment" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xc37eb178, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x741b12ed, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd954743a, "crypto_alloc_sync_skcipher" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd969597, "seq_read" },
	{ 0x494095d5, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd4bf1a24, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe98e8a77, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xcd7da02f, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0xe0643d2, "request_key_tag" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x152aff34, "generic_key_instantiate" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x48f392fd, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40985489, "seq_printf" },
	{ 0x9adbb35b, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7d118ebe, "set_page_dirty_lock" },
	{ 0x9d195ac2, "sock_release" },
	{ 0xb4e867b1, "iov_iter_discard" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x1b034c14, "seq_puts" },
	{ 0xb0feed3, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xafabe1cf, "tcp_sock_set_nodelay" },
	{ 0x1f69998e, "__fs_parse" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8bfc9a25, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xafb17bb7, "crypto_alloc_shash" },
	{ 0x164f46b7, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa445b652, "kernel_sendmsg" },
	{ 0x53b954a2, "up_read" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "libcrc32c");


MODULE_INFO(srcversion, "A9086E5411A85361B5A4E01");

MODULE_INFO(suserelease, "SLE15-SP6");
