#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6f9888d, "inet_bhash2_reset_saddr" },
	{ 0xc58f8228, "inet6_csk_addr2sockaddr" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xbc006947, "inet6_lookup_reuseport" },
	{ 0xc617c404, "dccp_v4_connect" },
	{ 0x6f51ffbb, "ip_queue_xmit" },
	{ 0x4381f3a2, "__fl6_sock_lookup" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc0472de7, "dccp_shutdown" },
	{ 0x71631af1, "inet_bhash2_update_saddr" },
	{ 0x3d29beb9, "dccp_connect" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0x6039e4cf, "dccp_rcv_state_process" },
	{ 0xafd46ef4, "dccp_reqsk_send_ack" },
	{ 0x5c711f29, "inet6_bind" },
	{ 0xda68cf3c, "inet_csk_accept" },
	{ 0x5f759731, "inet6_unregister_protosw" },
	{ 0xbe4eb6ed, "secure_dccpv6_sequence_number" },
	{ 0xfa2a2e91, "sock_common_getsockopt" },
	{ 0x3a51e322, "__inet_inherit_port" },
	{ 0xfb238eaa, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x26e67e99, "security_req_classify_flow" },
	{ 0xdd5c0d9f, "__xfrm_policy_check" },
	{ 0xaee29fa0, "inet6_sk_rebuild_header" },
	{ 0x5e310c33, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdb1b8cf2, "__sk_mem_schedule" },
	{ 0xfaf5cd00, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xdf3e511a, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x54dfb14d, "dccp_syn_ack_timeout" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x80a63efd, "sk_error_report" },
	{ 0x9e7ae3a4, "register_pernet_subsys" },
	{ 0xffe0cc03, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbf25064a, "inet6_del_protocol" },
	{ 0x92997ed8, "_printk" },
	{ 0xa131ce6, "dccp_invalid_packet" },
	{ 0x811c7144, "inet_stream_connect" },
	{ 0xbab9948f, "proto_unregister" },
	{ 0x2cc36400, "dccp_v4_send_check" },
	{ 0x491dc4fc, "inet_reqsk_alloc" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2290148f, "inet_twsk_purge" },
	{ 0x5899627a, "dccp_done" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xaf53042, "__sk_dst_check" },
	{ 0xc58fc71, "dccp_disconnect" },
	{ 0x940a0119, "proto_register" },
	{ 0xa737e82, "dccp_destruct_common" },
	{ 0xdb9656af, "__sk_receive_skb" },
	{ 0x7f63d393, "inet6_compat_ioctl" },
	{ 0x7b6f49cb, "dccp_poll" },
	{ 0x926db2fd, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0xe49b46db, "inet_csk_get_port" },
	{ 0xa5adb7d0, "sk_filter_trim_cap" },
	{ 0x2494e63, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x5cbccf3e, "inet6_hash" },
	{ 0x3136a5f, "inet_accept" },
	{ 0x8c8b94c0, "inet6_hash_connect" },
	{ 0x12feb3e8, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2c1131e2, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xd1de003a, "inet_shutdown" },
	{ 0x5ea54656, "sk_free" },
	{ 0xe92d7a13, "dccp_close" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x40f64d03, "dccp_reqsk_init" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0xdb0ca5c4, "inet6_csk_route_req" },
	{ 0xc3880bdd, "inet6_ioctl" },
	{ 0x354e16ad, "security_sk_classify_flow" },
	{ 0xd4851178, "dccp_getsockopt" },
	{ 0x50b35480, "dccp_parse_options" },
	{ 0x9165fc7, "dccp_v4_request_recv_sock" },
	{ 0xf2c0ba23, "__inet6_lookup_established" },
	{ 0xd5061a64, "unregister_pernet_subsys" },
	{ 0x94c70cdd, "ip6_dst_lookup_flow" },
	{ 0x6d21cdd2, "skb_checksum" },
	{ 0x519f2527, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x78bc823f, "sock_no_mmap" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0xc7bf3b51, "dccp_child_process" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xed51089a, "sock_common_recvmsg" },
	{ 0xec35dff3, "dccp_setsockopt" },
	{ 0x7c9f472e, "dccp_ioctl" },
	{ 0x99f86d2, "inet6_csk_xmit" },
	{ 0x2e88e90f, "sock_rfree" },
	{ 0xc8057d10, "inet6_getname" },
	{ 0x8201aa4c, "inet6_sock_destruct" },
	{ 0x31fbe68f, "inet_sk_rebuild_header" },
	{ 0xc335b0a0, "ip6_xmit" },
	{ 0xe3e571d0, "ipv4_mtu" },
	{ 0xfd66aa33, "dccp_recvmsg" },
	{ 0xccfb3920, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x5d9bea4f, "inet6_release" },
	{ 0x348af355, "inet_sendmsg" },
	{ 0x32f3c65c, "dccp_check_req" },
	{ 0xcd31fd95, "ipv6_dup_options" },
	{ 0xf7f05810, "dccp_create_openreq_child" },
	{ 0xdce5d1e1, "inet_csk_prepare_forced_close" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x4cd67cb, "dccp_v4_conn_request" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0xecacaf23, "dccp_req_err" },
	{ 0xd74f8360, "sock_pfree" },
	{ 0x3809ae10, "dccp_rcv_established" },
	{ 0x28bca6d9, "skb_clone" },
	{ 0xd07b39a2, "dst_release" },
	{ 0x9d195ac2, "sock_release" },
	{ 0xeb0551c9, "dccp_make_response" },
	{ 0x8d97d567, "dccp_destroy_sock" },
	{ 0xe8cf2df6, "dccp_ctl_make_reset" },
	{ 0x10ff8dca, "sock_gettstamp" },
	{ 0x7c395bdf, "sk_setup_caps" },
	{ 0x67b960f7, "ipv6_opt_accepted" },
	{ 0x7ca5ccb7, "dccp_sendmsg" },
	{ 0x8dabe7, "inet6_lookup_listener" },
	{ 0x138007cf, "inet6_add_protocol" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0x58b83e92, "inet_twsk_put" },
	{ 0xb2b13cd7, "inet_unhash" },
	{ 0x46ca196b, "ipv6_getsockopt" },
	{ 0x98bbe3a3, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa294e11c, "inet6_csk_update_pmtu" },
	{ 0x2dfb749a, "dccp_v4_do_rcv" },
	{ 0x1e4d07e0, "__kfree_skb" },
	{ 0xb0d784c9, "inet6_ehashfn" },
	{ 0xd83ed24e, "dccp_init_sock" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "dccp_ipv4,dccp");


MODULE_INFO(srcversion, "94DD2DFEBE9E7ACBFFD460C");

MODULE_INFO(suserelease, "SLE15-SP6");
