#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x3efc8fa9, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x99665db5, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x89e9b96b, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x918fc25e, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x1b12d1da, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xde7e8211, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x8feb9b79, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xcdd6a748, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x6e6fb486, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x043716bd, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xe4c63503, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x6070eafe, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x39742a36, "rt6_lookup" },
	{ 0xd07b39a2, "dst_release" },
	{ 0xe795a55f, "__dev_get_by_index" },
	{ 0xc1d10c92, "netdev_state_change" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xf8721793, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9657390b, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x2e1737b5, "init_net" },
	{ 0xbd51ae2, "register_netdev" },
	{ 0xb4e402f4, "rtnl_link_unregister" },
	{ 0x54953d36, "xfrm6_tunnel_deregister" },
	{ 0x5e1a027c, "unregister_pernet_device" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x1566fbbc, "register_pernet_device" },
	{ 0x745a6f66, "xfrm6_tunnel_register" },
	{ 0x9582819f, "rtnl_link_register" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xa28334f6, "gro_cells_init" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0x8094593, "make_kuid" },
	{ 0x15c4b9a3, "ip6_update_pmtu" },
	{ 0x17300b4e, "ip6_redirect" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x64519b38, "skb_copy_bits" },
	{ 0xc47a47b4, "dst_cache_get" },
	{ 0x2c1131e2, "ip6_mtu" },
	{ 0x3dfba517, "ip6_route_output_flags" },
	{ 0xdef30e6d, "xfrm_lookup" },
	{ 0x8a66a24a, "ipv6_dev_get_saddr" },
	{ 0xb41ae2b0, "skb_scrub_packet" },
	{ 0x82c25f4a, "skb_realloc_headroom" },
	{ 0xecef080e, "skb_set_owner_w" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0x1f4104a, "dst_cache_set_ip6" },
	{ 0xdebadea0, "ipv6_push_frag_opts" },
	{ 0xfea3d982, "skb_push" },
	{ 0xf80a8e93, "ip6_local_out" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3e571d0, "ipv4_mtu" },
	{ 0x5da9c852, "neigh_destroy" },
	{ 0x9e52cee4, "ip6_dst_hoplimit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x68e70b9f, "iptunnel_handle_offloads" },
	{ 0x1655d1ab, "icmpv6_ndo_send" },
	{ 0x18ec906, "icmp_ndo_send" },
	{ 0x28bca6d9, "skb_clone" },
	{ 0x709d09b6, "skb_pull" },
	{ 0x51b1b4fe, "icmp6_send" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x9c0affe0, "gro_cells_receive" },
	{ 0x856e536b, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x8c048343, "__iptunnel_pull_header" },
	{ 0x51c9aad9, "metadata_dst_alloc" },
	{ 0xdd5c0d9f, "__xfrm_policy_check" },
	{ 0xefc0501e, "ip_route_output_flow" },
	{ 0xe5b934a2, "ip_route_input_noref" },
	{ 0x2bc1bf79, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xe45494c7, "dev_get_tstats64" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5d816398, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x5bf7a8b1, "ipv6_chk_addr_and_flags" },
	{ 0x9d6b37c3, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7965889, "nla_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa7785312, "unregister_netdevice_queue" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x1054dad3, "register_netdevice" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdfe2b9c0, "alloc_netdev_mqs" },
	{ 0xaa7b08cf, "free_netdev" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x64b410b8, "dev_addr_mod" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5630649C52513E317EF003F");

MODULE_INFO(suserelease, "SLE15-SP6");
