#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x2e1737b5, "init_net" },
	{ 0xdfe2b9c0, "alloc_netdev_mqs" },
	{ 0xbd51ae2, "register_netdev" },
	{ 0xaa7b08cf, "free_netdev" },
	{ 0xb4e402f4, "rtnl_link_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0xf8721793, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x88971a03, "__xfrm_decode_session" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3dfba517, "ip6_route_output_flags" },
	{ 0xedf4c20a, "xfrm_lookup_route" },
	{ 0x1b12d1da, "ip6_tnl_xmit_ctl" },
	{ 0x2c1131e2, "ip6_mtu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x18ec906, "icmp_ndo_send" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0xb41ae2b0, "skb_scrub_packet" },
	{ 0x94ea2155, "ip6_output" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa7bb7d3, "ip_route_output_key_hash" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x4887cb77, "ip_output" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1655d1ab, "icmpv6_ndo_send" },
	{ 0xe3e571d0, "ipv4_mtu" },
	{ 0xdd5c0d9f, "__xfrm_policy_check" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xabd7b36, "xfrm_state_lookup" },
	{ 0x8094593, "make_kuid" },
	{ 0x15c4b9a3, "ip6_update_pmtu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf682177e, "__xfrm_state_destroy" },
	{ 0x17300b4e, "ip6_redirect" },
	{ 0x89e9b96b, "ip6_tnl_rcv_ctl" },
	{ 0xcbb4a190, "xfrm_input" },
	{ 0xac2b86d8, "xfrm6_tunnel_spi_lookup" },
	{ 0xe45494c7, "dev_get_tstats64" },
	{ 0xcdd6a748, "ip6_tnl_get_iflink" },
	{ 0x6070eafe, "ip6_tnl_get_link_net" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1566fbbc, "register_pernet_device" },
	{ 0xca7b275, "xfrm6_protocol_register" },
	{ 0x745a6f66, "xfrm6_tunnel_register" },
	{ 0x9582819f, "rtnl_link_register" },
	{ 0x54953d36, "xfrm6_tunnel_deregister" },
	{ 0x83f2f38f, "xfrm6_protocol_deregister" },
	{ 0x5e1a027c, "unregister_pernet_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x7965889, "nla_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa7785312, "unregister_netdevice_queue" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x1054dad3, "register_netdevice" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x64b410b8, "dev_addr_mod" },
	{ 0x99665db5, "ip6_tnl_get_cap" },
	{ 0xe795a55f, "__dev_get_by_index" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x39742a36, "rt6_lookup" },
	{ 0xd07b39a2, "dst_release" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc1d10c92, "netdev_state_change" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x9657390b, "ip_tunnel_header_ops" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "ip6_tunnel,xfrm6_tunnel,tunnel6");


MODULE_INFO(srcversion, "D2217898C56797AA19FD996");

MODULE_INFO(suserelease, "SLE15-SP6");
