#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x80cbf654, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x6f453135, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x199fde55, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x379f412f, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x51375aec, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x3c8a0dd1, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x8e61e252, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x6809bc62, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x0f904e09, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x9c899180, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x0c431384, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x915112b1, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x537028da, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x2b441275, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xb77984c5, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x2ddaace3, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xb8a4dec4, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xb26d7b74, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x4f1d3521, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x0a2abaf3, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x3a5f9920, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa069e7c2, "bpf_trace_run1" },
	{ 0xc68a20bf, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcd7da02f, "sock_create_kern" },
	{ 0x8cbe1c9, "kernel_bind" },
	{ 0xc37eb178, "kernel_connect" },
	{ 0x3d83f911, "udp_sock_create6" },
	{ 0x907c12b, "kernel_sock_shutdown" },
	{ 0x9d195ac2, "sock_release" },
	{ 0xbc084d, "udp_sock_create4" },
	{ 0x5e1a027c, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1566fbbc, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5ea54656, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x155c897, "skb_dequeue" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7c09b00d, "skb_queue_tail" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf7459fa4, "udp_set_csum" },
	{ 0x6f51ffbb, "ip_queue_xmit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa1381b4a, "pskb_expand_head" },
	{ 0x99f86d2, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x24f55134, "udp6_set_csum" },
	{ 0xd07b39a2, "dst_release" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x5d11f28a, "sockfd_lookup" },
	{ 0xdad0795a, "lock_sock_nested" },
	{ 0xf2b002a1, "release_sock" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x75c7a4e0, "fput" },
	{ 0x94164cb7, "setup_udp_tunnel_sock" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4583EC78E1FA52F20EA565C");

MODULE_INFO(suserelease, "SLE15-SP6");
