#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mpls_output_possible, 0xc2f7f9e8, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0x52ae5ee9, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0x84fe9d8c, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0xb064070d, "_gpl");
SYMBOL_CRC(nla_put_labels, 0xdbed83a0, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xde3cca7e, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf94f0f3, "netlink_strict_get_check" },
	{ 0xcc679620, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x92df73c5, "__nlmsg_put" },
	{ 0xe14a55ff, "skb_gso_validate_network_len" },
	{ 0x4fb29280, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0x12c37fe6, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4122fac9, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xf605fdfb, "neigh_xmit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xefc0501e, "ip_route_output_flow" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa1381b4a, "pskb_expand_head" },
	{ 0x9e7ae3a4, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xb3399306, "rtnl_af_register" },
	{ 0x511576c3, "__alloc_skb" },
	{ 0x26fe15cb, "rtnl_set_sk_err" },
	{ 0x362cf899, "rtnl_unicast" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x27a81f84, "nla_reserve_64bit" },
	{ 0x8ae4d954, "ip_valid_fib_dump_req" },
	{ 0xe795a55f, "__dev_get_by_index" },
	{ 0x1c5be712, "ipv6_stub" },
	{ 0x709d09b6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbc4911e, "nla_reserve_nohdr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd0ce46f1, "rtnl_af_unregister" },
	{ 0x5f10eb2e, "dev_remove_pack" },
	{ 0xc678db0b, "dev_get_by_index" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0xfea3d982, "skb_push" },
	{ 0x7965889, "nla_put" },
	{ 0xcd279169, "nla_find" },
	{ 0x4bdc443a, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe789f361, "rtnl_register_module" },
	{ 0x92e775e8, "ip_tunnel_encap_del_ops" },
	{ 0xd5061a64, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0x92236450, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x35c8add0, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x28bca6d9, "skb_clone" },
	{ 0xd07b39a2, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa8181adf, "proc_dointvec" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xed8bb584, "dev_get_flags" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x2cdf87a1, "proc_dointvec_minmax" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2E8F8DDC0476B2E94FF5348");

MODULE_INFO(suserelease, "SLE15-SP6");
