#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x19aec435, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x9c3e6d3b, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xdefcb058, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x2724230c, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x59b410c8, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x8cadfbb4, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xec2616a4, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x8eeb56c3, "");
SYMBOL_CRC(ip_vs_conn_put, 0x12cc9d74, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x6b9f7a94, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xec64e0ed, "");
SYMBOL_CRC(register_ip_vs_app, 0x75856632, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xa19d7152, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xc709e893, "");
SYMBOL_CRC(ip_vs_proto_get, 0x0544cc78, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x2a0c9ac9, "");
SYMBOL_CRC(register_ip_vs_pe, 0xc8a7c77f, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xebfa8e84, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x943e0cb2, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x28ff54ae, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xd3cfba06, "nf_conntrack_find_get" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x63cd545b, "try_module_get" },
	{ 0x21befd8a, "__ip_select_ident" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x445e89b, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x51b1b4fe, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x64519b38, "skb_copy_bits" },
	{ 0xdef30e6d, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdf6b082f, "proc_dointvec_jiffies" },
	{ 0x4fb29280, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0xf80a8e93, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x4887cb77, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x55aeec08, "nf_register_sockopt" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x10fcff5, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcf53c088, "set_user_nice" },
	{ 0x135ffde4, "genlmsg_put" },
	{ 0xf7459fa4, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x94ea2155, "ip6_output" },
	{ 0xf012f2e2, "ip6_route_me_harder" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe22edb46, "__module_get" },
	{ 0xefc0501e, "ip_route_output_flow" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x68e70b9f, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x23597e6e, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x8dd26909, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa1381b4a, "pskb_expand_head" },
	{ 0x9e7ae3a4, "register_pernet_subsys" },
	{ 0xd3bec8a4, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x4fb7ed78, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x29a92db6, "nf_register_net_hooks" },
	{ 0x3dfba517, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x511576c3, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0xd6a405d5, "ipv6_sock_mc_join" },
	{ 0xd197a7a8, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x8a66a24a, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfd4fca90, "__skb_get_hash" },
	{ 0x2e1737b5, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2c1131e2, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xe504a696, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5d3e6fbc, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x4bfc054e, "nf_conntrack_alter_reply" },
	{ 0x95f25be1, "ip_route_me_harder" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfea3d982, "skb_push" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x37f60ff7, "set_cpus_allowed_ptr" },
	{ 0x452d714f, "seq_putc" },
	{ 0x7965889, "nla_put" },
	{ 0xec2e1c8f, "proc_doulongvec_minmax" },
	{ 0xc1eb4128, "nf_ct_expect_alloc" },
	{ 0x3c3a7012, "skb_ensure_writable" },
	{ 0xa817e96e, "iov_iter_kvec" },
	{ 0xbd97171f, "ip_mc_join_group" },
	{ 0xbeb2c382, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf8721793, "ns_capable" },
	{ 0x5c55ea86, "nf_unregister_net_hooks" },
	{ 0x8e0d3b15, "inet_select_addr" },
	{ 0x5e1a027c, "unregister_pernet_device" },
	{ 0xdad0795a, "lock_sock_nested" },
	{ 0xad3f8c25, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xc5ae7fca, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa575fd02, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd5061a64, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d21cdd2, "skb_checksum" },
	{ 0x13708088, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0x97f54ef2, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x92236450, "skb_trim" },
	{ 0xf0b16fad, "nf_hook_slow" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4b6551ec, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x1e5338e9, "nf_ct_deliver_cached_events" },
	{ 0x82c25f4a, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xed0b409c, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2bc1bf79, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe3e571d0, "ipv4_mtu" },
	{ 0xecef080e, "skb_set_owner_w" },
	{ 0x3fa7b7e2, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xcd7da02f, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe55047a8, "init_user_ns" },
	{ 0x57220f4f, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa851f63e, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x40985489, "seq_printf" },
	{ 0x9adbb35b, "sock_recvmsg" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd4889666, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc267526e, "ipv4_update_pmtu" },
	{ 0xe14eeff3, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd07b39a2, "dst_release" },
	{ 0x9d195ac2, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa8181adf, "proc_dointvec" },
	{ 0x1b034c14, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0xbfac7580, "ip_local_out" },
	{ 0x4f6e28a6, "genl_unregister_family" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x24f55134, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x45651b09, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa445b652, "kernel_sendmsg" },
	{ 0x669273e4, "nf_ct_netns_put" },
	{ 0x1566fbbc, "register_pernet_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xf2b002a1, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2cdf87a1, "proc_dointvec_minmax" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "AA98B918764D5FD87409C23");

MODULE_INFO(suserelease, "SLE15-SP6");
