#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(flow_offload_alloc, 0x25dabac6, "_gpl");
SYMBOL_CRC(flow_offload_route_init_1224415, 0x0e756894, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0xb3638fd2, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x41b52d40, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x7ce200b6, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0xcc319b15, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x48127d66, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0xd9b40e36, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xf28e05c8, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x55cf9532, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0xd8f28517, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0x3a7b962b, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0xa6cbf088, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x071b862c, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x921f5642, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0xdca124b3, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x0de20002, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0xfd9d8d5e, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x49a57fb, "flow_rule_alloc" },
	{ 0x71422bc1, "ip6_dst_check" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xe14a55ff, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4887cb77, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf605fdfb, "neigh_xmit" },
	{ 0x7a277230, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x94ea2155, "ip6_output" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x8dd26909, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa1381b4a, "pskb_expand_head" },
	{ 0x9e7ae3a4, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x709d09b6, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc678db0b, "dev_get_by_index" },
	{ 0x9d6b37c3, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xffce38ec, "flow_indr_dev_setup_offload" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xd5061a64, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x668b19a1, "down_read" },
	{ 0x9b3641e, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xa6cf24cb, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5da9c852, "neigh_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4bfae996, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa851f63e, "remove_proc_entry" },
	{ 0x66c73235, "nf_ct_acct_add" },
	{ 0x40985489, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd07b39a2, "dst_release" },
	{ 0x1b034c14, "seq_puts" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x6b95717e, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "9B9166D8165E195EEB331C1");

MODULE_INFO(suserelease, "SLE15-SP6");
