#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__ovs_vport_ops_register, 0x7bcdfa64, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x4581a63c, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xe48e009a, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xdaeff430, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x618f0754, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xffbe69bb, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x28ff54ae, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0x959055bd, "nsh_pop" },
	{ 0xd3cfba06, "nf_conntrack_find_get" },
	{ 0xa5044f63, "nf_ct_set_timeout" },
	{ 0x10216aef, "dev_get_stats" },
	{ 0x2b96ad05, "__nla_put" },
	{ 0x63cd545b, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc02ab598, "dev_fill_metadata_dst" },
	{ 0x1f38b857, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x64519b38, "skb_copy_bits" },
	{ 0x9385e894, "nf_ct_handle_fragments" },
	{ 0x7d62364e, "eth_mac_addr" },
	{ 0xcc7ab9a, "skb_put" },
	{ 0x286b47c8, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x36e09c2a, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb3bc8f49, "nf_ct_nat" },
	{ 0x4122fac9, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8697f791, "skb_eth_pop" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0xcd52d149, "skb_gso_validate_mac_len" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0xa5dd94, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xc7a80d90, "nf_ct_helper" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0x5f65205a, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0xa90756a4, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9582819f, "rtnl_link_register" },
	{ 0xee269f1, "nf_connlabels_put" },
	{ 0x135ffde4, "genlmsg_put" },
	{ 0x9e8046f2, "___pskb_trim" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6fee28f3, "dev_set_promiscuity" },
	{ 0x722ef013, "nf_ct_destroy_timeout" },
	{ 0x2402aefe, "nf_ct_add_helper" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x973e52f7, "nf_conntrack_helper_put" },
	{ 0xe3a691eb, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x27b0389e, "nf_ct_skb_network_trim" },
	{ 0xa7785312, "unregister_netdevice_queue" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0x1428111d, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x22342135, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xcf8fc432, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa1381b4a, "pskb_expand_head" },
	{ 0x82ca1a5, "skb_csum_hwoffload_help" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x64b410b8, "dev_addr_mod" },
	{ 0x470c2f19, "nf_connlabels_replace" },
	{ 0x856e536b, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdfe2b9c0, "alloc_netdev_mqs" },
	{ 0x28378917, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf4b929df, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x1519f0f9, "netdev_rx_handler_unregister" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc924667b, "skb_eth_push" },
	{ 0x7c73f7cf, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x511576c3, "__alloc_skb" },
	{ 0x291edea9, "__nf_ct_expect_find" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0x24ca16ee, "skb_mpls_pop" },
	{ 0xc8965cc4, "skb_vlan_pop" },
	{ 0xde2a03b1, "dst_init" },
	{ 0xd197a7a8, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb4e402f4, "rtnl_link_unregister" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0xfd4fca90, "__skb_get_hash" },
	{ 0x2e1737b5, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x1c5be712, "ipv6_stub" },
	{ 0x68e22a50, "skb_mpls_update_lse" },
	{ 0x709d09b6, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe504a696, "netlink_unicast" },
	{ 0x15f36425, "bpf_trace_run5" },
	{ 0x9d6b37c3, "dev_get_by_index_rcu" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfea3d982, "skb_push" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x4c11a8d7, "netdev_upper_dev_unlink" },
	{ 0x7965889, "nla_put" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0x3c3a7012, "skb_ensure_writable" },
	{ 0xaa7b08cf, "free_netdev" },
	{ 0x4bdc443a, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5e1a027c, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdd18c20c, "ethtool_op_get_link" },
	{ 0xa575fd02, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x46063221, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0x97f54ef2, "nf_ct_delete" },
	{ 0x86fd804f, "nf_conncount_init" },
	{ 0x7c05352e, "skb_vlan_push" },
	{ 0xe45494c7, "dev_get_tstats64" },
	{ 0xe8c76a24, "netif_rx" },
	{ 0x20038bab, "__netdev_alloc_skb" },
	{ 0x38d03dca, "netdev_master_upper_dev_link" },
	{ 0xecee2dc7, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x9b3641e, "inet_proto_csum_replace16" },
	{ 0x92236450, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb41ae2b0, "skb_scrub_packet" },
	{ 0x1e5338e9, "nf_ct_deliver_cached_events" },
	{ 0xed0b409c, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xfa28d6c9, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa6cf24cb, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x3fa7b7e2, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4bfae996, "inet_proto_csum_replace4" },
	{ 0x541345b1, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x80c5e78c, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa2bd30e5, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x181926cc, "dev_get_by_name" },
	{ 0x28bca6d9, "skb_clone" },
	{ 0x51c9aad9, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd07b39a2, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x16235b73, "peernet2id_alloc" },
	{ 0xdca086dc, "nf_ct_get_tuplepr" },
	{ 0x3e7cf291, "netdev_rx_handler_register" },
	{ 0x8a009538, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x4f6e28a6, "genl_unregister_family" },
	{ 0x6f0d3035, "dev_disable_lro" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xda6c7155, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x45651b09, "genl_register_family" },
	{ 0x42ac11c, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2c7c79cd, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3a8b81d2, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x2428b3e5, "skb_mpls_push" },
	{ 0x1566fbbc, "register_pernet_device" },
	{ 0x4afd9f90, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xf1abd79e, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xbd357738, "__skb_vlan_pop" },
	{ 0x79e181d3, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1054dad3, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,nf_conncount,libcrc32c");


MODULE_INFO(srcversion, "9CB1925372B1C343EFD4A20");

MODULE_INFO(suserelease, "SLE15-SP6");
