#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x39990bb8, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xa69b15ba, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xf167d6d5, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x8c8af89a, "");
SYMBOL_CRC(gss_mech_put, 0x03554934, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xf2c9b12a, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x3cbc0b8e, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d26c3, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x63cd545b, "try_module_get" },
	{ 0x6fc3e668, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xabbb360a, "xdr_buf_from_iov" },
	{ 0x1f38b857, "bpf_trace_run4" },
	{ 0x8fe1dc0d, "xdr_stream_decode_opaque_auth" },
	{ 0x20250eb8, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe3244c3d, "xdr_write_pages" },
	{ 0x9b6506df, "rpc_shutdown_client" },
	{ 0x2d64f494, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd2b8494a, "xdr_inline_decode" },
	{ 0xa7e06a74, "cache_create_net" },
	{ 0xad151c26, "rpcauth_destroy_credcache" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xe300d206, "bpf_trace_run6" },
	{ 0x696bebc3, "rpc_net_ns" },
	{ 0x7280dad5, "read_bytes_from_xdr_buf" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x71bc40e3, "rpc_wake_up" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7337e5de, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0x5a45dd6c, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xc68a20bf, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1957b070, "xdr_truncate_decode" },
	{ 0xafecb27a, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4d4e6522, "__xdr_commit_encode" },
	{ 0xe22edb46, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9f97ecb0, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x36e26217, "__put_cred" },
	{ 0x9e7ae3a4, "register_pernet_subsys" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9659d7d1, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xda040fb0, "rpc_release_client" },
	{ 0x395ca0e2, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x34d184de, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x95af08b2, "svc_auth_register" },
	{ 0xfbfaed2, "xdr_stream_encode_opaque_auth" },
	{ 0x8094593, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x30f7664a, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x71bbf8be, "rpc_pipe_generic_upcall" },
	{ 0xd197a7a8, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xfb8c61a4, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x61651be, "strcat" },
	{ 0x37808c2e, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2fbb1009, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x207de985, "rpcauth_init_credcache" },
	{ 0x4f7053c9, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x87ac6137, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x80d52fe6, "rpc_call_null" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9a92dc46, "rpc_sleep_on_timeout" },
	{ 0x99a94270, "rpc_create" },
	{ 0xa069e7c2, "bpf_trace_run1" },
	{ 0x261a1a5a, "rpc_call_sync" },
	{ 0x6ef645e7, "from_kuid" },
	{ 0xd5061a64, "unregister_pernet_subsys" },
	{ 0x9ae0de8b, "rpc_queue_upcall" },
	{ 0x1f52d790, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x76419e2a, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x57e8b930, "svcauth_unix_set_client" },
	{ 0x1072963b, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xffb20f1f, "make_kgid" },
	{ 0x4e9654c8, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xb6bff697, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x825f7e79, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe37575f5, "bpf_trace_run3" },
	{ 0x494095d5, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6b0b4703, "rpc_mkpipe_dentry" },
	{ 0xfdf252d2, "rpc_mkpipe_data" },
	{ 0x75bf3cc2, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0xe82e35a8, "cache_register_net" },
	{ 0xe55047a8, "init_user_ns" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x48ae2ff0, "xdr_inline_pages" },
	{ 0x48f392fd, "__folio_put" },
	{ 0xa851f63e, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xf0b7775d, "rpc_init_wait_queue" },
	{ 0xe110f9bc, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x611da1c5, "rpc_unlink" },
	{ 0xfbdfc2f, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x256e8707, "from_kuid_munged" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x4e23d786, "rpcauth_init_cred" },
	{ 0x9dc0f745, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x415a0c03, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x7692336e, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xa23e1357, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x427a2b84, "sunrpc_cache_update" },
	{ 0x244d29d6, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x66ed2439, "rpc_destroy_wait_queue" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xed6a70a8, "auth_domain_put" },
	{ 0x5de3de24, "rpcauth_unwrap_resp_decode" },
	{ 0xe21da6c2, "rpcauth_register" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "442D20FD55D123F4807A85A");

MODULE_INFO(suserelease, "SLE15-SP6");
