#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tipc_nl_sk_walk, 0xe6626994, "");
SYMBOL_CRC(tipc_dump_start, 0x45f468e7, "");
SYMBOL_CRC(tipc_dump_done, 0x45b66f97, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x5bd8546d, "");

MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda3a1ea9, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x956c6a83, "sock_i_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1f38b857, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x92df73c5, "__nlmsg_put" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcc7ab9a, "skb_put" },
	{ 0x4fb29280, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9e52cee4, "ip6_dst_hoplimit" },
	{ 0x2f602c42, "trace_output_call" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0x12c37fe6, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0xbc084d, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xa5a7f1fc, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xae7083fe, "dst_cache_set_ip4" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7c68eaed, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x135ffde4, "genlmsg_put" },
	{ 0x9e8046f2, "___pskb_trim" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0x1dc1d35, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x280df45d, "__tracepoint_sk_data_ready" },
	{ 0x4fe2f444, "netdev_warn" },
	{ 0xd5911ad4, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf933d8c5, "crypto_aead_decrypt" },
	{ 0xeeffe10c, "kernel_accept" },
	{ 0xe22edb46, "__module_get" },
	{ 0xefc0501e, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x34bd554f, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa1381b4a, "pskb_expand_head" },
	{ 0x9e7ae3a4, "register_pernet_subsys" },
	{ 0x75fa2e13, "put_cmsg" },
	{ 0x1f0e4b58, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x686ea42f, "crypto_destroy_tfm" },
	{ 0x856e536b, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xbab9948f, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf48417c9, "sock_register" },
	{ 0x859a7a37, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x511576c3, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xaad74942, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x8b6a6a03, "skb_try_coalesce" },
	{ 0x940a0119, "proto_register" },
	{ 0x5c595469, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x7c09b00d, "skb_queue_tail" },
	{ 0xd197a7a8, "module_put" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xb8aaa1bc, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe795a55f, "__dev_get_by_index" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x2e1737b5, "init_net" },
	{ 0x1c5be712, "ipv6_stub" },
	{ 0x709d09b6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1cb35b80, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xe504a696, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x92f683b5, "__SCK__tp_func_sk_data_ready" },
	{ 0x5f10eb2e, "dev_remove_pack" },
	{ 0x5ea54656, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x907c12b, "kernel_sock_shutdown" },
	{ 0xc47ed185, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xfea3d982, "skb_push" },
	{ 0xc47a47b4, "dst_cache_get" },
	{ 0x30566a86, "sock_no_listen" },
	{ 0x7965889, "nla_put" },
	{ 0xec2e1c8f, "proc_doulongvec_minmax" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xa817e96e, "iov_iter_kvec" },
	{ 0xbd97171f, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5e1a027c, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xdad0795a, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf8ad332d, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8518a4a6, "_raw_spin_trylock_bh" },
	{ 0xea92ab1a, "sk_alloc" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd5061a64, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x56e4bf49, "kfree_skb_partial" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf2c7c4f0, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x78bc823f, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0xe8c76a24, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x94164cb7, "setup_udp_tunnel_sock" },
	{ 0x3d83f911, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x92236450, "skb_trim" },
	{ 0x28f9c6b6, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe37575f5, "bpf_trace_run3" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2e88e90f, "sock_rfree" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa5f4d0a6, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xdc9d7d8, "kernel_listen" },
	{ 0xa6cf24cb, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x1fdc9875, "dev_nit_active" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xcd7da02f, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1f4104a, "dst_cache_set_ip6" },
	{ 0x76586846, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3d4ce66c, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9adbb35b, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x11923150, "skb_copy" },
	{ 0x28bca6d9, "skb_clone" },
	{ 0x181926cc, "dev_get_by_name" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2dfa0109, "_copy_from_iter" },
	{ 0x9d195ac2, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x40313fab, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6952c0a5, "sk_stop_timer" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0x4f6e28a6, "genl_unregister_family" },
	{ 0x256e8707, "from_kuid_munged" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x45651b09, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa445b652, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb74f5281, "skb_to_sgvec" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x1566fbbc, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xd1da99cf, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xf2b002a1, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2cdf87a1, "proc_dointvec_minmax" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "149D1DA0A35441D726A573C");

MODULE_INFO(suserelease, "SLE15-SP6");
