#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tls_toe_register_device, 0x822fcb6c, "");
SYMBOL_CRC(tls_toe_unregister_device, 0x70360c62, "");
SYMBOL_CRC(tls_device_sk_destruct, 0xc27a99ec, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xa628470a, "_gpl");
SYMBOL_CRC(tls_get_record, 0x15b68eb1, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x1d7651b5, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xa4220b0e, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36c190d, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x5e41de25, "tcp_bpf_sendmsg_redir" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x21da87be, "tcp_read_sock" },
	{ 0x1f38b857, "bpf_trace_run4" },
	{ 0x64519b38, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x79fecab1, "sk_page_frag_refill" },
	{ 0xcc7ab9a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x75ccd17e, "tcp_sendmsg_locked" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x359e4a70, "sk_psock_msg_verdict" },
	{ 0xe300d206, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xb88159a7, "iov_iter_get_pages2" },
	{ 0x9e8046f2, "___pskb_trim" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0x4cb3acef, "clean_acked_data_enable" },
	{ 0xaf9b628a, "skb_splice_bits" },
	{ 0x1dc1d35, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x280df45d, "__tracepoint_sk_data_ready" },
	{ 0xd5911ad4, "crypto_aead_setauthsize" },
	{ 0xf933d8c5, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x20b8c6c6, "sk_stream_error" },
	{ 0xc9aace70, "sk_msg_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2746ba64, "sk_msg_memcopy_from_iter" },
	{ 0x80a63efd, "sk_error_report" },
	{ 0x9e7ae3a4, "register_pernet_subsys" },
	{ 0x75fa2e13, "put_cmsg" },
	{ 0xc1258e16, "__sk_flush_backlog" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x686ea42f, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8532e81e, "sk_psock_tls_strp_read" },
	{ 0x57205e2f, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x511576c3, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1f568b33, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x784877d6, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x466706a6, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb8aaa1bc, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1cb35b80, "crypto_aead_encrypt" },
	{ 0x92f683b5, "__SCK__tp_func_sk_data_ready" },
	{ 0x15f36425, "bpf_trace_run5" },
	{ 0x5ea54656, "sk_free" },
	{ 0x8d6e0893, "skb_store_bits" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3c4851fe, "__sk_mem_reclaim" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7ef0fcba, "sk_stream_wait_memory" },
	{ 0x7965889, "nla_put" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0xa817e96e, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf4d2fb2a, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdad0795a, "lock_sock_nested" },
	{ 0xd38a2a17, "sk_msg_return_zero" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xf8ad332d, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa069e7c2, "bpf_trace_run1" },
	{ 0xd1fd0c03, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd5061a64, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xcd142d94, "sock_efree" },
	{ 0x741b12ed, "iov_iter_bvec" },
	{ 0x1790e277, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x747ac1e4, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x9c0e2f85, "sk_msg_free_partial" },
	{ 0x668b19a1, "down_read" },
	{ 0x92236450, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc1da4f0e, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3796e40, "tcp_register_ulp" },
	{ 0xe37575f5, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x6fb2ec8, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x67b78ded, "skb_page_frag_refill" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xce499c2a, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x48f392fd, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xa851f63e, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x40985489, "seq_printf" },
	{ 0xd4889666, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x28bca6d9, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd07b39a2, "dst_release" },
	{ 0x2dfa0109, "_copy_from_iter" },
	{ 0x5e3abd53, "skb_copy_header" },
	{ 0x51a075d3, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x6752bf50, "netdev_sk_get_lowest_dev" },
	{ 0xf0147386, "sk_msg_alloc" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xdb6f4b93, "_copy_from_iter_nocache" },
	{ 0xc6cd02df, "tcp_rate_check_app_limited" },
	{ 0x7299bfae, "tcp_poll" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x87dde60f, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb74f5281, "skb_to_sgvec" },
	{ 0x53b954a2, "up_read" },
	{ 0xaf096065, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x71ab77b9, "tcp_read_done" },
	{ 0xf2b002a1, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3AED18F53BF8252538A417B");

MODULE_INFO(suserelease, "SLE15-SP6");
