#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cryptd_alloc_skcipher, 0x56c01658, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0xac833a6a, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x15b848c9, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0xe0b61e04, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0xf0fa8c61, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0xa12cdeea, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0xd95090d7, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xb68a7b6d, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0x66ffe746, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x29977ecd, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x8f45465f, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x8fb48b1a, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x6e689a3d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa9a7ce73, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xcb8bfb47, "crypto_register_template" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0xc0ecb1e1, "crypto_grab_shash" },
	{ 0x8e42537a, "crypto_grab_skcipher" },
	{ 0x95189cc, "skcipher_register_instance" },
	{ 0xc277d4d9, "crypto_grab_aead" },
	{ 0x6015f200, "aead_register_instance" },
	{ 0x995ea81c, "shash_no_setkey" },
	{ 0x99b30850, "ahash_register_instance" },
	{ 0xfe579cf7, "crypto_skcipher_decrypt" },
	{ 0xeaf714f0, "crypto_skcipher_encrypt" },
	{ 0x37e1bcff, "shash_ahash_digest" },
	{ 0x80e91cc8, "shash_ahash_finup" },
	{ 0xe98e8a77, "crypto_shash_final" },
	{ 0x8180a1cc, "shash_ahash_update" },
	{ 0x20250eb8, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb2104283, "crypto_alloc_skcipher" },
	{ 0x686ea42f, "crypto_destroy_tfm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb6f9a7b0, "crypto_alloc_ahash" },
	{ 0x1dc1d35, "crypto_alloc_aead" },
	{ 0x3b10528c, "crypto_skcipher_setkey" },
	{ 0xe486a8f, "crypto_spawn_tfm2" },
	{ 0x4a186767, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0xa69e26d, "crypto_shash_setkey" },
	{ 0xa068e180, "crypto_clone_shash" },
	{ 0xd5911ad4, "crypto_aead_setauthsize" },
	{ 0xb8aaa1bc, "crypto_aead_setkey" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xccad4e04, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9492c926, "crypto_enqueue_request" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AFA5D8720A30656DD436895");

MODULE_INFO(suserelease, "SLE15-SP6");
