#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0xf6eecde7, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0xa3b5597d, "_gpl");
SYMBOL_CRC(ahci_ops, 0x77ac5991, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xba248e19, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x15fb92b9, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x6c13dd4e, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x185f7afa, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x48c43837, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0xa6298b6a, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xdd5fae30, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0xa5ebae16, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x5e404686, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x55cf1691, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0xa947d166, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x0845a250, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x4a13a0f7, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x4b67ea65, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x68f75b9b, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x2cfff11d, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x4ba5d508, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0xb739e70b, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x6d44fee9, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x7d251981, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xed7d3e52, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0xf4ff9d9d, "ata_std_qc_defer" },
	{ 0x7d1b63c6, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd1f4322e, "__dynamic_dev_dbg" },
	{ 0x48fa4514, "ata_port_classify" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x720f9068, "sata_pmp_error_handler" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfe83b493, "devm_kmalloc" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0x697231c, "dmam_alloc_attrs" },
	{ 0x40df1fe, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xec27aed7, "devm_kfree" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xeb0f8369, "ata_qc_complete_multiple" },
	{ 0xea470699, "ata_port_freeze" },
	{ 0xd59126c4, "sata_lpm_ignore_phy_events" },
	{ 0xe78fdc6f, "sata_async_notification" },
	{ 0x72b20062, "ata_ehi_clear_desc" },
	{ 0xb287234, "ata_ehi_push_desc" },
	{ 0x93b96157, "ata_port_abort" },
	{ 0x3a98e95c, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7856a4c3, "ata_host_start" },
	{ 0x91d4ca19, "devm_request_threaded_irq" },
	{ 0x77499046, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x11162b3d, "ata_host_register" },
	{ 0x1c126ace, "ata_host_activate" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x1f9ce727, "ata_wait_after_reset" },
	{ 0x6b644219, "ata_dummy_port_ops" },
	{ 0xf294e1e1, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xcccfb2fa, "sata_deb_timing_hotplug" },
	{ 0x4fdc945d, "sata_deb_timing_normal" },
	{ 0xeb52ab76, "sata_link_hardreset" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0x141bf01e, "sata_pmp_port_ops" },
	{ 0x39539210, "dev_attr_sw_activity" },
	{ 0x85cd2cc8, "dev_attr_unload_heads" },
	{ 0x4ce832be, "dev_attr_ncq_prio_supported" },
	{ 0x2571577, "dev_attr_ncq_prio_enable" },
	{ 0x8465cab5, "dev_attr_link_power_management_policy" },
	{ 0xda74d2a4, "dev_attr_em_message_type" },
	{ 0xac90aace, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe86e502a, "__pm_runtime_resume" },
	{ 0xe299cfd0, "__pm_runtime_idle" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6f883908, "ata_link_next" },
	{ 0x8aad58f0, "ata_wait_register" },
	{ 0x80529796, "_dev_info" },
	{ 0x1b93f3ef, "ata_dev_set_feature" },
	{ 0x52fb789c, "sata_link_scr_lpm" },
	{ 0x61d8ddcd, "ata_msleep" },
	{ 0xd46fe5e4, "_dev_err" },
	{ 0xab1811d6, "ata_std_postreset" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "1BB31CEEEF6F31273A17B7D");

MODULE_INFO(suserelease, "SLE15-SP6");
