#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0xe93ce4b9, "");
SYMBOL_CRC(ib_destroy_cm_id, 0xc8d61161, "");
SYMBOL_CRC(ib_cm_listen, 0x11e7264a, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x9dab839f, "");
SYMBOL_CRC(ib_send_cm_req, 0x98248a94, "");
SYMBOL_CRC(ib_send_cm_rep, 0xf15f993e, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x18ddbfd9, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x27512d95, "");
SYMBOL_CRC(ib_send_cm_drep, 0xa0c31a53, "");
SYMBOL_CRC(ib_send_cm_rej, 0xbf6a2b51, "");
SYMBOL_CRC(ib_send_cm_mra, 0xec42c3b5, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x8efeb7e4, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x2cca7939, "");
SYMBOL_CRC(ib_cm_notify, 0xcee084c4, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x11179aa2, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x40bfaf1a, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbefe0952, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xabe9c66d, "rdma_query_gid" },
	{ 0xb0443c23, "ib_port_register_client_groups" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xcb627228, "ib_modify_port" },
	{ 0xc68a20bf, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x902e87bf, "rdma_create_ah" },
	{ 0x43b09946, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xb8c1b67f, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x8de93385, "ib_register_client" },
	{ 0x823dc662, "ib_unregister_mad_agent" },
	{ 0x7d8a3692, "ib_post_send_mad" },
	{ 0xd3172c09, "ib_create_send_mad" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x99f2208a, "rdma_destroy_ah_attr" },
	{ 0xffecc215, "ib_set_client_data" },
	{ 0x8b7bde61, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xb02d0ec3, "rdma_put_gid_attr" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa069e7c2, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x63e22461, "rdma_destroy_ah_user" },
	{ 0x5c575ecb, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xb6eda6c6, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0xe37575f5, "bpf_trace_run3" },
	{ 0x50c9b06f, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x7b385a53, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8303e4b7, "ib_free_recv_mad" },
	{ 0xa9855bdf, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1c321721, "ib_modify_mad" },
	{ 0x937afa03, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "69CE627D45041345621FB15");

MODULE_INFO(suserelease, "SLE15-SP6");
