#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x0b4b63ab, "");
SYMBOL_CRC(flow_resources_alloc, 0x0424b7e3, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x4654e70c, "");
SYMBOL_CRC(flow_resources_add, 0x17bc8b0e, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xced16e0c, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0xd5034bd0, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0xdb6698b6, "");
SYMBOL_CRC(uverbs_idr_class, 0xef4c9ee9, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x2d212d35, "");
SYMBOL_CRC(uverbs_fd_class, 0x0975db42, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0xaf137100, "");
SYMBOL_CRC(_uverbs_alloc, 0xfa52d206, "");
SYMBOL_CRC(uverbs_get_flags64, 0x5de1051d, "");
SYMBOL_CRC(uverbs_get_flags32, 0x6cbb93bf, "");
SYMBOL_CRC(uverbs_copy_to, 0x4562ad7f, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0xddd4177d, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x09841cc5, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0xe0acb7cb, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xd7f28fb0, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x7c7656c2, "");
SYMBOL_CRC(ib_umem_get, 0x5c7dfaf1, "");
SYMBOL_CRC(ib_umem_release, 0x16207a38, "");
SYMBOL_CRC(ib_umem_copy_from, 0xc7ecb7a7, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x7a8d560c, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x5209fd3d, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0xb519dabc, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x349f67b3, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0x1f1b1305, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0xf86bd5cc, "");
SYMBOL_CRC(ib_umem_odp_get, 0xa921765d, "");
SYMBOL_CRC(ib_umem_odp_release, 0x1c0261d9, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0xf00b1c1f, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x112721c8, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6e3ccb4, "pin_user_pages_fast" },
	{ 0x76dcd866, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x63cd545b, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x759efa4b, "anon_inode_getfile" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x40bfaf1a, "ib_unregister_client" },
	{ 0xc0944c4, "show_class_attr_string" },
	{ 0xce7abb3d, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x66b9d409, "dev_set_name" },
	{ 0x8badaf3a, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xd2736165, "mmu_interval_read_begin" },
	{ 0xc2f8423e, "ib_create_qp_user" },
	{ 0x867e2c43, "dma_resv_wait_timeout" },
	{ 0xd048bfe6, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xf04d5918, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xf1e062cc, "kill_fasync" },
	{ 0x92ed54f2, "dma_unmap_page_attrs" },
	{ 0x4933b099, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x866bf687, "fget" },
	{ 0x2f5cc42d, "__put_task_struct" },
	{ 0xb3b23d36, "ib_query_srq" },
	{ 0xc639ff7e, "ww_mutex_unlock" },
	{ 0x7288bda, "device_initialize" },
	{ 0x14d294d4, "__dynamic_ibdev_dbg" },
	{ 0xba1e551a, "ib_rdmacg_try_charge" },
	{ 0x83617551, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf37ca171, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xbcee4ea9, "unpin_user_page_range_dirty_lock" },
	{ 0xca2cb811, "iput" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xed862b2, "dma_buf_unpin" },
	{ 0x6230c619, "zap_vma_ptes" },
	{ 0xc24219e2, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x11341a79, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4d98753b, "rdma_dev_access_netns" },
	{ 0x44430d1f, "get_device" },
	{ 0x92797d21, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x94a9c00a, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x9350e95f, "dma_buf_dynamic_attach" },
	{ 0xe2650697, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0x69ec3d7d, "ib_destroy_srq_user" },
	{ 0x72320197, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x7e02db74, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85c95cfc, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x20a2d816, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xfecbd03c, "rdma_restrack_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xf2b97d25, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x185760d5, "ib_modify_qp_with_udata" },
	{ 0xfe3ddc26, "ib_register_event_handler" },
	{ 0xbadd3323, "ib_detach_mcast" },
	{ 0xf90c5610, "dma_buf_map_attachment" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x1d0c7591, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd197a7a8, "module_put" },
	{ 0x8de93385, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbc3779d, "compat_ptr_ioctl" },
	{ 0xfba72b7d, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0xab89b0e7, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x75c7a4e0, "fput" },
	{ 0xffecc215, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xd46fe5e4, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xf51448c4, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xb02d0ec3, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x385a12e3, "dma_buf_get" },
	{ 0xb15003b0, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0x7965889, "nla_put" },
	{ 0xe97b38df, "ww_mutex_lock" },
	{ 0xa3b086c8, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1c03b5b4, "ib_qp_usecnt_inc" },
	{ 0x8263aa9, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe229f10, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7362acee, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x60b2b3b3, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9122e885, "rdma_create_user_ah" },
	{ 0x63e22461, "rdma_destroy_ah_user" },
	{ 0xfb049f3c, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd76fdd05, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x8effd1d3, "__mmdrop" },
	{ 0x475a608c, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa2ca87b2, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0xaad81159, "__mmap_lock_do_trace_start_locking" },
	{ 0x17412749, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcdfb616d, "igrab" },
	{ 0xaa4d1077, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa50df297, "mmput" },
	{ 0x9285ee8c, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1e36af9b, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2f0b4e38, "__mmap_lock_do_trace_released" },
	{ 0x57948805, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0xbfe04ead, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x37754e51, "ib_dealloc_xrcd_user" },
	{ 0xb35704e3, "dma_buf_detach" },
	{ 0xc4e23322, "stream_open" },
	{ 0xc7b111fa, "mmu_interval_notifier_insert" },
	{ 0x41a926f6, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x4d2b4671, "ib_open_qp" },
	{ 0xc6b74306, "ib_dealloc_pd_user" },
	{ 0x6865b387, "rdma_get_gid_attr" },
	{ 0xb97cc4d3, "dma_unmap_sg_attrs" },
	{ 0xb3789038, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x1356179b, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xf82ec882, "rdma_query_gid_table" },
	{ 0x39ff8ee9, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x585f7d81, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe8152d6d, "ib_attach_mcast" },
	{ 0x2a3385ca, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xaa2ccd5e, "ib_destroy_wq_user" },
	{ 0xbd946326, "put_pid" },
	{ 0x93c2ea6d, "class_register" },
	{ 0xf10e0e56, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x56b99399, "rdma_user_mmap_entry_put" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "45FCE01455551C304395EFE");

MODULE_INFO(suserelease, "SLE15-SP6");
