#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__tracepoint_bcache_request_start, 0xb9679639, "_gpl");
SYMBOL_CRC(__traceiter_bcache_request_start, 0xb2f07735, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_request_start, 0x6076bab2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_request_start, 0xd7a7fbec, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_request_end, 0x6073d822, "_gpl");
SYMBOL_CRC(__traceiter_bcache_request_end, 0x76085174, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_request_end, 0xc18c8559, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_request_end, 0xfce76b1e, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_bypass_sequential, 0xd25df5f2, "_gpl");
SYMBOL_CRC(__traceiter_bcache_bypass_sequential, 0xa1be9c92, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_bypass_sequential, 0x7584322c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_bypass_sequential, 0xf57f81ae, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_bypass_congested, 0x2b37899f, "_gpl");
SYMBOL_CRC(__traceiter_bcache_bypass_congested, 0xf7a839b7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_bypass_congested, 0x95d6367b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_bypass_congested, 0x7f252e00, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_read, 0xef1aaa2e, "_gpl");
SYMBOL_CRC(__traceiter_bcache_read, 0xad04de43, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_read, 0xce7ba166, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_read, 0xedf90bb3, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_write, 0xe3c432de, "_gpl");
SYMBOL_CRC(__traceiter_bcache_write, 0x2639a07c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_write, 0x9be29a77, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_write, 0x5dd80bd5, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_read_retry, 0x504aff03, "_gpl");
SYMBOL_CRC(__traceiter_bcache_read_retry, 0xec5a8514, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_read_retry, 0x7e84faa2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_read_retry, 0x787810b2, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_cache_insert, 0xeb1a32a5, "_gpl");
SYMBOL_CRC(__traceiter_bcache_cache_insert, 0xb5a62a8c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_cache_insert, 0x2c6c654c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_cache_insert, 0x752f7fa4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_replay_key, 0xa3f8253b, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_replay_key, 0x2766fb04, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_replay_key, 0xc234032f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_journal_replay_key, 0xb7e5379d, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_write, 0xaf5787dc, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_write, 0x8c395cac, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_write, 0x7646ab57, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_journal_write, 0x287090dc, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_full, 0x10c78989, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_full, 0xf5926ff2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_full, 0xd7b1de60, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_journal_full, 0xdb0682eb, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_entry_full, 0x495f6ed3, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_entry_full, 0x10a23225, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_entry_full, 0x289348c7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_journal_entry_full, 0xf7a5edc7, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_cache_cannibalize, 0x090cdc30, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_cache_cannibalize, 0x2c3ad0cb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_cache_cannibalize, 0xfd662852, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_cache_cannibalize, 0x822db771, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_read, 0x037f499d, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_read, 0x5254429e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_read, 0x2db14c3c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_read, 0xce451ad8, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_write, 0xb140b50b, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_write, 0x588280c8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_write, 0x10bfe870, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_write, 0x629c9180, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_alloc, 0x83bf29fa, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_alloc, 0xb03e5e9b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_alloc, 0x3d5e961e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_alloc, 0x21b87a42, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_alloc_fail, 0x1d8c74a3, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_alloc_fail, 0x3b3a04eb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_alloc_fail, 0x57af72d1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_alloc_fail, 0x297e0da3, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_free, 0x7bcb7282, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_free, 0x4c2a5b52, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_free, 0x916486f0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_free, 0x817ad796, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_gc_coalesce, 0xdf21a116, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_gc_coalesce, 0x1c599ebe, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_gc_coalesce, 0x78f866c8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_gc_coalesce, 0xa15bd7c4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_start, 0x9a28e169, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_start, 0xe0224757, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_start, 0xf85234e2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_gc_start, 0x6677ebf0, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_end, 0x7934a168, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_end, 0x19a6891d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_end, 0xd6469c8c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_gc_end, 0xd7a376b3, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_copy, 0xedd66dfa, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_copy, 0xad6440b4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_copy, 0x4a1e39a6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_gc_copy, 0x36f317a4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_copy_collision, 0xa073f837, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_copy_collision, 0xec29e22a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_copy_collision, 0x07aa3fe9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_gc_copy_collision, 0xd30206ff, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_insert_key, 0xb67a3669, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_insert_key, 0x60905fdc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_insert_key, 0x089b898d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_insert_key, 0x972aa384, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_split, 0x69bf08cd, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_split, 0xf46a1f01, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_split, 0xd75eb729, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_split, 0x9d28d153, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_compact, 0x1ff1a925, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_compact, 0x807eb347, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_compact, 0x7e3d8f31, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_compact, 0xa784e073, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_set_root, 0x7e8b5f34, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_set_root, 0x25c85821, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_set_root, 0x043814b0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_set_root, 0x25cacb14, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_invalidate, 0xedfb84c2, "_gpl");
SYMBOL_CRC(__traceiter_bcache_invalidate, 0x02731e82, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_invalidate, 0xc3358163, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_invalidate, 0xc73e0c99, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_alloc_fail, 0xe43e2334, "_gpl");
SYMBOL_CRC(__traceiter_bcache_alloc_fail, 0xecb7a89b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_alloc_fail, 0xcaf02695, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_alloc_fail, 0x300c8ff4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_writeback, 0x00eafd52, "_gpl");
SYMBOL_CRC(__traceiter_bcache_writeback, 0x17a83e40, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_writeback, 0x7ae2dd2f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_writeback, 0xfb767f16, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_writeback_collision, 0x607c71c9, "_gpl");
SYMBOL_CRC(__traceiter_bcache_writeback_collision, 0x64e39418, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_writeback_collision, 0x7ac76992, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_writeback_collision, 0x4543b49b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4de0dd5d, "bio_associate_blkg" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xab980ef7, "set_disk_ro" },
	{ 0x52866533, "__blk_alloc_disk" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x63cd545b, "try_module_get" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb4013715, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1f38b857, "bpf_trace_run4" },
	{ 0x20250eb8, "param_ops_uint" },
	{ 0x6c726d05, "blk_queue_logical_block_size" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd7e56a4e, "simple_strtoll" },
	{ 0xa471a652, "bio_copy_data" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0xa5adc1b5, "set_blocksize" },
	{ 0x464d90e9, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x9350f6cd, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0x8fd42bd4, "bio_init_clone" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xca9360b5, "rb_next" },
	{ 0x2bd8a8bb, "blk_fill_rwbs" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xcf2a6966, "up" },
	{ 0x15c85de3, "mempool_init" },
	{ 0x9016047c, "closure_wait" },
	{ 0x105f91c3, "kobject_init" },
	{ 0x14a11a4b, "register_shrinker" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xb89580a7, "blk_queue_write_cache" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xc68a20bf, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xeaf3cb23, "crc64_be" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe22edb46, "__module_get" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x30e8e3ee, "__closure_sync" },
	{ 0xbca1afef, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd3bec8a4, "wake_up_process" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x8357fc0d, "bio_clone_blkg_association" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xf93c852d, "put_disk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x81a6e53c, "fs_kobj" },
	{ 0x8623e9e7, "blk_queue_flag_set" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x17d078b, "unregister_shrinker" },
	{ 0xb505b8ef, "blkdev_put" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xbaef65b6, "submit_bio" },
	{ 0xd197a7a8, "module_put" },
	{ 0x31eeb12b, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd4fc157a, "sysfs_create_link" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x58b89461, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x4f257aba, "kobject_uevent_env" },
	{ 0xc548bf53, "bio_put" },
	{ 0xc6436c43, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x26bde36f, "__bio_advance" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7e63190b, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb2d8c966, "sysfs_remove_link" },
	{ 0x2fa01fff, "blkdev_get_by_dev" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x6ccc144a, "set_capacity" },
	{ 0x9fc08878, "submit_bio_noacct" },
	{ 0xd9a162ba, "closure_put" },
	{ 0x6626afca, "down" },
	{ 0x15f36425, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x68ff5714, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0xc752a63, "blkdev_get_by_path" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0x912b482, "zero_fill_bio_iter" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x11bf3f46, "del_gendisk" },
	{ 0x1be0a6cb, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xc5ae7fca, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x44d82c7a, "read_cache_page_gfp" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa069e7c2, "bpf_trace_run1" },
	{ 0xe3c17af1, "__closure_wake_up" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xa6cfddd0, "bd_unlink_disk_holder" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1b58c7c0, "bio_init" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xccd3bb70, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa384a8c, "closure_sub" },
	{ 0x8a44a953, "bio_reset" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x75e4770f, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xef1fc20e, "bio_free_pages" },
	{ 0x4b6551ec, "kthread_create_on_node" },
	{ 0xe37575f5, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd4bf1a24, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3953dba3, "kobject_del" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xef29d658, "bioset_init" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x48f392fd, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xeefafeb7, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfbeb20f4, "bd_link_disk_holder" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xc29bf967, "strspn" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x164f46b7, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x94bc69ac, "bio_alloc_bioset" },
	{ 0xecec8ec1, "blk_queue_io_opt" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xab313b99, "kobject_get" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0x4929069d, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0xb1750a40, "blkdev_issue_discard" },
	{ 0xe371d84a, "kobject_put" },
	{ 0x61b7b126, "simple_strtoull" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "583AE47621AA5227598B970");

MODULE_INFO(suserelease, "SLE15-SP6");
