#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a1c71a9, "crypto_shash_update" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0x1dc1d35, "crypto_alloc_aead" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xeaf714f0, "crypto_skcipher_encrypt" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9f984513, "strrchr" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xb6f9a7b0, "crypto_alloc_ahash" },
	{ 0xa31a4409, "dm_table_device_name" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x85df9b6c, "strsep" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x15c85de3, "mempool_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xef29d658, "bioset_init" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3416c6a9, "dm_table_get_mode" },
	{ 0x79965eaf, "dm_get_device" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaaef8b41, "dm_table_get_md" },
	{ 0xd5911ad4, "crypto_aead_setauthsize" },
	{ 0x5f6132e7, "dm_device_name" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4b6551ec, "kthread_create_on_node" },
	{ 0xd3bec8a4, "wake_up_process" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xdc56bd5d, "crypto_shash_digest" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x48f392fd, "__folio_put" },
	{ 0x94bc69ac, "bio_alloc_bioset" },
	{ 0xb4013715, "__bio_add_page" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xc548bf53, "bio_put" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xccd3bb70, "bio_alloc_clone" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa471a652, "bio_copy_data" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa6257a2f, "complete" },
	{ 0xef9967f2, "dm_audit_log_bio" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x1cb35b80, "crypto_aead_encrypt" },
	{ 0xfe579cf7, "crypto_skcipher_decrypt" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xf933d8c5, "crypto_aead_decrypt" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4de0dd5d, "bio_associate_blkg" },
	{ 0x3de4533f, "dm_accept_partial_bio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x1686afef, "dm_register_target" },
	{ 0x1f46963c, "dm_report_zones" },
	{ 0x92997ed8, "_printk" },
	{ 0x754d539c, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b10528c, "crypto_skcipher_setkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb8aaa1bc, "crypto_aead_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3cc4b494, "key_type_trusted" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe0643d2, "request_key_tag" },
	{ 0x668b19a1, "down_read" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x53b954a2, "up_read" },
	{ 0x15b5037f, "key_put" },
	{ 0xb1843a3e, "key_type_user" },
	{ 0x7978e527, "key_type_logon" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96848186, "scnprintf" },
	{ 0x12db08c4, "dm_per_bio_data" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6436c43, "bio_endio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x686ea42f, "crypto_destroy_tfm" },
	{ 0xc5ae7fca, "kthread_stop" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x58b89461, "bioset_exit" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0x89fc5324, "dm_put_device" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x51ef4bd1, "dm_audit_log_ti" },
	{ 0x1000e51, "schedule" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xdf01f86c, "blk_start_plug" },
	{ 0xece784c2, "rb_first" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9bc945fe, "dm_submit_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x419eee3e, "blk_finish_plug" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x887a0c59, "dm_unregister_target" },
	{ 0xd1a7b816, "bio_integrity_alloc" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3d9937aa, "bio_integrity_add_page" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb2104283, "crypto_alloc_skcipher" },
	{ 0xafb17bb7, "crypto_alloc_shash" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "dm-mod");


MODULE_INFO(srcversion, "75AE5A659D5EAAC9C6B44C4");

MODULE_INFO(suserelease, "SLE15-SP6");
