#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dm_send_uevents, 0xfd31860a, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0xdd4c4d64, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x1f46963c, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x51ef4bd1, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0xef9967f2, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x12db08c4, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xbdd29696, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x01980409, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(_dm_prepare_ioctl, 0xbb97b8f9, "_gpl");
SYMBOL_CRC(dm_unprepare_ioctl, 0x89de28be, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x47620d69, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x39dc4428, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x3de4533f, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x9bc945fe, "_gpl");
SYMBOL_CRC(dm_get_md, 0x2cda6ea4, "_gpl");
SYMBOL_CRC(dm_hold, 0xa29c8e73, "_gpl");
SYMBOL_CRC(dm_device_name, 0x5f6132e7, "_gpl");
SYMBOL_CRC(dm_put, 0xe36ad674, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x9371cc69, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0xab0bf289, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xb864578a, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x419b000f, "_gpl");
SYMBOL_CRC(dm_disk, 0x09aff147, "_gpl");
SYMBOL_CRC(dm_suspended, 0x1df0a467, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x6a3c3b17, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0x5ca9fcae, "_gpl");
SYMBOL_CRC(dm_get_device, 0x79965eaf, "");
SYMBOL_CRC(dm_put_device, 0x89fc5324, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x345f4593, "_gpl");
SYMBOL_CRC(dm_table_event, 0x79995415, "");
SYMBOL_CRC(dm_table_get_size, 0x9bfa658b, "");
SYMBOL_CRC(dm_table_get_mode, 0x3416c6a9, "");
SYMBOL_CRC(dm_table_get_md, 0xaaef8b41, "");
SYMBOL_CRC(dm_table_device_name, 0xa31a4409, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0xf2556297, "");
SYMBOL_CRC(dm_register_target, 0x1686afef, "");
SYMBOL_CRC(dm_unregister_target, 0x887a0c59, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x71a7db71, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0xf0fc6458, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x6f2ae7e5, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x0f7486b1, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x3d15e086, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4de0dd5d, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0xab980ef7, "set_disk_ro" },
	{ 0x52866533, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x64850f18, "blk_integrity_register" },
	{ 0x63cd545b, "try_module_get" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x46b1d77c, "misc_deregister" },
	{ 0xdf01f86c, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0x20250eb8, "param_ops_uint" },
	{ 0xf223c684, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8599482b, "bio_split_to_limits" },
	{ 0x464d90e9, "vmalloc_to_page" },
	{ 0xd6947059, "disk_update_readahead" },
	{ 0x9350f6cd, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0x574834e8, "fs_dax_get_by_bdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x10d29e3d, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb0d0f325, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa109ec5d, "blk_crypto_profile_destroy" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x8760c973, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0x15c85de3, "mempool_init" },
	{ 0x141c10c, "blk_rq_prep_clone" },
	{ 0x36bdb9be, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xe63c32c, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x2f7733b5, "blk_crypto_profile_init" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x68e4678f, "freeze_bdev" },
	{ 0xb89580a7, "blk_queue_write_cache" },
	{ 0xeb96377b, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe6f1e3cf, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0xbedd5a10, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xd4925d48, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6cd8ae35, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x97b920e4, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x3d62698b, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x9de376fd, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf93c852d, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x14bd2dd1, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4dc8b5da, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9f19bae8, "bdev_nr_zones" },
	{ 0x907c06ae, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x8623e9e7, "blk_queue_flag_set" },
	{ 0x21c6fddc, "kmalloc_node_trace" },
	{ 0xa593944a, "__SCK__tp_func_block_split" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xb505b8ef, "blkdev_put" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x419eee3e, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbaef65b6, "submit_bio" },
	{ 0x30041998, "blk_crypto_has_capabilities" },
	{ 0x692e5bc1, "dax_add_host" },
	{ 0xaa301f5, "blk_queue_flag_clear" },
	{ 0xd197a7a8, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb855bbdb, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x58b89461, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x4f257aba, "kobject_uevent_env" },
	{ 0xc548bf53, "bio_put" },
	{ 0xdf9330af, "blk_crypto_intersect_capabilities" },
	{ 0xc6436c43, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x8c569373, "__SCK__tp_func_block_bio_remap" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xe12bd0, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0x2fa01fff, "blkdev_get_by_dev" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xedc1d57c, "thaw_bdev" },
	{ 0x6ccc144a, "set_capacity" },
	{ 0x9fc08878, "submit_bio_noacct" },
	{ 0xa67ce49f, "noop_llseek" },
	{ 0x15022929, "blk_integrity_compare" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xa67b114e, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc6fbcc40, "dax_remove_host" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x7c6b987d, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x32b44490, "dax_recovery_write" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x70e78d91, "kobject_init_and_add" },
	{ 0x912b482, "zero_fill_bio_iter" },
	{ 0x23153808, "bio_add_page" },
	{ 0x82760c9b, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x11bf3f46, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa6cfddd0, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x1b58c7c0, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0xccd3bb70, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xeaec6cf7, "misc_register" },
	{ 0x13c9cdf5, "blk_crypto_evict_key" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x313bfc8, "blk_insert_cloned_request" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf6ae8f45, "audit_log_start" },
	{ 0x825f7e79, "nonseekable_open" },
	{ 0x70ac2c1a, "blk_limits_io_min" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x764c2993, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4f6df28d, "bio_uninit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0xef29d658, "bioset_init" },
	{ 0x44cbf8ee, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xa4890282, "__tracepoint_block_bio_remap" },
	{ 0x61bfacc8, "__tracepoint_block_rq_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfbeb20f4, "bd_link_disk_holder" },
	{ 0x3ea023b0, "blk_mq_start_request" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xa917c1de, "blk_limits_io_opt" },
	{ 0x7242d92, "put_dax" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbc96c3f0, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9f029221, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x4437db3, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x94bc69ac, "bio_alloc_bioset" },
	{ 0x53b954a2, "up_read" },
	{ 0x6b11387b, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x56f40d75, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87a25d94, "bdev_end_io_acct" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xe788e094, "blk_crypto_update_capabilities" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe371d84a, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "40649FC9C5FD0328B6947E7");

MODULE_INFO(suserelease, "SLE15-SP6");
