#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ipvlan_count_rx, 0x17aa1702, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x6e12717d, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x6fa467dc, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x742eef54, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xabcb2dc1, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5040f3d8, "__do_once_done" },
	{ 0xa5c79896, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xa6fc96c, "dev_pre_changeaddr_notify" },
	{ 0xe534efe, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xb2a0b0, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc9539c2d, "netdev_update_features" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0xf80a8e93, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x78abc8bc, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9582819f, "rtnl_link_register" },
	{ 0x5c3e6353, "netif_inherit_tso_max" },
	{ 0xcc1f9c60, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xefc0501e, "ip_route_output_flow" },
	{ 0xa7785312, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xba9cc6cc, "dev_uc_unsync" },
	{ 0x22342135, "ether_setup" },
	{ 0xd2585228, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7898e19b, "netdev_upper_dev_link" },
	{ 0x9e7ae3a4, "register_pernet_subsys" },
	{ 0x64b410b8, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1519f0f9, "netdev_rx_handler_unregister" },
	{ 0xc4e2d5cc, "eth_header_parse" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x85c7268f, "eth_header_cache_update" },
	{ 0x29a92db6, "nf_register_net_hooks" },
	{ 0x3dfba517, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xe5b934a2, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xe795a55f, "__dev_get_by_index" },
	{ 0xb4e402f4, "rtnl_link_unregister" },
	{ 0x709d09b6, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd7731b6a, "netif_stacked_transfer_operstate" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x4c11a8d7, "netdev_upper_dev_unlink" },
	{ 0x7965889, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf8721793, "ns_capable" },
	{ 0x5c55ea86, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdd18c20c, "ethtool_op_get_link" },
	{ 0xeac4e07d, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xd5061a64, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0xe8c76a24, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb41ae2b0, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xa6cf24cb, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9eb9c0f3, "vlan_vid_add" },
	{ 0xaf1c3b2a, "call_netdevice_notifiers" },
	{ 0xc7f1996b, "vlan_vid_del" },
	{ 0xe08f1967, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x28bca6d9, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd07b39a2, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x3e7cf291, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbfac7580, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x7c08bba6, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6c98f350, "dev_change_flags" },
	{ 0xc3090a12, "netdev_core_stats_inc" },
	{ 0xdfb1217, "dev_forward_skb" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1054dad3, "register_netdevice" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D823DC1F35A7669BA92EB5D");

MODULE_INFO(suserelease, "SLE15-SP6");
