#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvdimm_bus_lock, 0xc638c648, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xac1a1d08, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x13eccab5, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xe7072e8b, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x2f4255ea, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x78c0e591, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x1b10015f, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0xcb9b2a39, "");
SYMBOL_CRC(nd_device_notify, 0x0a985534, "");
SYMBOL_CRC(nvdimm_region_notify, 0x5bd77141, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xdcefbad5, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x4e1fa801, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x65a520ba, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x7374eaa8, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x11da2ac7, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x1b4dc9eb, "");
SYMBOL_CRC(nd_device_unregister, 0x9d24bfe1, "");
SYMBOL_CRC(__nd_driver_register, 0xa5c5b314, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x7fe7c361, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xd2d85974, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x37dd8c6b, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x630cf3fb, "_gpl");
SYMBOL_CRC(to_ndd, 0x40d2a037, "");
SYMBOL_CRC(nvdimm_name, 0xa16c0c20, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x640ae99f, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x36384d20, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x1448226c, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x34a7bc08, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x43be4144, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x98b04123, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x2a1ea058, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x7a945055, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x400635d4, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x7d2c7527, "_gpl");
SYMBOL_CRC(to_nd_region, 0xd3fef55c, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x11ad5de3, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0xf05eeabc, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0xbd311712, "");
SYMBOL_CRC(nd_region_acquire_lane, 0xc7acbacf, "");
SYMBOL_CRC(nd_region_release_lane, 0xb0174c5a, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0xbb355215, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x9d01abe1, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xf2a9fd23, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xc49ef46f, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0xa2dc86b7, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x143892c1, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x7d0e1552, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0xf46bc30d, "");
SYMBOL_CRC(pmem_sector_size, 0x73fff804, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x1e44a1eb, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x45eea172, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x8a84e8c4, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xa2606718, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x47505a19, "");
SYMBOL_CRC(devm_namespace_enable, 0xf82c5473, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x61be9f7d, "_gpl");
SYMBOL_CRC(badrange_init, 0x11e06ee9, "_gpl");
SYMBOL_CRC(badrange_add, 0x2e08226d, "_gpl");
SYMBOL_CRC(badrange_forget, 0x82092899, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xfa754c81, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xab980ef7, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x64850f18, "blk_integrity_register" },
	{ 0x63cd545b, "try_module_get" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfe83b493, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x66b9d409, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc94221d5, "badblocks_set" },
	{ 0xb6daedb0, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7d1ee791, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x7288bda, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x6d138dcc, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x44430d1f, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd1f4322e, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd5a09acd, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x40df1fe, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf2b97d25, "put_device" },
	{ 0xf3039abb, "badblocks_show" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x80529796, "_dev_info" },
	{ 0xd197a7a8, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbc3779d, "compat_ptr_ioctl" },
	{ 0xa5d74056, "perf_pmu_migrate_context" },
	{ 0x1972dcb5, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x15b5037f, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x31d8218b, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xd46fe5e4, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xada83e92, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xa67ce49f, "noop_llseek" },
	{ 0xecfab174, "class_create" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xab87a9a4, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0x507247da, "driver_unregister" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0x37359c25, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x94582408, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x55c6b94d, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xe0643d2, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x6ce10e9d, "kernfs_put" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x36e4d0fb, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x98f2558b, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xd6e59287, "__devm_add_action" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x285b2a6a, "badblocks_clear" },
	{ 0x7bb458f5, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0x477a3f1b, "driver_register" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf5edc54d, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6F7A2D06C18B1A1C56B3302");

MODULE_INFO(suserelease, "SLE15-SP6");
