#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvme_fc_register_localport, 0x1e189aa7, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x57a495b0, "nvme_remove_admin_tag_set" },
	{ 0xee847e6, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7e8a73a5, "nvme_uninit_ctrl" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x2c55626e, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x50a5094b, "nvmf_free_options" },
	{ 0x7112f629, "nvmf_subsystem_reset" },
	{ 0xebe4f23b, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6f75e20a, "nvme_stop_keep_alive" },
	{ 0x16e5561d, "blk_mq_complete_request_remote" },
	{ 0x92ed54f2, "dma_unmap_page_attrs" },
	{ 0x93b20c6b, "nvme_setup_cmd" },
	{ 0x7fb93443, "nvme_start_ctrl" },
	{ 0x2c846d84, "dma_sync_single_for_device" },
	{ 0x2f0f5920, "nvme_alloc_admin_tag_set" },
	{ 0x2121de97, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x2df5287a, "nvmf_reg_read32" },
	{ 0xe2964344, "__wake_up" },
	{ 0x75b9bc9, "nvme_delete_ctrl" },
	{ 0x44430d1f, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x63844699, "nvme_should_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x40df1fe, "dev_driver_string" },
	{ 0x256f4606, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85c95cfc, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xe721dbfb, "nvme_remove_io_tag_set" },
	{ 0x7cef6d1f, "nvme_cleanup_cmd" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc5b3144f, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5e394000, "nvmf_unregister_transport" },
	{ 0xc710a9f8, "blkcg_get_fc_appid" },
	{ 0xf2b97d25, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xe2beef23, "nvme_change_ctrl_state" },
	{ 0x80529796, "_dev_info" },
	{ 0xdaed444f, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x7c3fde6a, "nvme_alloc_io_tag_set" },
	{ 0xc579f3df, "nvme_fail_nonready_command" },
	{ 0x4f257aba, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd46fe5e4, "_dev_err" },
	{ 0xbc0cd820, "device_create" },
	{ 0xbd8c3093, "blk_sync_queue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x5abed9e9, "__blk_rq_map_sg" },
	{ 0x9166fada, "strncpy" },
	{ 0xffb7c514, "ida_free" },
	{ 0x769e7284, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe229f10, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x6318449a, "nvmf_connect_admin_queue" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe6b751d4, "nvme_enable_ctrl" },
	{ 0xfea77d6f, "nvme_unquiesce_admin_queue" },
	{ 0x28e978f4, "dma_sync_single_for_cpu" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1074c9e8, "nvme_unquiesce_io_queues" },
	{ 0x4909aede, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1fbb5b16, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc334b9ff, "nvmf_should_reconnect" },
	{ 0xb7873942, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x98f2558b, "device_destroy" },
	{ 0xf4f5e481, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x4a4f7d48, "nvmf_register_transport" },
	{ 0x3ea023b0, "blk_mq_start_request" },
	{ 0x139a2c51, "nvme_quiesce_io_queues" },
	{ 0x7c8f28, "blk_mq_tagset_busy_iter" },
	{ 0x63c2d87f, "nvme_stop_ctrl" },
	{ 0xb97cc4d3, "dma_unmap_sg_attrs" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x2f22ec31, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xf3cb7c72, "nvme_reset_ctrl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x1bc07d87, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x93c2ea6d, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7f62983d, "__nvme_check_ready" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xa30ba6ca, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "71A573CBAAE65CC2C321E76");

MODULE_INFO(suserelease, "SLE15-SP6");
