#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sas_remove_children, 0x1255a626, "");
SYMBOL_CRC(sas_remove_host, 0x857291f4, "");
SYMBOL_CRC(sas_get_address, 0xeb79429b, "");
SYMBOL_CRC(sas_tlr_supported, 0x8b792c9b, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x58e6c3f3, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x281eb868, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x7f9d2913, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0xf676210b, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xd1d159dc, "");
SYMBOL_CRC(sas_phy_add, 0xb2e6d7ef, "");
SYMBOL_CRC(sas_phy_free, 0x4ff4b263, "");
SYMBOL_CRC(sas_phy_delete, 0xb5ecbb08, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x298eb447, "");
SYMBOL_CRC(sas_port_alloc, 0xf526f6bc, "");
SYMBOL_CRC(sas_port_alloc_num, 0x9c58de52, "");
SYMBOL_CRC(sas_port_add, 0x88cae8af, "");
SYMBOL_CRC(sas_port_free, 0x51f4dc89, "");
SYMBOL_CRC(sas_port_delete, 0x4f3814fb, "");
SYMBOL_CRC(scsi_is_sas_port, 0x444bba5c, "");
SYMBOL_CRC(sas_port_get_phy, 0x8b185b5b, "");
SYMBOL_CRC(sas_port_add_phy, 0x32ddb4e0, "");
SYMBOL_CRC(sas_port_delete_phy, 0x6771050c, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xbb846f93, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x67234c29, "");
SYMBOL_CRC(sas_end_device_alloc, 0xfb2135f9, "");
SYMBOL_CRC(sas_expander_alloc, 0x30a7eb27, "");
SYMBOL_CRC(sas_rphy_add, 0x685d5803, "");
SYMBOL_CRC(sas_rphy_free, 0x1481a68e, "");
SYMBOL_CRC(sas_rphy_delete, 0x80fcbca6, "");
SYMBOL_CRC(sas_rphy_unlink, 0x02cfb1d0, "");
SYMBOL_CRC(sas_rphy_remove, 0xee9deb29, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x7116cd1b, "");
SYMBOL_CRC(sas_attach_transport, 0x84128bcc, "");
SYMBOL_CRC(sas_release_transport, 0x0e797064, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a921311, "strncmp" },
	{ 0x5b80cbaf, "transport_class_unregister" },
	{ 0x6793c0ae, "_dev_printk" },
	{ 0x6957174c, "bsg_setup_queue" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0x76871bc, "bsg_job_done" },
	{ 0x5b42c110, "attribute_container_unregister" },
	{ 0x62c1e42d, "transport_class_register" },
	{ 0x15426312, "attribute_container_register" },
	{ 0x1a7d0d69, "scsi_get_vpd_page" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x23b42d74, "dma_opt_mapping_size" },
	{ 0x7288bda, "device_initialize" },
	{ 0x66b9d409, "dev_set_name" },
	{ 0xd7fb45d0, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6d138dcc, "device_for_each_child" },
	{ 0xc02300b2, "scsi_remove_host" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf2b97d25, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x68320e19, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xada83e92, "device_add" },
	{ 0xaa4f92ad, "transport_add_device" },
	{ 0xd2aba965, "transport_configure_device" },
	{ 0xc001d93a, "device_del" },
	{ 0xf07d0d7b, "transport_destroy_device" },
	{ 0x34de77a8, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x44430d1f, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb2d8c966, "sysfs_remove_link" },
	{ 0xd4fc157a, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xa88e0316, "scsi_mode_sense" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x32363c72, "scsi_scan_target" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcaa0b841, "bsg_remove_queue" },
	{ 0x123ba933, "scsi_remove_target" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "082852696E06971446548D5");

MODULE_INFO(suserelease, "SLE15-SP6");
