#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x2efce29f, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0x271a6255, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0x51bdfa2f, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x4a2b5cd5, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0x2a3a92ea, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0x7fb6e075, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0x68b80179, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0xdde294ac, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x2f3c9b19, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0xd31c12eb, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0x0031bc75, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x9695baa4, "");
SYMBOL_CRC(iscsit_release_cmd, 0x4fa52f7e, "");
SYMBOL_CRC(iscsit_free_cmd, 0xaf0ed0b8, "");
SYMBOL_CRC(iscsit_queue_rsp, 0x6143cdc2, "");
SYMBOL_CRC(iscsit_aborted_task, 0xccde6f7d, "");
SYMBOL_CRC(iscsit_add_reject, 0xdfa83baa, "");
SYMBOL_CRC(iscsit_reject_cmd, 0x1a964a6f, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x64754247, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x14dafaf3, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x3a7ba436, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0xa7b0ff58, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0x7cce26a8, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x3f43291d, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0x099b0503, "");
SYMBOL_CRC(iscsit_process_nop_out, 0xa4739548, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0xcd1af64d, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x52383726, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0xc4248e57, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x625c7371, "");
SYMBOL_CRC(iscsit_handle_snack, 0x670a30be, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0x472150fe, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0x224f9120, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x0084f947, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0xb65ee2a3, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0xd55d8372, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x9830cd96, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0xf4e90c57, "");
SYMBOL_CRC(iscsit_build_reject, 0x76c985a9, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0xed60aed9, "");
SYMBOL_CRC(iscsit_immediate_queue, 0xfccbd719, "");
SYMBOL_CRC(iscsit_response_queue, 0xca3ae63b, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x5738781e, "");
SYMBOL_CRC(iscsit_register_transport, 0x11345cb3, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x39846c7c, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6f9a7b0, "crypto_alloc_ahash" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xc65e34a6, "target_alloc_cmd_counter" },
	{ 0x67904321, "core_alua_check_nonop_delay" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x63cd545b, "try_module_get" },
	{ 0xb4489234, "target_wait_for_cmds" },
	{ 0x71952ef3, "transport_generic_new_cmd" },
	{ 0x5d24150b, "target_free_cmd_counter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc3431c6, "target_execute_cmd" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x8cbe1c9, "kernel_bind" },
	{ 0xcf2a6966, "up" },
	{ 0x50f3b36f, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x280df45d, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xeeffe10c, "kernel_accept" },
	{ 0x148653, "vsnprintf" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0x9abfa41a, "core_tpg_set_initiator_node_queue_depth" },
	{ 0x2b9b3376, "target_stop_cmd_counter" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1eae4ca, "transport_generic_handle_tmr" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7fce1f26, "transport_lookup_tmr_lun" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xd3bec8a4, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x686ea42f, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2f3de3aa, "transport_alloc_session_tags" },
	{ 0x2297f146, "transport_alloc_session" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x395b8b90, "sbitmap_prepare_to_wait" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1931bfa6, "target_unregister_template" },
	{ 0x706ec530, "transport_send_check_condition_and_sense" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x3d16bd89, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd197a7a8, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe3eca430, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2e1737b5, "init_net" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x92f683b5, "__SCK__tp_func_sk_data_ready" },
	{ 0x545109f9, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x37f60ff7, "set_cpus_allowed_ptr" },
	{ 0x5792f848, "strlcpy" },
	{ 0xe1701695, "transport_deregister_session_configfs" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x373766a, "sbitmap_queue_clear" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa817e96e, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xbbb9e3c8, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xeb70fddc, "sock_sendmsg" },
	{ 0x7a1c71a9, "crypto_shash_update" },
	{ 0xc17c0b4d, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc5ae7fca, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0x79c28b9f, "target_cmd_parse_cdb" },
	{ 0x190c2809, "sock_set_reuseaddr" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9c8e881c, "crypto_ahash_finup" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x741b12ed, "iov_iter_bvec" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe76db571, "crypto_ahash_digest" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x95c98553, "crypto_ahash_final" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x92783736, "__target_init_cmd" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4b6551ec, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc229c79f, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5e7dc088, "core_tpg_check_initiator_node_acl" },
	{ 0x4efabac7, "target_cmd_init_cdb" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdc9d7d8, "kernel_listen" },
	{ 0x3350d87b, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0xb7bad1b4, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x4d24a1e4, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8a302bae, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xca1c9ca0, "transport_wait_for_tasks" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0xc2f3a79f, "transport_handle_cdb_direct" },
	{ 0xf9bf415f, "target_get_sess_cmd" },
	{ 0x2e0ebc98, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9adbb35b, "sock_recvmsg" },
	{ 0xd245925e, "core_tpg_deregister" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x95a3ae84, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x7f23925f, "target_show_dynamic_sessions" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9d195ac2, "sock_release" },
	{ 0x3d4d4667, "target_register_template" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xafabe1cf, "tcp_sock_set_nodelay" },
	{ 0xa40de305, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x58c3e114, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x675eea01, "core_tpg_register" },
	{ 0x754d539c, "strlen" },
	{ 0x646db458, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x4f30a0c4, "transport_deregister_session" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0xafb17bb7, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x935346fe, "__sbitmap_queue_get" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0x4b02cf16, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,configfs");


MODULE_INFO(srcversion, "51DF3E2EC426F82F2E3643B");

MODULE_INFO(suserelease, "SLE15-SP6");
