#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vfio_pci_core_enable, 0x0e35a305, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x3ef2ceae, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x7ef6291e, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xc81b62bd, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x414e6b2e, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x3ce29d83, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x4f29fd78, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xaacbcdd9, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xd9a55990, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x8393919b, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x90b00b46, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x5e9cbf1d, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0xb6531446, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x44aa9394, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0xffce624c, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x68571808, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x6fdcdf18, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0xedb6aad6, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xd06e62af, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1837a255, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x13110126, "request_resource" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x78118f7d, "pci_read_vpd" },
	{ 0xc8ee8468, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9bd0fca2, "pci_request_selected_regions" },
	{ 0x98d18bc8, "pci_release_selected_regions" },
	{ 0x8f8a3e36, "pci_user_write_config_byte" },
	{ 0x1220bf53, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8c9aa088, "pci_bus_max_busnr" },
	{ 0x4caadea7, "pci_check_and_mask_intx" },
	{ 0x1ade9ff7, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xbea26de2, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xe5b12568, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf44a7dab, "pci_dev_put" },
	{ 0xa76d74a2, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xb4f5fab6, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4933b099, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x866bf687, "fget" },
	{ 0xa704bed6, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6bd1156f, "pci_user_read_config_dword" },
	{ 0xf2ebdac4, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x8e636ce5, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4f87d247, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xad944446, "pci_probe_reset_slot" },
	{ 0x6230c619, "zap_vma_ptes" },
	{ 0x2c221946, "pci_set_power_state" },
	{ 0x11341a79, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xf9d8e0c8, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x94a9c00a, "__tracepoint_mmap_lock_released" },
	{ 0xd1f4322e, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x34b7c829, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xfd7a7e97, "pci_intx" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x37e00a75, "pci_user_write_config_word" },
	{ 0xd377955b, "bus_register_notifier" },
	{ 0x80529796, "_dev_info" },
	{ 0x5001c65d, "vfio_file_is_group" },
	{ 0x58815a86, "pci_msix_can_alloc_dyn" },
	{ 0x6afa604, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9a09cf7d, "pci_clear_master" },
	{ 0x4133c20c, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x75c7a4e0, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x4b28b804, "pci_write_vpd" },
	{ 0xabc3246e, "vfio_virqfd_enable" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb1ab37a5, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xb55e65cd, "aperture_remove_conflicting_pci_devices" },
	{ 0x4cb3ff56, "vfio_unregister_group_dev" },
	{ 0xd40e5335, "pci_map_rom" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x18f72fdb, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbaf347bb, "pci_iounmap" },
	{ 0x3ca42218, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb1316683, "pcie_get_mps" },
	{ 0xe0527083, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x8f9170b1, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xaad81159, "__mmap_lock_do_trace_start_locking" },
	{ 0x7755e32f, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x97f8927c, "_dev_notice" },
	{ 0x56354779, "pm_runtime_forbid" },
	{ 0xc5faa5ae, "pm_runtime_allow" },
	{ 0x474fbc59, "pci_reset_bus" },
	{ 0xa50df297, "mmput" },
	{ 0xe86e502a, "__pm_runtime_resume" },
	{ 0x56a67acd, "vfio_register_group_dev" },
	{ 0x13376224, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x47ec1fc, "pci_user_read_config_byte" },
	{ 0x9829ca60, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x1e36af9b, "__tracepoint_mmap_lock_start_locking" },
	{ 0xa6b829cb, "pci_get_class" },
	{ 0xba2484eb, "pci_user_write_config_dword" },
	{ 0x82fee92f, "pcie_capability_read_dword" },
	{ 0x2f0b4e38, "__mmap_lock_do_trace_released" },
	{ 0xf8a711a2, "pci_load_and_free_saved_state" },
	{ 0xd0063b6a, "pci_disable_sriov" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0xf22dfd2d, "pci_disable_device" },
	{ 0xbc766530, "pci_match_id" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x2a6508f2, "pci_check_and_unmask_intx" },
	{ 0xd52e4c1b, "pcie_set_readrq" },
	{ 0x8312b85b, "pci_walk_bus" },
	{ 0x7a1998f3, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x18ac5642, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x4acb2064, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xfa2a7f12, "pci_dev_unlock" },
	{ 0xfe087f8, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfcb900a6, "pci_free_irq_vectors" },
	{ 0x9b4a5e8d, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xe299cfd0, "__pm_runtime_idle" },
	{ 0x1b367e05, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x10528838, "pci_bus_type" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "05C55AD130A379900DE5064");

MODULE_INFO(suserelease, "SLE15-SP6");
