#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vfio_assign_device_set, 0x13376224, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x48ee7465, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x7755e32f, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0xba6e203d, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x56a67acd, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0xc1ed73e3, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x4cb3ff56, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x6b1a6592, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0xf0a630dc, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0xbb38b6cb, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0xaf746cd8, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0x1964e9b4, "");
SYMBOL_CRC(vfio_unpin_pages, 0x5e0e200d, "");
SYMBOL_CRC(vfio_dma_rw, 0xc1bcdce5, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x71f68fa4, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x5001c65d, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x06afa604, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x06a5c8df, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x305c982a, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0xabc3246e, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0xb4f5fab6, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x1b367e05, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0x63cd545b, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x759efa4b, "anon_inode_getfile" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x46b1d77c, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x66b9d409, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xd048bfe6, "cdev_device_del" },
	{ 0xa76d74a2, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7d1ee791, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x7288bda, "device_initialize" },
	{ 0x83617551, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd1f4322e, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x20a2d816, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf2b97d25, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x80529796, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd197a7a8, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbc3779d, "compat_ptr_ioctl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x75c7a4e0, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xce807a25, "up_write" },
	{ 0xada83e92, "device_add" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xecfab174, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc001d93a, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0xeaec6cf7, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe86e502a, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x9378fa66, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x3b0ff598, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xe299cfd0, "__pm_runtime_idle" },
	{ 0xf10e0e56, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcd480e8, "eventfd_ctx_fileget" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x662822f0, "iommu_group_remove_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1BDF4277672F68BD6E5FD91");

MODULE_INFO(suserelease, "SLE15-SP6");
