#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf37d3e0d, "fscache_wait_for_operation" },
	{ 0xfa7e1215, "vfs_removexattr" },
	{ 0xba0a46e5, "revert_creds" },
	{ 0x46b1d77c, "misc_deregister" },
	{ 0xcbb5cea5, "vfs_setxattr" },
	{ 0x9404305b, "fscache_try_get_volume" },
	{ 0x6016b468, "notify_change" },
	{ 0x1f38b857, "bpf_trace_run4" },
	{ 0x20250eb8, "param_ops_uint" },
	{ 0x7b1b25da, "__SCT__tp_func_fscache_access_volume" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6bcb85c3, "vfs_rename" },
	{ 0x252177bc, "lookup_one_len" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x802291c9, "fscache_get_cookie" },
	{ 0xa6257a2f, "complete" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x65fb398d, "abort_creds" },
	{ 0xedf9befa, "fscache_io_error" },
	{ 0x2cd25cff, "sync_filesystem" },
	{ 0xbc19f65d, "fscache_put_volume" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xe5dabe6c, "fscache_cookie_lookup_negative" },
	{ 0xc68a20bf, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0x5712fc66, "bpf_trace_run8" },
	{ 0x94bb4a68, "vfs_unlink" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9bb99987, "vfs_truncate" },
	{ 0xe7e6c241, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x36e26217, "__put_cred" },
	{ 0xd8c02ed7, "vfs_mkdir" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x29d0798a, "vfs_statfs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf5700f90, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xfc0b0f0e, "vfs_fallocate" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5399270, "vfs_iocb_iter_write" },
	{ 0x54a8c92e, "fscache_end_cookie_access" },
	{ 0xe555afc3, "fscache_withdraw_volume" },
	{ 0x81df9c9, "mnt_want_write" },
	{ 0xa916b694, "strnlen" },
	{ 0x99523c9b, "fscache_relinquish_cache" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa7232a82, "mnt_drop_write_file" },
	{ 0x922d6dc4, "vfs_tmpfile_open" },
	{ 0xab73bf84, "mntput" },
	{ 0x855ff652, "fscache_put_cookie" },
	{ 0xc509ccc, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x75c7a4e0, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xa07a37f0, "memchr" },
	{ 0xaa3bfe2f, "fscache_withdraw_cache" },
	{ 0xa67ce49f, "noop_llseek" },
	{ 0x15f36425, "bpf_trace_run5" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb9a6172e, "lock_rename" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0x155709b6, "vfs_getxattr" },
	{ 0x1a0d09e7, "fscache_n_write" },
	{ 0x849c27c0, "fscache_caching_failed" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x11089ac7, "_ctype" },
	{ 0x329a93d9, "security_path_mkdir" },
	{ 0xcce11a60, "fscache_n_no_write_space" },
	{ 0x5095daf1, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x79d28197, "vfs_iocb_iter_read" },
	{ 0xeaec6cf7, "misc_register" },
	{ 0x2c17c52a, "fscache_resume_after_invalidation" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc9638fe8, "open_with_fake_path" },
	{ 0xefa40716, "unlock_rename" },
	{ 0x9ffefcb2, "fscache_n_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xe143b96f, "fscache_acquire_cache" },
	{ 0x87729d28, "security_path_unlink" },
	{ 0x33dadd7a, "mnt_drop_write" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf6e21b6e, "security_inode_create" },
	{ 0xe37575f5, "bpf_trace_run3" },
	{ 0xae9c3bf4, "override_creds" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xc343af64, "fscache_add_cache" },
	{ 0xbe62f0e0, "__tracepoint_fscache_access_volume" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x984f52c1, "path_get" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xcf6c5767, "lookup_positive_unlocked" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xafa5ed67, "fscache_withdraw_cookie" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x8c2d6da7, "fscache_clearance_waiters" },
	{ 0x26011cfa, "dput" },
	{ 0xc396cd1c, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x1acb3d55, "touch_atime" },
	{ 0x5504a697, "__percpu_down_read" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x79579a75, "__get_task_ioprio" },
	{ 0xc12a4dc8, "__SCK__tp_func_fscache_access_volume" },
	{ 0x857edaa, "vfs_llseek" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x323c92c4, "rcuwait_wake_up" },
	{ 0xc514fb41, "vfs_link" },
	{ 0x832d2eb4, "prepare_kernel_cred" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xad0435a5, "security_inode_mkdir" },
	{ 0xb9cd169a, "security_path_rename" },
	{ 0x9aa9802d, "set_security_override_from_ctx" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4404d2aa, "fscache_n_no_create_space" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0x9d5b0f57, "set_create_files_as" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x90d447f3, "fscache_n_culled" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "fscache");


MODULE_INFO(srcversion, "3E25A6DD3F276442DC45EA9");

MODULE_INFO(suserelease, "SLE15-SP6");
