#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x8a6c5f1b, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0xf80451b2, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0x0b05c41c, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0xcd771345, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x63cd545b, "try_module_get" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x46b1d77c, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1f38b857, "bpf_trace_run4" },
	{ 0x8205ba61, "config_group_init" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb9da6ba5, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xb0e602eb, "memmove" },
	{ 0x43b14164, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0x75bcd6a7, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xe300d206, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x44ba192d, "config_item_get" },
	{ 0x8cbe1c9, "kernel_bind" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x10b85fc9, "posix_lock_file" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x29c1400a, "kset_unregister" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xdc164e7b, "seq_lseek" },
	{ 0xa3aabfc, "kernel_kobj" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x280df45d, "__tracepoint_sk_data_ready" },
	{ 0xd14c4278, "call_srcu" },
	{ 0xc68a20bf, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0xeeffe10c, "kernel_accept" },
	{ 0x1ffb16a, "kernel_recvmsg" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0x5712fc66, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf7254fc8, "configfs_unregister_subsystem" },
	{ 0xd3bec8a4, "wake_up_process" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xec7b5755, "locks_lock_inode_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x6f4cfd89, "sock_set_sndtimeo" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x5af58b60, "locks_init_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd197a7a8, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2e1737b5, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0xcc7d87ea, "simple_open" },
	{ 0xdc2e99bb, "configfs_register_subsystem" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3f457f33, "configfs_remove_default_groups" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa67ce49f, "noop_llseek" },
	{ 0x92f683b5, "__SCK__tp_func_sk_data_ready" },
	{ 0x545109f9, "config_group_init_type_name" },
	{ 0x15f36425, "bpf_trace_run5" },
	{ 0x907c12b, "kernel_sock_shutdown" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x68ff5714, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x452d714f, "seq_putc" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf1e046cc, "panic" },
	{ 0x70e78d91, "kobject_init_and_add" },
	{ 0xeb70fddc, "sock_sendmsg" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xdad0795a, "lock_sock_nested" },
	{ 0xc5ae7fca, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf86161df, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xc251b812, "default_llseek" },
	{ 0x190c2809, "sock_set_reuseaddr" },
	{ 0xc37eb178, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x741b12ed, "iov_iter_bvec" },
	{ 0xeaec6cf7, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4b6551ec, "kthread_create_on_node" },
	{ 0xe37575f5, "bpf_trace_run3" },
	{ 0xdd969597, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd4bf1a24, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x18cfd2c4, "config_item_init_type_name" },
	{ 0xcd7da02f, "sock_create_kern" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0xcad172c1, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40985489, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0xa1712399, "kobject_uevent" },
	{ 0x9d195ac2, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x1b034c14, "seq_puts" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xb0feed3, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xafabe1cf, "tcp_sock_set_nodelay" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x1fe26ae1, "seq_open" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8bfc9a25, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x164f46b7, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xe3949375, "sock_bind_add" },
	{ 0xe6037ca1, "locks_copy_lock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xf2b002a1, "release_sock" },
	{ 0x17e9b450, "kset_create_and_add" },
	{ 0xe371d84a, "kobject_put" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "C6A156C87DD1A5F081884B2");

MODULE_INFO(suserelease, "SLE15-SP6");
