#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeaf714f0, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x27a63c0e, "generic_fillattr" },
	{ 0x75062393, "setattr_prepare" },
	{ 0xfee54da0, "clear_nlink" },
	{ 0xaf42f02a, "vfs_fileattr_get" },
	{ 0x158d9c43, "d_instantiate" },
	{ 0x46b1d77c, "misc_deregister" },
	{ 0x6a78e2d2, "clear_inode" },
	{ 0x6016b468, "notify_change" },
	{ 0x20250eb8, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2554c1e0, "grab_cache_page_write_begin" },
	{ 0x8366bc9f, "vfs_getattr" },
	{ 0x6bcb85c3, "vfs_rename" },
	{ 0x6ca5f301, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xa6a1cc4f, "init_special_inode" },
	{ 0x78a705bd, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe1408f32, "iterate_dir" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6ac5fdac, "d_make_root" },
	{ 0x14bec4e7, "d_splice_alias" },
	{ 0x951e505, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5115306e, "read_cache_page" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xca2cb811, "iput" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xea1a2028, "__vfs_getxattr" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9c8588d2, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3b10528c, "crypto_skcipher_setkey" },
	{ 0xb69aa2b0, "fsstack_copy_attr_all" },
	{ 0xd5454527, "register_filesystem" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0x94bb4a68, "vfs_unlink" },
	{ 0xe7e6c241, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3bec8a4, "wake_up_process" },
	{ 0xd8c02ed7, "vfs_mkdir" },
	{ 0x686ea42f, "crypto_destroy_tfm" },
	{ 0xa2252b64, "__vfs_removexattr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xca372513, "inode_newsize_ok" },
	{ 0x9eaae066, "d_drop" },
	{ 0xd014622, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x73246694, "block_invalidate_folio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfe579cf7, "crypto_skcipher_decrypt" },
	{ 0x62f5da2a, "truncate_inode_pages_final" },
	{ 0x81a6e53c, "fs_kobj" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0x8fc3bb82, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc0eca8cb, "inode_init_once" },
	{ 0xd2a4b9a7, "file_write_and_wait_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x15b5037f, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7a8c265a, "vfs_get_link" },
	{ 0x75c7a4e0, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x517fcbd1, "generic_file_read_iter" },
	{ 0x88c3fbcb, "unlock_page" },
	{ 0xa67ce49f, "noop_llseek" },
	{ 0xf40422da, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xb9a6172e, "lock_rename" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xabe3b1b0, "__vfs_setxattr_locked" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9166fada, "strncpy" },
	{ 0xdc56bd5d, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x515c7c1e, "__vfs_setxattr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x44c4148, "sget" },
	{ 0x521a6bfd, "sysfs_create_group" },
	{ 0xc5ae7fca, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfc542c0f, "block_dirty_folio" },
	{ 0x6ef645e7, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x5095daf1, "kern_path" },
	{ 0x71c7ce94, "vfs_set_acl" },
	{ 0xeaec6cf7, "misc_register" },
	{ 0x429f959b, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc85d8863, "key_validate" },
	{ 0xefa40716, "unlock_rename" },
	{ 0xa2f1a82a, "vfs_rmdir" },
	{ 0x75e4770f, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xcf4df96a, "truncate_setsize" },
	{ 0x4b6551ec, "kthread_create_on_node" },
	{ 0x5738f80f, "sysfs_remove_group" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1bfa0a63, "vfs_symlink" },
	{ 0x281772a3, "super_setup_bdi" },
	{ 0xcdfb616d, "igrab" },
	{ 0x15cf4a1f, "generic_read_dir" },
	{ 0x4f144205, "d_instantiate_new" },
	{ 0xdc7b1d1c, "d_add" },
	{ 0xa0b26666, "vfs_fsync" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xe6fa51a8, "vfs_mknod" },
	{ 0xe55047a8, "init_user_ns" },
	{ 0x5b594a21, "dentry_open" },
	{ 0xe0643d2, "request_key_tag" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0x48f392fd, "__folio_put" },
	{ 0xfebf2e37, "vfs_fileattr_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40985489, "seq_printf" },
	{ 0x26011cfa, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xf4855cb2, "deactivate_locked_super" },
	{ 0x1acb3d55, "touch_atime" },
	{ 0x3e662aef, "lookup_one_len_unlocked" },
	{ 0x857edaa, "vfs_llseek" },
	{ 0x892e7e1c, "__folio_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x99b1a5d6, "filemap_splice_read" },
	{ 0xc514fb41, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xb1843a3e, "key_type_user" },
	{ 0x8e1e3af0, "kill_anon_super" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x1daab776, "iget5_locked" },
	{ 0xffc8afc8, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x3f5deaa7, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x4f756e5d, "inode_permission" },
	{ 0x7e15cab1, "mntget" },
	{ 0x15fd29e6, "kmem_cache_alloc_lru" },
	{ 0xafb17bb7, "crypto_alloc_shash" },
	{ 0xfdcd47d4, "__mark_inode_dirty" },
	{ 0x6c8dd077, "generic_file_llseek" },
	{ 0xfe99669b, "make_bad_inode" },
	{ 0x5f73d6b1, "vfs_get_acl" },
	{ 0xec91a8e2, "set_anon_super" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x575f3de8, "fsstack_copy_inode_size" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xef4a66aa, "iget_failed" },
	{ 0xb8102931, "kernel_write" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xe371d84a, "kobject_put" },
	{ 0x634738d9, "vfs_create" },
	{ 0xb2104283, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4AA075A0BDC29B59995AE65");

MODULE_INFO(suserelease, "SLE15-SP6");
