#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fscache_addremove_sem, 0x557a775f, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x8c2d6da7, "");
SYMBOL_CRC(fscache_acquire_cache, 0xe143b96f, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x99523c9b, "");
SYMBOL_CRC(fscache_add_cache, 0xc343af64, "");
SYMBOL_CRC(fscache_io_error, 0xedf9befa, "");
SYMBOL_CRC(fscache_withdraw_cache, 0xaa3bfe2f, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x54a8c92e, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0xe5dabe6c, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x2c17c52a, "");
SYMBOL_CRC(fscache_caching_failed, 0x849c27c0, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xefbdb891, "");
SYMBOL_CRC(__fscache_use_cookie, 0x24ec9dd8, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x65c2fb45, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xafa5ed67, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0xb1a04e42, "");
SYMBOL_CRC(fscache_put_cookie, 0x855ff652, "");
SYMBOL_CRC(fscache_get_cookie, 0x802291c9, "");
SYMBOL_CRC(__fscache_invalidate, 0x4aec4243, "");
SYMBOL_CRC(fscache_wait_for_operation, 0xf37d3e0d, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x8bf2a46a, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x2429a451, "");
SYMBOL_CRC(fscache_dirty_folio, 0x28702e9e, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x26d4c3d1, "");
SYMBOL_CRC(__fscache_write_to_cache, 0xa9d442db, "");
SYMBOL_CRC(__fscache_resize_cookie, 0xfe1be088, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x0853b25f, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x2ae32113, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0xbe62f0e0, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0xc12a4dc8, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x89577943, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0xb507b57b, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x9404305b, "");
SYMBOL_CRC(fscache_end_volume_access, 0x6b2da691, "");
SYMBOL_CRC(__fscache_acquire_volume, 0xe688eb6e, "");
SYMBOL_CRC(fscache_put_volume, 0xbc19f65d, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x07863758, "");
SYMBOL_CRC(fscache_withdraw_volume, 0xe555afc3, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1f38b857, "bpf_trace_run4" },
	{ 0x20250eb8, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x5620966f, "netfs_stats_show" },
	{ 0xc68a20bf, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb961692f, "remove_proc_subtree" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x15f36425, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xa069e7c2, "bpf_trace_run1" },
	{ 0x3e09357, "proc_mkdir" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3898b830, "folio_end_private_2" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe37575f5, "bpf_trace_run3" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa851f63e, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40985489, "seq_printf" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc8562577, "filemap_dirty_folio" },
	{ 0x1b034c14, "seq_puts" },
	{ 0x2ae93da, "iov_iter_xarray" },
	{ 0x61005267, "proc_create_single_data" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xb85d6d42, "proc_create_seq_private" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "EF2E4AEB72F38D1890B53C9");

MODULE_INFO(suserelease, "SLE15-SP6");
