#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x97afe18c, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x1be31968, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x0cb6aa76, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x7d90c73e, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x7c8ae53d, "");
SYMBOL_CRC(fuse_abort_conn, 0xb45a2609, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0xe98afb55, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xc68e9b20, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x2071e187, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x5dfcba95, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x35218b27, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0xae3b2a09, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x20a7ba4f, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x4aced3fb, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xaf839d33, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xe9aa6934, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0xb60a3b47, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x0da03759, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x44721618, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x4266e49d, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x6976eb6e, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x96bd1f76, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xde073d31, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xf1c3aa2c, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x10644f87, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xfd44fdc3, "");
SYMBOL_CRC(fuse_do_ioctl, 0x16788ec9, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0xaedd6ac6, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3bd25725, "super_setup_bdi_name" },
	{ 0x783457d8, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf65dc0ff, "truncate_inode_pages" },
	{ 0xfbcee671, "generic_copy_file_range" },
	{ 0x5cf16f00, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0x8138dca1, "pipe_lock" },
	{ 0x27a63c0e, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x6d681047, "vfs_fsync_range" },
	{ 0x75062393, "setattr_prepare" },
	{ 0xfee54da0, "clear_nlink" },
	{ 0xd36d0313, "file_check_and_advance_wb_err" },
	{ 0x19e2376e, "d_alloc_parallel" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x158d9c43, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x46b1d77c, "misc_deregister" },
	{ 0x4b33ea71, "make_vfsgid" },
	{ 0x6a78e2d2, "clear_inode" },
	{ 0x5c2600d2, "inode_to_bdi" },
	{ 0x95f4430f, "find_pid_ns" },
	{ 0x2554c1e0, "grab_cache_page_write_begin" },
	{ 0xb6f250f9, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8878efd2, "pipe_unlock" },
	{ 0x8210ab64, "fs_param_is_string" },
	{ 0xca25b3b6, "folio_unlock" },
	{ 0xea758bb5, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0x4401f717, "filemap_map_pages" },
	{ 0xa304a1aa, "dump_page" },
	{ 0xbcf5260e, "forget_all_cached_acls" },
	{ 0xa6a1cc4f, "init_special_inode" },
	{ 0x78a705bd, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x764b8e9, "task_active_pid_ns" },
	{ 0xdb50c188, "iov_iter_single_seg_count" },
	{ 0x248fcab7, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa4c4b3a7, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2b6a5724, "d_alloc_name" },
	{ 0xdd8d28e3, "replace_page_cache_folio" },
	{ 0x147d1a8d, "inode_query_iversion" },
	{ 0x8ae2367f, "iov_iter_advance" },
	{ 0xf1e062cc, "kill_fasync" },
	{ 0x6ac5fdac, "d_make_root" },
	{ 0x1b74c712, "sb_set_blocksize" },
	{ 0x866bf687, "fget" },
	{ 0x36dcbfa9, "simple_fill_super" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x2cd25cff, "sync_filesystem" },
	{ 0x58924d17, "noop_dirty_folio" },
	{ 0xe1fc6b78, "sget_fc" },
	{ 0x7a559a5, "param_set_uint" },
	{ 0x14bec4e7, "d_splice_alias" },
	{ 0xb88159a7, "iov_iter_get_pages2" },
	{ 0x24c4afca, "current_time" },
	{ 0xb7db38cd, "direct_write_fallback" },
	{ 0x69acdf38, "memcpy" },
	{ 0x838b82d2, "page_get_link" },
	{ 0xa7a8b53, "generic_permission" },
	{ 0xef49a49e, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x3068af19, "invalidate_inode_pages2_range" },
	{ 0x10b85fc9, "posix_lock_file" },
	{ 0x197fdac7, "finish_open" },
	{ 0x66affa9f, "dax_iomap_rw" },
	{ 0xca2cb811, "iput" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xa5fa6a90, "logfc" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0x5ebb4899, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd183a0, "init_pid_ns" },
	{ 0x9bcbfd22, "dax_iomap_fault" },
	{ 0x3558b8e4, "iov_iter_init" },
	{ 0xee45bccd, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x207db94a, "sysfs_create_mount_point" },
	{ 0x9c8588d2, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd5454527, "register_filesystem" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0x498a58c7, "folio_add_lru" },
	{ 0xb42f4d5f, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x93f1bfd7, "sync_inode_metadata" },
	{ 0x6506fb5b, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5f984413, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6cf7b127, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x3407af8d, "get_tree_nodev" },
	{ 0xf2e559b8, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xec7b5755, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xa9c328ff, "fs_param_is_u32" },
	{ 0xca372513, "inode_newsize_ok" },
	{ 0x9eaae066, "d_drop" },
	{ 0x1a2be771, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xd014622, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xe2231071, "bdi_put" },
	{ 0x456874bf, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x57a21f64, "param_get_uint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x8094593, "make_kuid" },
	{ 0x62f5da2a, "truncate_inode_pages_final" },
	{ 0x81a6e53c, "fs_kobj" },
	{ 0x620cc381, "__filemap_set_wb_err" },
	{ 0x207ac374, "simple_dir_operations" },
	{ 0x8fc3bb82, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x6e55eab6, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x38bb5dbb, "setattr_should_drop_suidgid" },
	{ 0x68fcd870, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf358b5cf, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0xed76d67, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc0eca8cb, "inode_init_once" },
	{ 0xd2a4b9a7, "file_write_and_wait_range" },
	{ 0xbc3779d, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5df06213, "nosteal_pipe_buf_ops" },
	{ 0x6594e0e4, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x685c8ba9, "inode_nohighmem" },
	{ 0x863bb0fb, "release_pages" },
	{ 0x91e0c3ab, "generic_file_direct_write" },
	{ 0x75c7a4e0, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x517fcbd1, "generic_file_read_iter" },
	{ 0x95a8dcee, "inode_maybe_inc_iversion" },
	{ 0x88c3fbcb, "unlock_page" },
	{ 0x1d9d617, "inc_node_page_state" },
	{ 0xcd6b42ae, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0x654fc7d1, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x67a2c373, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x6f9302ea, "dec_node_page_state" },
	{ 0x9c6a1193, "write_cache_pages" },
	{ 0x14cc2a38, "file_update_time" },
	{ 0xf40422da, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xb2db0acf, "from_kgid" },
	{ 0xa3b086c8, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x206994b7, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xe724ec95, "write_inode_now" },
	{ 0x33e6f80c, "dax_writeback_mapping_range" },
	{ 0xd8095bce, "d_obtain_alias" },
	{ 0xbb401116, "file_modified" },
	{ 0xf12cb9d6, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4e216fde, "finish_no_open" },
	{ 0xfda6df7a, "__folio_start_writeback" },
	{ 0x8addc57a, "kill_litter_super" },
	{ 0xdcef4060, "folio_end_writeback" },
	{ 0x6ef645e7, "from_kuid" },
	{ 0x667df7e8, "current_in_userns" },
	{ 0x877340b1, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0x5fcac82c, "sysfs_remove_mount_point" },
	{ 0xeaec6cf7, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xffb20f1f, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x9bdf3e09, "d_delete" },
	{ 0x986b778c, "from_kgid_munged" },
	{ 0xdc6cba05, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x75e4770f, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0x3b3bf2a1, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x825f7e79, "nonseekable_open" },
	{ 0x8e9b1dde, "dax_finish_sync_fault" },
	{ 0xa2ca87b2, "set_page_dirty" },
	{ 0x2e50a608, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x74a09b35, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2fae74e6, "noop_direct_IO" },
	{ 0xcdfb616d, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x15cf4a1f, "generic_read_dir" },
	{ 0xdc7b1d1c, "d_add" },
	{ 0x67a9e807, "set_page_writeback" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0xe55047a8, "init_user_ns" },
	{ 0x1e556925, "d_find_alias" },
	{ 0x418a2c35, "invalidate_inode_pages2" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0x75a16d04, "inc_nlink" },
	{ 0x48f392fd, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c623b73, "get_tree_bdev" },
	{ 0x1d0bb732, "set_anon_super_fc" },
	{ 0x40985489, "seq_printf" },
	{ 0x26011cfa, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x33c9b6d9, "generic_delete_inode" },
	{ 0xf4855cb2, "deactivate_locked_super" },
	{ 0x1acb3d55, "touch_atime" },
	{ 0x5504a697, "__percpu_down_read" },
	{ 0x408f812, "__d_lookup_unhash_wake" },
	{ 0x7d118ebe, "set_page_dirty_lock" },
	{ 0xb5f7c617, "pid_nr_ns" },
	{ 0x4f9e34d3, "generic_file_open" },
	{ 0x6c385c61, "truncate_inode_pages_range" },
	{ 0x5941e1d4, "__put_user_ns" },
	{ 0x892e7e1c, "__folio_lock" },
	{ 0xc8562577, "filemap_dirty_folio" },
	{ 0x29918d87, "pagecache_get_page" },
	{ 0x1b034c14, "seq_puts" },
	{ 0xc4e23322, "stream_open" },
	{ 0x323c92c4, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0xbc178b2, "add_to_pipe" },
	{ 0x1f69998e, "__fs_parse" },
	{ 0x1f2bc81c, "dax_layout_busy_page_range" },
	{ 0x99b1a5d6, "filemap_splice_read" },
	{ 0xfbd1886e, "posix_acl_to_xattr" },
	{ 0xad955663, "dget_parent" },
	{ 0x8e1e3af0, "kill_anon_super" },
	{ 0x256e8707, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x1daab776, "iget5_locked" },
	{ 0x1e09aedd, "security_dentry_init_security" },
	{ 0xffc8afc8, "filemap_write_and_wait_range" },
	{ 0x41455a29, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x4250c12a, "generic_write_checks" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0x315e386a, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7e15cab1, "mntget" },
	{ 0x15fd29e6, "kmem_cache_alloc_lru" },
	{ 0x929c9b3d, "filemap_fault" },
	{ 0xd595b2e5, "d_invalidate" },
	{ 0xfdcd47d4, "__mark_inode_dirty" },
	{ 0x6c8dd077, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xaf096065, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x79475980, "drop_nlink" },
	{ 0xce96a98f, "fault_in_iov_iter_readable" },
	{ 0xda618ebb, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xd9945ad7, "bdi_set_max_ratio" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xe371d84a, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "70DCB6A1292B37026556F4F");

MODULE_INFO(suserelease, "SLE15-SP6");
