#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x5018f0b0, "generic_block_bmap" },
	{ 0xeb9eef52, "match_uint" },
	{ 0xa6a1cc4f, "init_special_inode" },
	{ 0x78a705bd, "unregister_filesystem" },
	{ 0x6ac5fdac, "d_make_root" },
	{ 0x1b74c712, "sb_set_blocksize" },
	{ 0x2cd25cff, "sync_filesystem" },
	{ 0x14bec4e7, "d_splice_alias" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xca2cb811, "iput" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xd5454527, "register_filesystem" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1a2be771, "kill_block_super" },
	{ 0xd014622, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc6be7d69, "load_nls" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x8094593, "make_kuid" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc0eca8cb, "inode_init_once" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xead9bfb6, "cdrom_read_tocentry" },
	{ 0xbf6e8843, "__brelse" },
	{ 0x685c8ba9, "inode_nohighmem" },
	{ 0x88c3fbcb, "unlock_page" },
	{ 0x4e3567f7, "match_int" },
	{ 0xcfd037f7, "generic_ro_fops" },
	{ 0xa07a37f0, "memchr" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x235dee91, "__bh_read_batch" },
	{ 0x6e543cdb, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf40422da, "set_nlink" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0xde7bffaa, "cdrom_multisession" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd8095bce, "d_obtain_alias" },
	{ 0x48051b1a, "__bread_gfp" },
	{ 0x11089ac7, "_ctype" },
	{ 0x345edc38, "mpage_read_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xffb20f1f, "make_kgid" },
	{ 0x986b778c, "from_kgid_munged" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe2d050e4, "__getblk_gfp" },
	{ 0x999e8297, "vfree" },
	{ 0x15cf4a1f, "generic_read_dir" },
	{ 0x1b898712, "page_symlink_inode_operations" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6784de8b, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4b807871, "mpage_readahead" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xe55047a8, "init_user_ns" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0x44e9a829, "match_token" },
	{ 0x48f392fd, "__folio_put" },
	{ 0x40985489, "seq_printf" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x29918d87, "pagecache_get_page" },
	{ 0x1b034c14, "seq_puts" },
	{ 0x256e8707, "from_kuid_munged" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x1daab776, "iget5_locked" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x15fd29e6, "kmem_cache_alloc_lru" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6c8dd077, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2eaba7da, "unload_nls" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0xb11ca897, "sb_min_blocksize" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xef4a66aa, "iget_failed" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "cdrom");


MODULE_INFO(srcversion, "E71A7AAD3B9787BAC0BDA5E");

MODULE_INFO(suserelease, "SLE15-SP6");
