#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(jbd2__journal_start, 0x2a8082dc, "");
SYMBOL_CRC(jbd2_journal_start, 0x624dccda, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x2eba831e, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0xf1923b22, "");
SYMBOL_CRC(jbd2__journal_restart, 0x48a5f529, "");
SYMBOL_CRC(jbd2_journal_restart, 0x3ed052eb, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0xaadc8fed, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0xebcfce45, "");
SYMBOL_CRC(jbd2_journal_extend, 0xd40fa8fc, "");
SYMBOL_CRC(jbd2_journal_stop, 0x9eec6803, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x18fb8da6, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xd175c92c, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x62009e4d, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x189aecb2, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x9b34ebd2, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x4845126d, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xabc55a9f, "");
SYMBOL_CRC(jbd2_journal_forget, 0x8af92b01, "");
SYMBOL_CRC(jbd2_journal_flush, 0xe6a2a343, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x4e127a9d, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xa8cf9dd9, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x7e3caa2f, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x1b91452b, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x285c03f2, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xe47d4a63, "");
SYMBOL_CRC(jbd2_journal_load, 0xba7e7c44, "");
SYMBOL_CRC(jbd2_journal_destroy, 0xfc4b127a, "");
SYMBOL_CRC(jbd2_journal_abort, 0x04ee5d58, "");
SYMBOL_CRC(jbd2_journal_errno, 0xf38d2c93, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xffbfe5cb, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x7e09bb45, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x95898ab5, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x55cd3b98, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x6df052cb, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x196e6032, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x2ec8fdf6, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0xc436a4b0, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0xc4ff53b2, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x29dd15f1, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xd583e8c9, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x3115db54, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x3bc5d184, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x505a0d6b, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x366e9a05, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xd07f5fdc, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xd0e0c90b, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0xd9c477cb, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0xa2f3f744, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0xf6a7074a, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x984642ca, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x873edf43, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x4e2cc769, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0xbdaefed3, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x55c4c8ac, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xef430928, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x2538bc07, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x2776258f, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x4adecb83, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x2ea190ed, "bh_uptodate_or_lock" },
	{ 0xdf01f86c, "blk_start_plug" },
	{ 0x1f38b857, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xca25b3b6, "folio_unlock" },
	{ 0x43b14164, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xe300d206, "bpf_trace_run6" },
	{ 0x134ec2e2, "mark_buffer_dirty" },
	{ 0xd93a5bc6, "__find_get_block" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0xa4c4b3a7, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0xbeeb4269, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbe5b6243, "write_dirty_buffer" },
	{ 0x14a11a4b, "register_shrinker" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xca2cb811, "iput" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xdc164e7b, "seq_lseek" },
	{ 0xfaef65f2, "blockdev_superblock" },
	{ 0x5a45dd6c, "proc_create_data" },
	{ 0xc68a20bf, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0x5712fc66, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x16b08d70, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0xe39e904a, "alloc_buffer_head" },
	{ 0xd3bec8a4, "wake_up_process" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x686ea42f, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x64a31445, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x72816317, "try_to_free_buffers" },
	{ 0x723033bb, "sync_blockdev" },
	{ 0xf0779249, "free_buffer_head" },
	{ 0x17d078b, "unregister_shrinker" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0x419eee3e, "blk_finish_plug" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbf6e8843, "__brelse" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x235dee91, "__bh_read_batch" },
	{ 0x15f36425, "bpf_trace_run5" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x6e543cdb, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0xc1168576, "__bh_read" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x491ae89d, "blkdev_issue_zeroout" },
	{ 0xe8116aa7, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x7a1c71a9, "crypto_shash_update" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7d5527a, "freezing_slow_path" },
	{ 0xa069e7c2, "bpf_trace_run1" },
	{ 0x3e09357, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x565d922b, "set_bh_page" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4b6551ec, "kthread_create_on_node" },
	{ 0xe37575f5, "bpf_trace_run3" },
	{ 0xdd969597, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3fc0f11a, "unlock_buffer" },
	{ 0xe2d050e4, "__getblk_gfp" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x48f392fd, "__folio_put" },
	{ 0xa851f63e, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40985489, "seq_printf" },
	{ 0x8b69829a, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6c385c61, "truncate_inode_pages_range" },
	{ 0xf0d6d74a, "blkdev_issue_flush" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe7f20c87, "end_buffer_write_sync" },
	{ 0x1fe26ae1, "seq_open" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x3f5deaa7, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xafb17bb7, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7410aba2, "strreplace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xb1750a40, "blkdev_issue_discard" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B2773F13C189A052E588723");

MODULE_INFO(suserelease, "SLE15-SP6");
