#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xeb986396, "pnfs_register_layoutdriver" },
	{ 0x63cd545b, "try_module_get" },
	{ 0x4e0fb00a, "pnfs_ld_read_done" },
	{ 0xdf01f86c, "blk_start_plug" },
	{ 0xd25e3e12, "pnfs_set_lo_fail" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe6d7e5b1, "nfs4_init_deviceid_node" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4d9d3fc2, "nfs_pageio_reset_read_mds" },
	{ 0x464d90e9, "vmalloc_to_page" },
	{ 0xd2b8494a, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb51a3724, "rpc_pipefs_notifier_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xbdf73fd4, "pnfs_generic_pg_init_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xd54a2e4e, "pnfs_generic_pg_writepages" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0xee5baf85, "page_cache_next_miss" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x81e00109, "pnfs_generic_pg_readpages" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8b5e2e8, "rpc_put_sb_net" },
	{ 0x9e7ae3a4, "register_pernet_subsys" },
	{ 0xc1ad8bdd, "nfs_dreq_bytes_left_offset" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xb505b8ef, "blkdev_put" },
	{ 0x30f7664a, "rpc_destroy_pipe_data" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x387e1639, "rpc_pipefs_notifier_register" },
	{ 0x419eee3e, "blk_finish_plug" },
	{ 0xbaef65b6, "submit_bio" },
	{ 0x71bbf8be, "rpc_pipe_generic_upcall" },
	{ 0xd197a7a8, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc548bf53, "bio_put" },
	{ 0xcda6c81d, "nfs4_put_deviceid_node" },
	{ 0x2fa01fff, "blkdev_get_by_dev" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2f209be4, "rpc_d_lookup_sb" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbaae7982, "nfs_pageio_reset_write_mds" },
	{ 0xc752a63, "blkdev_get_by_path" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9446e221, "nfs4_find_get_deviceid" },
	{ 0x23153808, "bio_add_page" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd5061a64, "unregister_pernet_subsys" },
	{ 0x9ae0de8b, "rpc_queue_upcall" },
	{ 0x4fec3103, "xdr_init_decode_pages" },
	{ 0xfb578fc5, "memset" },
	{ 0x5a81493f, "pnfs_generic_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31ccb2fa, "pnfs_generic_pg_cleanup" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc0cb3ae9, "rpc_get_sb_net" },
	{ 0xece784c2, "rb_first" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc1f42c05, "pnfs_generic_pg_test" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6b0b4703, "rpc_mkpipe_dentry" },
	{ 0xfdf252d2, "rpc_mkpipe_data" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfe87b26f, "nfs4_mark_deviceid_unavailable" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x48f392fd, "__folio_put" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x7990fae4, "nfs4_delete_deviceid" },
	{ 0x56470118, "__warn_printk" },
	{ 0x26011cfa, "dput" },
	{ 0x14e346d3, "pnfs_error_mark_layout_for_return" },
	{ 0x7454e5b7, "pnfs_ld_write_done" },
	{ 0x611da1c5, "rpc_unlink" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x94bc69ac, "bio_alloc_bioset" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xddf38026, "fs_bio_set" },
	{ 0xec267d22, "pnfs_generic_pg_init_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4f2acdc4, "pnfs_unregister_layoutdriver" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "nfsv4,nfs,sunrpc");


MODULE_INFO(srcversion, "CA2D7F98B464570AF761410");

MODULE_INFO(suserelease, "SLE15-SP6");
