#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xeb986396, "pnfs_register_layoutdriver" },
	{ 0xb9a05a3a, "pnfs_generic_ds_cinfo_release_lseg" },
	{ 0xde265e41, "nfs4_mark_deviceid_available" },
	{ 0x613cd3f2, "nfs_writeback_update_inode" },
	{ 0x20250eb8, "param_ops_uint" },
	{ 0x73544d3b, "__tracepoint_pnfs_mds_fallback_pg_init_write" },
	{ 0xe6d7e5b1, "nfs4_init_deviceid_node" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4aaa7de2, "__tracepoint_pnfs_mds_fallback_write_pagelist" },
	{ 0x4d9d3fc2, "nfs_pageio_reset_read_mds" },
	{ 0xe3244c3d, "xdr_write_pages" },
	{ 0x41adba4e, "pnfs_generic_ds_cinfo_destroy" },
	{ 0x3f6d594a, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x920baadc, "__tracepoint_nfs4_pnfs_write" },
	{ 0xd2b8494a, "xdr_inline_decode" },
	{ 0x3ab43c2a, "rpc_count_iostats_metrics" },
	{ 0x71bc40e3, "rpc_wake_up" },
	{ 0xed8ba311, "pnfs_write_done_resend_to_mds" },
	{ 0x9107216a, "__tracepoint_nfs4_pnfs_read" },
	{ 0x10487e31, "__tracepoint_ff_layout_write_error" },
	{ 0x1bff03b, "pnfs_free_commit_array" },
	{ 0x69acdf38, "memcpy" },
	{ 0x41d2ffc8, "pnfs_generic_pg_check_layout" },
	{ 0x37a0cba, "kfree" },
	{ 0xd8325664, "pnfs_generic_pg_check_range" },
	{ 0x9da95e45, "pnfs_generic_prepare_to_resend_writes" },
	{ 0xf32fa2b7, "__SCT__tp_func_ff_layout_write_error" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xd54a2e4e, "pnfs_generic_pg_writepages" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0x7e42bd3f, "__SCT__tp_func_ff_layout_read_error" },
	{ 0x2b16e909, "__SCT__tp_func_nfs4_pnfs_commit_ds" },
	{ 0x633b5880, "rpc_restart_call_prepare" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x63826d35, "__SCT__tp_func_nfs4_pnfs_read" },
	{ 0x5b21bb63, "__tracepoint_ff_layout_commit_error" },
	{ 0x5b885007, "pnfs_read_done_resend_to_mds" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x38ef429d, "pnfs_add_commit_array" },
	{ 0x81e00109, "pnfs_generic_pg_readpages" },
	{ 0xf999267e, "pnfs_generic_commit_release" },
	{ 0xbd4bd41f, "rpc_clnt_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x36e26217, "__put_cred" },
	{ 0xc069d898, "rpc_cancel_tasks" },
	{ 0xcc21ce5c, "__SCT__tp_func_ff_layout_commit_error" },
	{ 0x930a94fd, "__SCT__tp_func_pnfs_mds_fallback_write_done" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6085edbd, "nfs_map_string_to_numeric" },
	{ 0x92997ed8, "_printk" },
	{ 0x1f553afe, "nfs4_test_deviceid_unavailable" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8094593, "make_kuid" },
	{ 0x2b37e270, "__tracepoint_pnfs_mds_fallback_read_pagelist" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x69d3558d, "pnfs_generic_rw_release" },
	{ 0x90f70209, "pnfs_generic_scan_commit_lists" },
	{ 0x50bcdd36, "init_task" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5ab4e6f2, "pnfs_set_layoutcommit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xed15fb41, "nfs4_print_deviceid" },
	{ 0x659a48ff, "pnfs_report_layoutstat" },
	{ 0xcda6c81d, "nfs4_put_deviceid_node" },
	{ 0x77a14fb3, "pnfs_put_lseg" },
	{ 0xdf5fd11e, "pnfs_layoutcommit_inode" },
	{ 0x11b9c4a4, "nfs4_pnfs_ds_add" },
	{ 0x51abee3a, "pnfs_destroy_layout" },
	{ 0x920897ec, "pnfs_layout_mark_request_commit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbaae7982, "nfs_pageio_reset_write_mds" },
	{ 0xf6f22401, "rpc_max_payload" },
	{ 0x9c516b69, "nfs4_find_or_create_ds_client" },
	{ 0xb2db0acf, "from_kgid" },
	{ 0xd9d7426c, "__SCK__tp_func_nfs4_pnfs_commit_ds" },
	{ 0x9446e221, "nfs4_find_get_deviceid" },
	{ 0xbe8f0cda, "pnfs_read_resend_pnfs" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xea73da60, "__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count" },
	{ 0x18e75751, "__SCT__tp_func_pnfs_mds_fallback_write_pagelist" },
	{ 0x6a925097, "__SCT__tp_func_pnfs_mds_fallback_read_pagelist" },
	{ 0x1e1ad5ac, "rpc_call_start" },
	{ 0x96c4643f, "__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count" },
	{ 0xe50de552, "__SCK__tp_func_ff_layout_read_error" },
	{ 0xd251617a, "__tracepoint_pnfs_mds_fallback_read_done" },
	{ 0x5121b66a, "__SCK__tp_func_pnfs_mds_fallback_read_done" },
	{ 0xadeca730, "__SCT__tp_func_nfs4_pnfs_write" },
	{ 0x6ef645e7, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xfbed47de, "__tracepoint_ff_layout_read_error" },
	{ 0x4fec3103, "xdr_init_decode_pages" },
	{ 0x1b85ccf2, "__SCK__tp_func_pnfs_mds_fallback_write_done" },
	{ 0xa4cf1b1d, "pnfs_generic_layout_insert_lseg" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x7ec7a5e5, "rpc_delay" },
	{ 0xe495b92, "pnfs_generic_write_commit_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31ccb2fa, "pnfs_generic_pg_cleanup" },
	{ 0x60af1bf8, "rpc_exit" },
	{ 0xffb20f1f, "make_kgid" },
	{ 0x72c3c742, "__SCK__tp_func_nfs4_pnfs_read" },
	{ 0x6a5eb444, "__SCT__tp_func_pnfs_mds_fallback_pg_init_read" },
	{ 0xa4e9ee22, "pnfs_update_layout" },
	{ 0xc1f42c05, "pnfs_generic_pg_test" },
	{ 0xb6bff697, "xdr_reserve_space" },
	{ 0x8872b1f1, "nfs4_sequence_done" },
	{ 0xcdbda9d0, "pnfs_generic_recover_commit_reqs" },
	{ 0xa75dc6c0, "__SCK__tp_func_nfs4_pnfs_write" },
	{ 0xda684cc9, "pnfs_generic_commit_pagelist" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc4c64420, "nfs_initiate_pgio" },
	{ 0xfb27aa90, "nfs4_decode_mp_ds_addr" },
	{ 0x3887a6fe, "__tracepoint_nfs4_pnfs_commit_ds" },
	{ 0xfe87b26f, "nfs4_mark_deviceid_unavailable" },
	{ 0xe55047a8, "init_user_ns" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0xa8663d36, "__SCK__tp_func_pnfs_mds_fallback_read_pagelist" },
	{ 0x48f392fd, "__folio_put" },
	{ 0xf4cfb000, "__SCK__tp_func_ff_layout_commit_error" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7990fae4, "nfs4_delete_deviceid" },
	{ 0x54bef45, "layoutstats_timer" },
	{ 0x6b1ac41, "__tracepoint_pnfs_mds_fallback_write_done" },
	{ 0xc4ac36ec, "nfs4_pnfs_ds_put" },
	{ 0xf4585198, "__SCK__tp_func_ff_layout_write_error" },
	{ 0xf005927d, "__SCK__tp_func_pnfs_mds_fallback_pg_init_write" },
	{ 0x14e346d3, "pnfs_error_mark_layout_for_return" },
	{ 0x47cdc95a, "nfs_initiate_commit" },
	{ 0x42225f36, "__SCK__tp_func_pnfs_mds_fallback_pg_init_read" },
	{ 0xc078de21, "__tracepoint_pnfs_mds_fallback_pg_init_read" },
	{ 0x832d2eb4, "prepare_kernel_cred" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xd596c898, "__SCK__tp_func_pnfs_mds_fallback_write_pagelist" },
	{ 0x8e7d988a, "nfs4_setup_sequence" },
	{ 0x26739b88, "nfs42_proc_layouterror" },
	{ 0x754d539c, "strlen" },
	{ 0x44c5e0c, "pnfs_generic_clear_request_commit" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa8151687, "__tracepoint_pnfs_mds_fallback_pg_get_mirror_count" },
	{ 0x1390d779, "nfs4_pnfs_ds_connect" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xad1aa2b5, "xdr_init_encode" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xdeb5edce, "__SCT__tp_func_pnfs_mds_fallback_pg_init_write" },
	{ 0xc361c3c5, "__SCT__tp_func_pnfs_mds_fallback_read_done" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd6be683c, "pnfs_alloc_commit_array" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x5c99afc2, "pnfs_nfs_generic_sync" },
	{ 0x1f03fa78, "nfs4_schedule_session_recovery" },
	{ 0x4f2acdc4, "pnfs_unregister_layoutdriver" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "nfsv4,nfs,sunrpc");


MODULE_INFO(srcversion, "F538D7D42D2A283E5B55D8A");

MODULE_INFO(suserelease, "SLE15-SP6");
