#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2ea190ed, "bh_uptodate_or_lock" },
	{ 0x4049046a, "inode_init_owner" },
	{ 0x989829b2, "filemap_fdatawrite" },
	{ 0x27a63c0e, "generic_fillattr" },
	{ 0x75062393, "setattr_prepare" },
	{ 0x6d681047, "vfs_fsync_range" },
	{ 0xf812cff6, "memscan" },
	{ 0x421d47f6, "iget_locked" },
	{ 0xfee54da0, "clear_nlink" },
	{ 0x5018f0b0, "generic_block_bmap" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x158d9c43, "d_instantiate" },
	{ 0x6a78e2d2, "clear_inode" },
	{ 0x2554c1e0, "grab_cache_page_write_begin" },
	{ 0x8d73278e, "hex_asc_upper" },
	{ 0xf19dcf8d, "discard_new_inode" },
	{ 0xca25b3b6, "folio_unlock" },
	{ 0xeb9eef52, "match_uint" },
	{ 0xb0e602eb, "memmove" },
	{ 0xea758bb5, "new_inode" },
	{ 0x4401f717, "filemap_map_pages" },
	{ 0xa6a1cc4f, "init_special_inode" },
	{ 0x78a705bd, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2875a315, "utf32_to_utf8" },
	{ 0x134ec2e2, "mark_buffer_dirty" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xeaeb616e, "__block_write_begin" },
	{ 0x147d1a8d, "inode_query_iversion" },
	{ 0xbb425810, "__blockdev_direct_IO" },
	{ 0x6ac5fdac, "d_make_root" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x1b74c712, "sb_set_blocksize" },
	{ 0xb47ba389, "block_truncate_page" },
	{ 0x2cd25cff, "sync_filesystem" },
	{ 0x14bec4e7, "d_splice_alias" },
	{ 0x24c4afca, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb67a26, "ihold" },
	{ 0x838b82d2, "page_get_link" },
	{ 0x37a0cba, "kfree" },
	{ 0xea1fa628, "generic_file_fsync" },
	{ 0x5115306e, "read_cache_page" },
	{ 0x197fdac7, "finish_open" },
	{ 0xca2cb811, "iput" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0x5ebb4899, "iter_file_splice_write" },
	{ 0xd5454527, "register_filesystem" },
	{ 0xc6241965, "d_tmpfile" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1a2be771, "kill_block_super" },
	{ 0xd014622, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x73246694, "block_invalidate_folio" },
	{ 0xed67eb08, "generic_write_end" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc6be7d69, "load_nls" },
	{ 0x8094593, "make_kuid" },
	{ 0x62f5da2a, "truncate_inode_pages_final" },
	{ 0xaef7f643, "inode_sub_bytes" },
	{ 0xc8394046, "wait_for_stable_page" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7171121c, "overflowgid" },
	{ 0xb99cd118, "invalidate_inode_buffers" },
	{ 0x38943b09, "block_commit_write" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc0eca8cb, "inode_init_once" },
	{ 0x5d4a73b7, "cdrom_get_last_written" },
	{ 0x94bf03ca, "utf8_to_utf32" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xbf6e8843, "__brelse" },
	{ 0x685c8ba9, "inode_nohighmem" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x517fcbd1, "generic_file_read_iter" },
	{ 0x95a8dcee, "inode_maybe_inc_iversion" },
	{ 0x88c3fbcb, "unlock_page" },
	{ 0x4e3567f7, "match_int" },
	{ 0x654fc7d1, "truncate_pagecache" },
	{ 0xbf3f2c1f, "sync_dirty_buffer" },
	{ 0x8f450798, "insert_inode_locked" },
	{ 0x235dee91, "__bh_read_batch" },
	{ 0x77a5a5d7, "setattr_copy" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x9c6a1193, "write_cache_pages" },
	{ 0x14cc2a38, "file_update_time" },
	{ 0xf40422da, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb2db0acf, "from_kgid" },
	{ 0xc1168576, "__bh_read" },
	{ 0x9166fada, "strncpy" },
	{ 0xde7bffaa, "cdrom_multisession" },
	{ 0xd77e839f, "mpage_writepages" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd8095bce, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x48051b1a, "__bread_gfp" },
	{ 0xfc542c0f, "block_dirty_folio" },
	{ 0xf08833a6, "inode_add_bytes" },
	{ 0x345edc38, "mpage_read_folio" },
	{ 0x6ef645e7, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x9c3bdfc2, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xffb20f1f, "make_kgid" },
	{ 0x668b19a1, "down_read" },
	{ 0xcf4df96a, "truncate_setsize" },
	{ 0xa2ca87b2, "set_page_dirty" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3fc0f11a, "unlock_buffer" },
	{ 0xe2d050e4, "__getblk_gfp" },
	{ 0x15cf4a1f, "generic_read_dir" },
	{ 0x4f144205, "d_instantiate_new" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6784de8b, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4b807871, "mpage_readahead" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xe55047a8, "init_user_ns" },
	{ 0x75a16d04, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x48f392fd, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40985489, "seq_printf" },
	{ 0x1acb3d55, "touch_atime" },
	{ 0x5504a697, "__percpu_down_read" },
	{ 0x8b69829a, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x4f9e34d3, "generic_file_open" },
	{ 0x892e7e1c, "__folio_lock" },
	{ 0x29918d87, "pagecache_get_page" },
	{ 0xab72317, "is_bad_inode" },
	{ 0x1b034c14, "seq_puts" },
	{ 0x323c92c4, "rcuwait_wake_up" },
	{ 0x329fd287, "block_write_begin" },
	{ 0x99b1a5d6, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xab99b302, "__generic_file_write_iter" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x4250c12a, "generic_write_checks" },
	{ 0x4f756e5d, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x15fd29e6, "kmem_cache_alloc_lru" },
	{ 0x929c9b3d, "filemap_fault" },
	{ 0xfdcd47d4, "__mark_inode_dirty" },
	{ 0x6c8dd077, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfe99669b, "make_bad_inode" },
	{ 0x2eaba7da, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0xd7ab1610, "mark_buffer_dirty_inode" },
	{ 0x79475980, "drop_nlink" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xef4a66aa, "iget_failed" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "cdrom,crc-itu-t");


MODULE_INFO(srcversion, "B8E798EB4476B090F2FE7CC");

MODULE_INFO(suserelease, "SLE15-SP6");
