#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2ea190ed, "bh_uptodate_or_lock" },
	{ 0x4049046a, "inode_init_owner" },
	{ 0x75062393, "setattr_prepare" },
	{ 0x421d47f6, "iget_locked" },
	{ 0xfee54da0, "clear_nlink" },
	{ 0x5018f0b0, "generic_block_bmap" },
	{ 0x158d9c43, "d_instantiate" },
	{ 0x6a78e2d2, "clear_inode" },
	{ 0xfbd9e6f8, "generic_fh_to_dentry" },
	{ 0xf19dcf8d, "discard_new_inode" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xea758bb5, "new_inode" },
	{ 0x32b834ca, "__inode_add_bytes" },
	{ 0x6cc7f12f, "__inode_sub_bytes" },
	{ 0xa6a1cc4f, "init_special_inode" },
	{ 0x78a705bd, "unregister_filesystem" },
	{ 0x134ec2e2, "mark_buffer_dirty" },
	{ 0xeaeb616e, "__block_write_begin" },
	{ 0xe6127d3b, "inode_needs_sync" },
	{ 0x147d1a8d, "inode_query_iversion" },
	{ 0x6ac5fdac, "d_make_root" },
	{ 0xbeeb4269, "__bforget" },
	{ 0x1b74c712, "sb_set_blocksize" },
	{ 0xb47ba389, "block_truncate_page" },
	{ 0xbe5b6243, "write_dirty_buffer" },
	{ 0x2cd25cff, "sync_filesystem" },
	{ 0x14bec4e7, "d_splice_alias" },
	{ 0x24c4afca, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb67a26, "ihold" },
	{ 0x37a0cba, "kfree" },
	{ 0xea1fa628, "generic_file_fsync" },
	{ 0x5115306e, "read_cache_page" },
	{ 0xca2cb811, "iput" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0x9c8588d2, "generic_file_write_iter" },
	{ 0xd5454527, "register_filesystem" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0x93f1bfd7, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1a2be771, "kill_block_super" },
	{ 0xd014622, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x73246694, "block_invalidate_folio" },
	{ 0xed67eb08, "generic_write_end" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8094593, "make_kuid" },
	{ 0x620587ed, "create_empty_buffers" },
	{ 0x62f5da2a, "truncate_inode_pages_final" },
	{ 0xe4f37819, "block_write_end" },
	{ 0xaef7f643, "inode_sub_bytes" },
	{ 0x9924576, "block_write_full_page" },
	{ 0x8fc3bb82, "generic_file_mmap" },
	{ 0xb99cd118, "invalidate_inode_buffers" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc0eca8cb, "inode_init_once" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbf6e8843, "__brelse" },
	{ 0x685c8ba9, "inode_nohighmem" },
	{ 0x517fcbd1, "generic_file_read_iter" },
	{ 0x95a8dcee, "inode_maybe_inc_iversion" },
	{ 0x88c3fbcb, "unlock_page" },
	{ 0x9a2bd365, "simple_symlink_inode_operations" },
	{ 0x150cfd25, "kmem_cache_create_usercopy" },
	{ 0x654fc7d1, "truncate_pagecache" },
	{ 0xbf3f2c1f, "sync_dirty_buffer" },
	{ 0x8f450798, "insert_inode_locked" },
	{ 0xcd586c20, "page_symlink" },
	{ 0x77a5a5d7, "setattr_copy" },
	{ 0x6e543cdb, "__wait_on_buffer" },
	{ 0xf40422da, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0xb2db0acf, "from_kgid" },
	{ 0xc1168576, "__bh_read" },
	{ 0xf1e046cc, "panic" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd8095bce, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x48051b1a, "__bread_gfp" },
	{ 0xfc542c0f, "block_dirty_folio" },
	{ 0x6ef645e7, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xffb20f1f, "make_kgid" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xcf4df96a, "truncate_setsize" },
	{ 0xa2ca87b2, "set_page_dirty" },
	{ 0x400f6ac, "block_read_full_folio" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3fc0f11a, "unlock_buffer" },
	{ 0xe2d050e4, "__getblk_gfp" },
	{ 0x15cf4a1f, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4f144205, "d_instantiate_new" },
	{ 0x1b898712, "page_symlink_inode_operations" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6784de8b, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75a16d04, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x48f392fd, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40985489, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8b69829a, "__lock_buffer" },
	{ 0x4f9e34d3, "generic_file_open" },
	{ 0x892e7e1c, "__folio_lock" },
	{ 0x29918d87, "pagecache_get_page" },
	{ 0xab72317, "is_bad_inode" },
	{ 0x329fd287, "block_write_begin" },
	{ 0x5bbf9ec1, "generic_fh_to_parent" },
	{ 0x99b1a5d6, "filemap_splice_read" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xffc8afc8, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xec58763c, "clean_bdev_aliases" },
	{ 0x15fd29e6, "kmem_cache_alloc_lru" },
	{ 0xfdcd47d4, "__mark_inode_dirty" },
	{ 0x6c8dd077, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfe99669b, "make_bad_inode" },
	{ 0x79475980, "drop_nlink" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xef4a66aa, "iget_failed" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D229F8B3A71F2916FDE1433");

MODULE_INFO(suserelease, "SLE15-SP6");
