#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(v9fs_register_trans, 0x2ee24f64, "");
SYMBOL_CRC(v9fs_unregister_trans, 0xfd1d4598, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0x5dbaaaa1, "");
SYMBOL_CRC(v9fs_get_default_trans, 0xb57954d2, "");
SYMBOL_CRC(p9_is_proto_dotl, 0x9934d8ce, "");
SYMBOL_CRC(p9_is_proto_dotu, 0x91bc9263, "");
SYMBOL_CRC(p9_show_client_options, 0x6fb06efa, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0x8e2d6c21, "");
SYMBOL_CRC(p9_req_put, 0xb63fbac5, "");
SYMBOL_CRC(p9_client_cb, 0x1186bee7, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0xa411554d, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0xcb3ab36b, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0xaded6a1e, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0x6c9d07d1, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0x3165348b, "");
SYMBOL_CRC(p9_client_create, 0xe710ffab, "");
SYMBOL_CRC(p9_client_destroy, 0x9bc96510, "");
SYMBOL_CRC(p9_client_disconnect, 0xe4718e36, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0x12fdf132, "");
SYMBOL_CRC(p9_client_attach, 0xa1724230, "");
SYMBOL_CRC(p9_client_walk, 0xc4ae0651, "");
SYMBOL_CRC(p9_client_open, 0xcecc233e, "");
SYMBOL_CRC(p9_client_create_dotl, 0xc183e3eb, "");
SYMBOL_CRC(p9_client_fcreate, 0x74c4854b, "");
SYMBOL_CRC(p9_client_symlink, 0xa8b430be, "");
SYMBOL_CRC(p9_client_link, 0xb37643f3, "");
SYMBOL_CRC(p9_client_fsync, 0x060390b4, "");
SYMBOL_CRC(p9_client_clunk, 0xcf81afca, "");
SYMBOL_CRC(p9_client_remove, 0xb8cfdf82, "");
SYMBOL_CRC(p9_client_unlinkat, 0x62b040d0, "");
SYMBOL_CRC(p9_client_read, 0xf2e2cdf8, "");
SYMBOL_CRC(p9_client_read_once, 0x81797660, "");
SYMBOL_CRC(p9_client_write, 0xb0423ecd, "");
SYMBOL_CRC(p9_client_stat, 0xfd4d2dbf, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0xab83c69d, "");
SYMBOL_CRC(p9_client_wstat, 0x04291a54, "");
SYMBOL_CRC(p9_client_setattr, 0x4ebafd2d, "");
SYMBOL_CRC(p9_client_statfs, 0x129e3848, "");
SYMBOL_CRC(p9_client_rename, 0xae3ef9c2, "");
SYMBOL_CRC(p9_client_renameat, 0xb68c879c, "");
SYMBOL_CRC(p9_client_xattrwalk, 0xf82121d9, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0x2a28e7b4, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0x2ab408a3, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0x8b6be213, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0x1623e2f9, "");
SYMBOL_CRC(p9_client_lock_dotl, 0x3a1f67fd, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0xd0fcbdad, "");
SYMBOL_CRC(p9_client_readlink, 0x3cbc94ea, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x41ce9823, "");
SYMBOL_CRC(p9dirent_read, 0x95bd8f96, "");
SYMBOL_CRC(p9_release_pages, 0xcdff27f7, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x63cd545b, "try_module_get" },
	{ 0x3034b5a, "_copy_to_iter" },
	{ 0x1f38b857, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0xc68a20bf, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8094593, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0xd197a7a8, "module_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x150cfd25, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb2db0acf, "from_kgid" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0xa817e96e, "iov_iter_kvec" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6ef645e7, "from_kuid" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xffb20f1f, "make_kgid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe37575f5, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0xe55047a8, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x48f392fd, "__folio_put" },
	{ 0x40985489, "seq_printf" },
	{ 0x2dfa0109, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x1b034c14, "seq_puts" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "13F3642F798ED36213F3C0E");

MODULE_INFO(suserelease, "SLE15-SP6");
