#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0xed19c206, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x262d246b, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x3809ae10, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x6039e4cf, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x8171199a, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0xf7f05810, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x32f3c65c, "_gpl");
SYMBOL_CRC(dccp_child_process, 0xc7bf3b51, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0xafd46ef4, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0x40f64d03, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0x50b35480, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0xad83fb13, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x12feb3e8, "_gpl");
SYMBOL_CRC(dccp_make_response, 0xeb0551c9, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0xe8cf2df6, "_gpl");
SYMBOL_CRC(dccp_connect, 0x3d29beb9, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0xa87a1284, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x6a6802c9, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xd7cdb975, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x98bbe3a3, "_gpl");
SYMBOL_CRC(dccp_done, 0x5899627a, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0x0a737e82, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0xd83ed24e, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0x8d97d567, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0x0c58fc71, "_gpl");
SYMBOL_CRC(dccp_poll, 0x7b6f49cb, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x7c9f472e, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0xec35dff3, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0xd4851178, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0x7ca5ccb7, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0xfd66aa33, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0xfb238eaa, "_gpl");
SYMBOL_CRC(dccp_close, 0xe92d7a13, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0xc0472de7, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e0a087f, "inet_hashinfo2_init_mod" },
	{ 0xd6f9888d, "inet_bhash2_reset_saddr" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x174e6c46, "inet_ehash_locks_alloc" },
	{ 0xcc7ab9a, "skb_put" },
	{ 0x4fb29280, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0x941b20a0, "sock_wmalloc" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0x155c897, "skb_dequeue" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0x84c1c552, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc68a20bf, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xcfc14da7, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0xb377bb58, "inet_twsk_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x80a63efd, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0xa143ca67, "inet_sock_destruct" },
	{ 0x9696048e, "inet_put_port" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x7d3106e8, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x511576c3, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xaad74942, "sk_reset_timer" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0x7c09b00d, "skb_queue_tail" },
	{ 0x25a8aed1, "sk_stream_wait_close" },
	{ 0x1203af9c, "inet_twsk_hashdance" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x2e1737b5, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2c1131e2, "ip6_mtu" },
	{ 0x5ea54656, "sk_free" },
	{ 0xca2dea1e, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0xfea3d982, "skb_push" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xec2e1c8f, "proc_doulongvec_minmax" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xdad0795a, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xf8ad332d, "skb_copy_datagram_iter" },
	{ 0xd1fd0c03, "tcp_stream_memory_free" },
	{ 0x6d21cdd2, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0xb86495ff, "sk_wait_data" },
	{ 0x8daae2b9, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4c238a90, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd3a979c4, "inet_csk_listen_start" },
	{ 0xc0400ada, "sk_free_unlock_clone" },
	{ 0x2e88e90f, "sock_rfree" },
	{ 0xe3e571d0, "ipv4_mtu" },
	{ 0xecef080e, "skb_set_owner_w" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa356f0ec, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x28bca6d9, "skb_clone" },
	{ 0x6ec9bdef, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd07b39a2, "dst_release" },
	{ 0x2dea17db, "sk_stream_wait_connect" },
	{ 0x2dfa0109, "_copy_from_iter" },
	{ 0x1cab7b0a, "inet_csk_destroy_sock" },
	{ 0x6952c0a5, "sk_stop_timer" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0xbf3b217c, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd7cb537c, "inet_csk_listen_stop" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1e4d07e0, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xcbb19530, "inet_csk_complete_hashdance" },
	{ 0xf2b002a1, "release_sock" },
	{ 0x64c1682c, "inet_csk_reqsk_queue_drop" },
	{ 0x3f118ea, "__inet_twsk_schedule" },
	{ 0x2cdf87a1, "proc_dointvec_minmax" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8F19CA672DFA0CD3C953E04");

MODULE_INFO(suserelease, "SLE15-SP6");
