#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(hsr_get_version, 0xf1bd216f, "");
SYMBOL_CRC(is_hsr_master, 0xc04675a7, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf3afab7, "dev_set_mtu" },
	{ 0xe2d18bbd, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xcdc098df, "eth_header" },
	{ 0xcc7ab9a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc9539c2d, "netdev_update_features" },
	{ 0xb0e602eb, "memmove" },
	{ 0x9582819f, "rtnl_link_register" },
	{ 0x135ffde4, "genlmsg_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x6fee28f3, "dev_set_promiscuity" },
	{ 0xdc164e7b, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x4fe2f444, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa7785312, "unregister_netdevice_queue" },
	{ 0x56a394ac, "netlink_ack" },
	{ 0xc1d10c92, "netdev_state_change" },
	{ 0x34bd554f, "__pskb_copy_fclone" },
	{ 0x22342135, "ether_setup" },
	{ 0xcf8fc432, "netlink_broadcast_filtered" },
	{ 0xd2585228, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7898e19b, "netdev_upper_dev_link" },
	{ 0x64b410b8, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1519f0f9, "netdev_rx_handler_unregister" },
	{ 0xc4e2d5cc, "eth_header_parse" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x511576c3, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5c595469, "skb_copy_expand" },
	{ 0xe795a55f, "__dev_get_by_index" },
	{ 0xb4e402f4, "rtnl_link_unregister" },
	{ 0x2e1737b5, "init_net" },
	{ 0x709d09b6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe504a696, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9d6b37c3, "dev_get_by_index_rcu" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x9adfd3ae, "netdev_printk" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xfea3d982, "skb_push" },
	{ 0x68ff5714, "debugfs_remove" },
	{ 0x4c11a8d7, "netdev_upper_dev_unlink" },
	{ 0x7965889, "nla_put" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0xe8c76a24, "netif_rx" },
	{ 0x20038bab, "__netdev_alloc_skb" },
	{ 0x92236450, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd969597, "seq_read" },
	{ 0xd0ed0e8, "debugfs_rename" },
	{ 0xd4bf1a24, "debugfs_create_file" },
	{ 0xa6cf24cb, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xaf1c3b2a, "call_netdevice_notifiers" },
	{ 0xa5976e4f, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x962aa973, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x40985489, "seq_printf" },
	{ 0x28bca6d9, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x40a42b90, "netif_carrier_on" },
	{ 0x3e7cf291, "netdev_rx_handler_register" },
	{ 0x1b034c14, "seq_puts" },
	{ 0xb0feed3, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4f6e28a6, "genl_unregister_family" },
	{ 0x6f0d3035, "dev_disable_lro" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xda6c7155, "dev_kfree_skb_any_reason" },
	{ 0x8bfc9a25, "single_open" },
	{ 0x164f46b7, "debugfs_create_dir" },
	{ 0x45651b09, "genl_register_family" },
	{ 0xc3090a12, "netdev_core_stats_inc" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xf9ceaa3c, "netdev_info" },
	{ 0x1054dad3, "register_netdevice" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EFBF075D255878868D3DEC3");

MODULE_INFO(suserelease, "SLE15-SP6");
