#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50c2eff3, "km_state_notify" },
	{ 0xf8721793, "ns_capable" },
	{ 0xea92ab1a, "sk_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd1da99cf, "sock_init_data" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1f0e4b58, "skb_queue_purge_reason" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0x5304bfd, "xfrm_policy_byid" },
	{ 0xa8e6ef2b, "xfrm_policy_destroy" },
	{ 0x956a7b, "xfrm_audit_policy_delete" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5ea54656, "sk_free" },
	{ 0x2e1737b5, "init_net" },
	{ 0x1e068c69, "xfrm_state_alloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xc80741, "xfrm_ealg_get_byid" },
	{ 0xb8cb055f, "xfrm_init_state" },
	{ 0xaba5a4d8, "xfrm_state_update" },
	{ 0xd9d478ce, "xfrm_audit_state_add" },
	{ 0xf682177e, "__xfrm_state_destroy" },
	{ 0xcaf5b97a, "xfrm_state_add" },
	{ 0x5c699441, "xfrm_aalg_get_byid" },
	{ 0x72395dc1, "xfrm_calg_get_byid" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0xbd8fabdf, "xfrm_audit_state_delete" },
	{ 0x613ba71b, "xfrm_state_delete" },
	{ 0x15377409, "xfrm_find_acq_byseq" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0x102fe22e, "xfrm_alloc_spi" },
	{ 0x6d4c7a46, "xfrm_find_acq" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0xd7f5b2e6, "xfrm_policy_bysel_ctx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0xc7d58fc8, "xfrm_policy_alloc" },
	{ 0x896ac17f, "xfrm_policy_insert" },
	{ 0x5b378cca, "xfrm_audit_policy_add" },
	{ 0xa8f2544e, "sock_no_bind" },
	{ 0xc4db8bfb, "sock_no_connect" },
	{ 0x519f2527, "sock_no_socketpair" },
	{ 0xc47ed185, "sock_no_accept" },
	{ 0x26bcccec, "sock_no_getname" },
	{ 0xcc11314, "datagram_poll" },
	{ 0x7dfe852d, "sock_no_ioctl" },
	{ 0x30566a86, "sock_no_listen" },
	{ 0x3ebcc3c8, "sock_no_shutdown" },
	{ 0x78bc823f, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x511576c3, "__alloc_skb" },
	{ 0x28bca6d9, "skb_clone" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2e88e90f, "sock_rfree" },
	{ 0x7c09b00d, "skb_queue_tail" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x4e22876, "xfrm_policy_walk" },
	{ 0xb1895fd, "xfrm_policy_walk_done" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2eded8f2, "skb_recv_datagram" },
	{ 0xf8ad332d, "skb_copy_datagram_iter" },
	{ 0xc004efa, "skb_free_datagram" },
	{ 0x958dcd0d, "__sock_recv_cmsgs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0x11923150, "skb_copy" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x4f0ee518, "xfrm_state_walk_done" },
	{ 0x79506b57, "xfrm_state_walk" },
	{ 0xa851f63e, "remove_proc_entry" },
	{ 0x8dd26909, "proc_create_net_data" },
	{ 0xa5f4d0a6, "sock_i_ino" },
	{ 0x956c6a83, "sock_i_uid" },
	{ 0x256e8707, "from_kuid_munged" },
	{ 0x40985489, "seq_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x1e9edfb7, "seq_hlist_start_head_rcu" },
	{ 0xf468c365, "xfrm_unregister_km" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5061a64, "unregister_pernet_subsys" },
	{ 0xbab9948f, "proto_unregister" },
	{ 0xcc7ab9a, "skb_put" },
	{ 0x2dfa0109, "_copy_from_iter" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0x940a0119, "proto_register" },
	{ 0x9e7ae3a4, "register_pernet_subsys" },
	{ 0xf48417c9, "sock_register" },
	{ 0x6129a331, "xfrm_register_km" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc6b1fdbe, "xfrm_aalg_get_byidx" },
	{ 0xb73be794, "xfrm_ealg_get_byidx" },
	{ 0x92997ed8, "_printk" },
	{ 0x9f894d7, "xfrm_migrate" },
	{ 0xabd7b36, "xfrm_state_lookup" },
	{ 0x28e23139, "xfrm_probe_algs" },
	{ 0xa575945, "xfrm_count_pfkey_auth_supported" },
	{ 0x7a8ca627, "xfrm_count_pfkey_enc_supported" },
	{ 0xc32ed552, "xfrm_policy_flush" },
	{ 0x7d13ec8b, "km_policy_notify" },
	{ 0x3c544662, "xfrm_state_flush" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "8B888226928ABE2D622F1D8");

MODULE_INFO(suserelease, "SLE15-SP6");
