#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nf_conntrack_locks, 0xaf0847f0, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x9adb7399, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xdba7326b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0xdca086dc, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xd7c231ba, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x79e181d3, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x042ac11c, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x97f54ef2, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xd3cfba06, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x01830c19, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x66c73235, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xa575fd02, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xcdc0b1f5, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xf877822d, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xfa15c700, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x4afd9f90, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x4bfc054e, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x5b1b64c2, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xc9ffb693, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x9de78eef, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x6c023280, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x7ee7eeb1, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xba096d05, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xbdb416b4, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x8b8280bf, "_gpl");
SYMBOL_CRC(print_tuple, 0x86b0eacc, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x779e885b, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x982a681a, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xe3bc7da8, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x291edea9, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x4e43351f, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x610a6815, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x4a39f8a7, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xc1eb4128, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x57220f4f, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xbeb2c382, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x5d3e6fbc, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x73896ab6, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xba7778f9, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xebdbe06d, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x8adb4190, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x973e52f7, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x46063221, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xbaea3f57, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x00a5dd94, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x09aa9a32, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x271c656b, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0xef937d8d, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xb0617d99, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x5b11ce66, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x9a7c27e9, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x0af89c83, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x9279a6ea, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x97a8d02a, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x0ebe16d5, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0xd2037dcf, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x96a942e2, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x023407f4, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xaad1a84b, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xc3dfa0dc, "_gpl");
SYMBOL_CRC(nf_confirm, 0xd31f7ac1, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x010fcff5, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x669273e4, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x9e902f97, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x44d96b9f, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x28ff54ae, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xb19e5145, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x69be0cd5, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x736eeb13, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xd317b3b4, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xe32a4e99, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x0d38b0ac, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xc6933b1a, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xa5044f63, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x722ef013, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x211a6312, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x3de75a17, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x1e5338e9, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x00277b2e, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x2d6ac6fe, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x4c35c616, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x470c2f19, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xf4b929df, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x0ee269f1, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xc7a80d90, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x2402aefe, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x27b0389e, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x9385e894, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xbcd5f227, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x8838af9d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5040f3d8, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x63cd545b, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x54c3b8bb, "nf_defrag_ipv4_disable" },
	{ 0xa4c20b6c, "nf_ip6_checksum" },
	{ 0xfc03a4ca, "proc_dou8vec_minmax" },
	{ 0x64519b38, "skb_copy_bits" },
	{ 0x20250eb8, "param_ops_uint" },
	{ 0xdf6b082f, "proc_dointvec_jiffies" },
	{ 0x4fb29280, "register_net_sysctl" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x55aeec08, "nf_register_sockopt" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x5f8be417, "nfct_btf_struct_access" },
	{ 0x7a559a5, "param_set_uint" },
	{ 0x7c984b3d, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9b717d8, "nf_ct_frag6_gather" },
	{ 0x4456ef0d, "get_net_ns_by_id" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0x8b694a4a, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8dd26909, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x9e7ae3a4, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x4fb7ed78, "nf_unregister_sockopt" },
	{ 0x57a21f64, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8094593, "make_kuid" },
	{ 0x59a503ca, "nf_defrag_ipv6_disable" },
	{ 0x8e5a2acc, "ipv6_skip_exthdr" },
	{ 0x29a92db6, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd197a7a8, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xa7a662ed, "nf_checksum" },
	{ 0x51d13875, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x2e1737b5, "init_net" },
	{ 0x1aa7bac8, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x452d714f, "seq_putc" },
	{ 0x7965889, "nla_put" },
	{ 0x35ab7522, "nf_checksum_partial" },
	{ 0x3c3a7012, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5c55ea86, "nf_unregister_net_hooks" },
	{ 0xdad0795a, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xd5061a64, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x13708088, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0832278, "nf_log_packet" },
	{ 0xffb20f1f, "make_kgid" },
	{ 0x5af3b59f, "nf_ip_checksum" },
	{ 0xcf40aa07, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xa041a619, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0x494095d5, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3fa7b7e2, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x70be6282, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0x4bfae996, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa851f63e, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40985489, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe14eeff3, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xa8181adf, "proc_dointvec" },
	{ 0x1b034c14, "seq_puts" },
	{ 0x9eb755f2, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x321c6448, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf3bd6c2d, "pskb_trim_rcsum_slow" },
	{ 0x53b954a2, "up_read" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xf2b002a1, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6,libcrc32c");


MODULE_INFO(srcversion, "3FE1F4E589CA9E38A95D0B3");

MODULE_INFO(suserelease, "SLE15-SP6");
