#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fanout_mutex, 0xdf448d1c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x5c1f7dd5, "dev_uc_add" },
	{ 0xe08f1967, "dev_set_allmulti" },
	{ 0xc4bba5ef, "dev_mc_add" },
	{ 0x6fee28f3, "dev_set_promiscuity" },
	{ 0x86407fa1, "dev_uc_del" },
	{ 0x1ee4a79b, "dev_mc_del" },
	{ 0xf0b16fad, "nf_hook_slow" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa6257a2f, "complete" },
	{ 0x972c0d87, "sock_wfree" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x28bca6d9, "skb_clone" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfea3d982, "skb_push" },
	{ 0xebdd1545, "sock_queue_rcv_skb_reason" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xd07b39a2, "dst_release" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x8e9d2f04, "__skb_flow_dissect" },
	{ 0x64519b38, "skb_copy_bits" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0xb7607b63, "__dev_remove_pack" },
	{ 0x1f0e4b58, "skb_queue_purge_reason" },
	{ 0x92997ed8, "_printk" },
	{ 0xf8721793, "ns_capable" },
	{ 0xea92ab1a, "sk_alloc" },
	{ 0xd1da99cf, "sock_init_data" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x5ea54656, "sk_free" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xebb2b2c7, "ip_check_defrag" },
	{ 0xd4eb8d4b, "__skb_get_hash_symmetric" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x3a26ed11, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xef9a21c8, "__dev_direct_xmit" },
	{ 0xa6cf24cb, "__dev_queue_xmit" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x96431e9b, "netdev_pick_tx" },
	{ 0xa5f4d0a6, "sock_i_ino" },
	{ 0x956c6a83, "sock_i_uid" },
	{ 0x256e8707, "from_kuid_munged" },
	{ 0x40985489, "seq_printf" },
	{ 0x941b20a0, "sock_wmalloc" },
	{ 0xcc7ab9a, "skb_put" },
	{ 0x2dfa0109, "_copy_from_iter" },
	{ 0x4bf073bb, "dev_get_by_name_rcu" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0x711c4ba0, "sock_cmsg_send" },
	{ 0xc6cbbc89, "capable" },
	{ 0xfb578fc5, "memset" },
	{ 0x437a0d6d, "__sock_tx_timestamp" },
	{ 0x80a63efd, "sk_error_report" },
	{ 0xcc11314, "datagram_poll" },
	{ 0xdad0795a, "lock_sock_nested" },
	{ 0xf2b002a1, "release_sock" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x20dbf27, "bitmap_alloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2eded8f2, "skb_recv_datagram" },
	{ 0xf8ad332d, "skb_copy_datagram_iter" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xc004efa, "skb_free_datagram" },
	{ 0xf4d2fb2a, "sock_recv_errqueue" },
	{ 0x958dcd0d, "__sock_recv_cmsgs" },
	{ 0x75fa2e13, "put_cmsg" },
	{ 0x3034b5a, "_copy_to_iter" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2e88e90f, "sock_rfree" },
	{ 0x391df80a, "netstamp_needed_key" },
	{ 0x9e8046f2, "___pskb_trim" },
	{ 0x709d09b6, "skb_pull" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa356f0ec, "sock_alloc_send_pskb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x8ae2367f, "iov_iter_advance" },
	{ 0x7e638ca0, "skb_copy_datagram_from_iter" },
	{ 0x8d6e0893, "skb_store_bits" },
	{ 0x2cf0f50a, "skb_partial_csum_set" },
	{ 0xc678db0b, "dev_get_by_index" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x2636207, "bpf_prog_get_type_dev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6d09843f, "copy_bpf_fprog_from_user" },
	{ 0xd7d8c5f6, "bpf_prog_create_from_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc4db8bfb, "sock_no_connect" },
	{ 0x519f2527, "sock_no_socketpair" },
	{ 0xc47ed185, "sock_no_accept" },
	{ 0x10ff8dca, "sock_gettstamp" },
	{ 0x30566a86, "sock_no_listen" },
	{ 0x3ebcc3c8, "sock_no_shutdown" },
	{ 0x78bc823f, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9d6b37c3, "dev_get_by_index_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe795a55f, "__dev_get_by_index" },
	{ 0xeac4e07d, "__ethtool_get_link_ksettings" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x999e8297, "vfree" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc0b31d0c, "bpf_prog_destroy" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2e33fc01, "vm_insert_page" },
	{ 0x464d90e9, "vmalloc_to_page" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x12c37fe6, "dev_add_pack" },
	{ 0xa851f63e, "remove_proc_entry" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8dd26909, "proc_create_net_data" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x1e9edfb7, "seq_hlist_start_head_rcu" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xbab9948f, "proto_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd5061a64, "unregister_pernet_subsys" },
	{ 0x9e7ae3a4, "register_pernet_subsys" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x940a0119, "proto_register" },
	{ 0xf48417c9, "sock_register" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x5b43ff15, "inet_dgram_ops" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xfd4fca90, "__skb_get_hash" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B5567A96A466C57A671B983");

MODULE_INFO(suserelease, "SLE15-SP6");
