#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(qrtr_endpoint_post, 0x9b3c8e74, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x2e552cef, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xec84c5f4, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc004efa, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xebdd1545, "sock_queue_rcv_skb_reason" },
	{ 0xe2d18bbd, "__skb_pad" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1f38b857, "bpf_trace_run4" },
	{ 0x64519b38, "skb_copy_bits" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xcc7ab9a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x8cbe1c9, "kernel_bind" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x280df45d, "__tracepoint_sk_data_ready" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1ffb16a, "kernel_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x80a63efd, "sk_error_report" },
	{ 0x1f0e4b58, "skb_queue_purge_reason" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xbab9948f, "proto_unregister" },
	{ 0xf48417c9, "sock_register" },
	{ 0xcc11314, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x511576c3, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x940a0119, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x3ebcc3c8, "sock_no_shutdown" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x2e1737b5, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x92f683b5, "__SCK__tp_func_sk_data_ready" },
	{ 0x2f5cd23e, "kernel_getsockname" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0x5ea54656, "sk_free" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0xc47ed185, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfea3d982, "skb_push" },
	{ 0x30566a86, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdad0795a, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf8ad332d, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xea92ab1a, "sk_alloc" },
	{ 0x519f2527, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x78bc823f, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x20038bab, "__netdev_alloc_skb" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xe37575f5, "bpf_trace_run3" },
	{ 0xecef080e, "skb_set_owner_w" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcd7da02f, "sock_create_kern" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x2eded8f2, "skb_recv_datagram" },
	{ 0xa356f0ec, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x28bca6d9, "skb_clone" },
	{ 0x2dfa0109, "_copy_from_iter" },
	{ 0x9d195ac2, "sock_release" },
	{ 0x10ff8dca, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa445b652, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd1da99cf, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xf2b002a1, "release_sock" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0C026F46A340A1D8F9760DD");

MODULE_INFO(suserelease, "SLE15-SP6");
