#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rds_cong_map_updated, 0x20c5e653, "_gpl");
SYMBOL_CRC(rds_conn_create, 0xdcba6363, "_gpl");
SYMBOL_CRC(rds_conn_create_outgoing, 0xc080a816, "_gpl");
SYMBOL_CRC(rds_conn_destroy, 0x05f0b7b6, "_gpl");
SYMBOL_CRC(rds_for_each_conn_info, 0x357c8840, "_gpl");
SYMBOL_CRC(rds_conn_path_drop, 0xcd601609, "_gpl");
SYMBOL_CRC(rds_conn_drop, 0x7af41161, "_gpl");
SYMBOL_CRC(rds_conn_path_connect_if_down, 0xb6c1b054, "_gpl");
SYMBOL_CRC(rds_conn_connect_if_down, 0xbde58df4, "_gpl");
SYMBOL_CRC(rds_info_register_func, 0x2d81e613, "_gpl");
SYMBOL_CRC(rds_info_deregister_func, 0xb0541354, "_gpl");
SYMBOL_CRC(rds_info_copy, 0xc2dab779, "_gpl");
SYMBOL_CRC(rds_message_addref, 0x2ea8ea91, "_gpl");
SYMBOL_CRC(rds_message_put, 0x01c41a17, "_gpl");
SYMBOL_CRC(rds_message_populate_header, 0x585f567b, "_gpl");
SYMBOL_CRC(rds_message_add_extension, 0x2b0d543c, "_gpl");
SYMBOL_CRC(rds_message_add_rdma_dest_extension, 0x582fe5cf, "_gpl");
SYMBOL_CRC(rds_message_unmapped, 0xdab8919a, "_gpl");
SYMBOL_CRC(rds_inc_init, 0x350de74e, "_gpl");
SYMBOL_CRC(rds_inc_path_init, 0x55f6174a, "_gpl");
SYMBOL_CRC(rds_inc_put, 0xdf604fa9, "_gpl");
SYMBOL_CRC(rds_recv_incoming, 0xfdaa2585, "_gpl");
SYMBOL_CRC(rds_send_path_reset, 0x068884ea, "_gpl");
SYMBOL_CRC(rds_send_xmit, 0x0b5a9313, "_gpl");
SYMBOL_CRC(rds_rdma_send_complete, 0x1d6200c9, "_gpl");
SYMBOL_CRC(rds_atomic_send_complete, 0x2a9cb30d, "_gpl");
SYMBOL_CRC(rds_send_path_drop_acked, 0xccc522b0, "_gpl");
SYMBOL_CRC(rds_send_drop_acked, 0x0e203b49, "_gpl");
SYMBOL_CRC(rds_send_ping, 0x781505ea, "_gpl");
SYMBOL_CRC(rds_stats, 0x36087aa4, "_gpl");
SYMBOL_CRC(rds_stats_info_copy, 0x85e4e520, "_gpl");
SYMBOL_CRC(rds_wq, 0x00a467af, "_gpl");
SYMBOL_CRC(rds_connect_path_complete, 0xbd1b49a1, "_gpl");
SYMBOL_CRC(rds_connect_complete, 0x0694852e, "_gpl");
SYMBOL_CRC(rds_addr_cmp, 0x45a4781e, "_gpl");
SYMBOL_CRC(rds_trans_register, 0xab2478e1, "_gpl");
SYMBOL_CRC(rds_trans_unregister, 0xf11ee67c, "_gpl");
SYMBOL_CRC(rds_page_remainder_alloc, 0x9dcbbbf0, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6e3ccb4, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x5040f3d8, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x63cd545b, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xce7abb3d, "unpin_user_pages_dirty_lock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4fb29280, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xd8a17cbc, "unpin_user_pages" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xb88159a7, "iov_iter_get_pages2" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x75fa2e13, "put_cmsg" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xbab9948f, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf48417c9, "sock_register" },
	{ 0xad395dd9, "mm_account_pinned_pages" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb65ede42, "__free_pages" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0x940a0119, "proto_register" },
	{ 0xd197a7a8, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3ebcc3c8, "sock_no_shutdown" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2e1737b5, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5efde8e6, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x5ea54656, "sk_free" },
	{ 0xc47ed185, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x30566a86, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf4d2fb2a, "sock_recv_errqueue" },
	{ 0x459e6151, "mm_unaccount_pinned_pages" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5e1a027c, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xdad0795a, "lock_sock_nested" },
	{ 0xf12cb9d6, "copy_page_to_iter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xea92ab1a, "sk_alloc" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x519f2527, "sock_no_socketpair" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x112c208, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x78bc823f, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2e50a608, "copy_page_from_iter" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa5f4d0a6, "sock_i_ino" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0x48f392fd, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xa8181adf, "proc_dointvec" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x754d539c, "strlen" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x1566fbbc, "register_pernet_device" },
	{ 0xaf096065, "iov_iter_npages" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd1da99cf, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xf2b002a1, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "98ED5423CE9223AB49269DC");

MODULE_INFO(suserelease, "SLE15-SP6");
