#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x20c5e653, "rds_cong_map_updated" },
	{ 0x7af41161, "rds_conn_drop" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x40bfaf1a, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2ea8ea91, "rds_message_addref" },
	{ 0x4fb29280, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x9e0c711d, "vzalloc_node" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x85208454, "__ib_alloc_pd" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x92ed54f2, "dma_unmap_page_attrs" },
	{ 0xab203ff8, "rdma_resolve_addr" },
	{ 0x2c846d84, "dma_sync_single_for_device" },
	{ 0xef31a781, "rdma_set_service_type" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xf11ee67c, "rds_trans_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xb0541354, "rds_info_deregister_func" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ef967e1, "ib_advise_mr" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0xc24219e2, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0x3535f8aa, "rdma_reject" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x74fd0220, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x40df1fe, "dev_driver_string" },
	{ 0x357c8840, "rds_for_each_conn_info" },
	{ 0x582fe5cf, "rds_message_add_rdma_dest_extension" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85c95cfc, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa467af, "rds_wq" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe1855ff6, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x21c6fddc, "kmalloc_node_trace" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0xefcbb48e, "rdma_resolve_route" },
	{ 0xb9d025c9, "llist_del_first" },
	{ 0x2a9cb30d, "rds_atomic_send_complete" },
	{ 0xbde58df4, "rds_conn_connect_if_down" },
	{ 0x476d5eda, "rdma_bind_addr" },
	{ 0x8de93385, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3aba0c8c, "rdma_create_qp" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5f0b7b6, "rds_conn_destroy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x67a4f1, "ib_map_mr_sg" },
	{ 0x1d6200c9, "rds_rdma_send_complete" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xffecc215, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2e1737b5, "init_net" },
	{ 0xe203b49, "rds_send_drop_acked" },
	{ 0xce807a25, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x150cfd25, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xc678db0b, "dev_get_by_index" },
	{ 0xb5a9313, "rds_send_xmit" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x85e4e520, "rds_stats_info_copy" },
	{ 0xdf604fa9, "rds_inc_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2b0d543c, "rds_message_add_extension" },
	{ 0xcc409edf, "rdma_notify" },
	{ 0xec2e1c8f, "proc_doulongvec_minmax" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x31724fc8, "rdma_listen" },
	{ 0x2d81e613, "rds_info_register_func" },
	{ 0xdda315df, "rdma_destroy_qp" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9dcbbbf0, "rds_page_remainder_alloc" },
	{ 0xf12cb9d6, "copy_page_to_iter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc7b6d7f4, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x28e978f4, "dma_sync_single_for_cpu" },
	{ 0x22b6e20a, "ib_alloc_mr" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x44e1e0d8, "rdma_connect_locked" },
	{ 0xd76fdd05, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x350de74e, "rds_inc_init" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa2ca87b2, "set_page_dirty" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x6c99796, "rdma_set_min_rnr_timer" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfdaa2585, "rds_recv_incoming" },
	{ 0xaa4d1077, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf77fdfa5, "rdma_destroy_id" },
	{ 0x69bafa45, "rdma_read_gids" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x48f392fd, "__folio_put" },
	{ 0x3fb4e706, "ib_reg_user_mr" },
	{ 0xdcba6363, "rds_conn_create" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0513b3f, "rdma_accept" },
	{ 0x36087aa4, "rds_stats" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xa8181adf, "proc_dointvec" },
	{ 0xdab8919a, "rds_message_unmapped" },
	{ 0xcd601609, "rds_conn_path_drop" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0xc6b74306, "ib_dealloc_pd_user" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb97cc4d3, "dma_unmap_sg_attrs" },
	{ 0x694852e, "rds_connect_complete" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xa0b25956, "ipv6_chk_addr" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x2e78e2f5, "rdma_consumer_reject_data" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1c41a17, "rds_message_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x585f567b, "rds_message_populate_header" },
	{ 0xab2478e1, "rds_trans_register" },
	{ 0x53b954a2, "up_read" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xa30ba6ca, "dma_map_sg_attrs" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "rds,ib_core,rdma_cm");


MODULE_INFO(srcversion, "DC891D945A5223E4B7EF669");

MODULE_INFO(suserelease, "SLE15-SP6");
