#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x97d40298, "tcf_register_action" },
	{ 0x22d60537, "tcf_frag_xmit_count" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xe8ab5f7e, "tcf_unregister_action" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x7965889, "nla_put" },
	{ 0xf4b929df, "nf_connlabels_get" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x92236450, "skb_trim" },
	{ 0xa916b694, "strnlen" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x973e52f7, "nf_conntrack_helper_put" },
	{ 0x46063221, "nf_nat_helper_put" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x6fb49676, "queue_rcu_work" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9b40e36, "flow_offload_lookup" },
	{ 0xcc319b15, "flow_offload_refresh" },
	{ 0x66c73235, "nf_ct_acct_add" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0x48127d66, "flow_offload_teardown" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1428111d, "skb_pull_rcsum" },
	{ 0xed0b409c, "ipv6_find_hdr" },
	{ 0x9385e894, "nf_ct_handle_fragments" },
	{ 0x27b0389e, "nf_ct_skb_network_trim" },
	{ 0x4afd9f90, "nf_conntrack_in" },
	{ 0xfea3d982, "skb_push" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x64519b38, "skb_copy_bits" },
	{ 0x1e5338e9, "nf_ct_deliver_cached_events" },
	{ 0x2e1737b5, "init_net" },
	{ 0xb3bc8f49, "nf_ct_nat" },
	{ 0x25dabac6, "flow_offload_alloc" },
	{ 0x7ce200b6, "flow_offload_add" },
	{ 0x41b52d40, "flow_offload_free" },
	{ 0xa5dd94, "__nf_ct_try_assign_helper" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc7a80d90, "nf_ct_helper" },
	{ 0x470c2f19, "nf_connlabels_replace" },
	{ 0x97f54ef2, "nf_ct_delete" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xa575fd02, "__nf_conntrack_confirm" },
	{ 0x28ff54ae, "nf_ct_ext_add" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xd8f28517, "nf_flow_table_init" },
	{ 0xe22edb46, "__module_get" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x80ef3ec4, "tcf_idr_check_alloc" },
	{ 0xccc04493, "tcf_action_check_ctrlact" },
	{ 0x97c73397, "tcf_idr_release" },
	{ 0x3b86282c, "tcf_idr_create_from_flags" },
	{ 0xcc9cabb6, "tcf_idr_cleanup" },
	{ 0x8df8ab1, "tcf_chain_put_by_act" },
	{ 0x79e181d3, "nf_ct_tmpl_alloc" },
	{ 0x2402aefe, "nf_ct_add_helper" },
	{ 0x662e918c, "tcf_action_set_ctrlact" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xee269f1, "nf_connlabels_put" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x91680bbb, "tcf_idrinfo_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54fcddfe, "tcf_action_update_stats" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa6cbf088, "nf_flow_table_free" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7a277230, "flow_block_cb_free" },
	{ 0xce807a25, "up_write" },
	{ 0xd197a7a8, "module_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_flow_table,nf_nat");


MODULE_INFO(srcversion, "BE56E8C560B903CC63F3C81");

MODULE_INFO(suserelease, "SLE15-SP6");
