#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sctp_get_sctp_info, 0xcbc58ee5, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x41136b76, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x59338399, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x4032384d, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x0d83611b, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5ad80e8b, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x956c6a83, "sock_i_uid" },
	{ 0x71422bc1, "ip6_dst_check" },
	{ 0x2737631d, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x64519b38, "skb_copy_bits" },
	{ 0xceb01be8, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x972c0d87, "sock_wfree" },
	{ 0xcc7ab9a, "skb_put" },
	{ 0x4fb29280, "register_net_sysctl" },
	{ 0x4381f3a2, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9e52cee4, "ip6_dst_hoplimit" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0x72ccf601, "inet6_add_offload" },
	{ 0x6ca5f301, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5c711f29, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x9b72f1ce, "l3mdev_fib_table_by_index" },
	{ 0xbc084d, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x155c897, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5f759731, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xaca98591, "skb_segment" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0xa5a7f1fc, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7c68eaed, "udp_tunnel6_xmit_skb" },
	{ 0xfa2a2e91, "sock_common_getsockopt" },
	{ 0x418d4ad, "inet_bind" },
	{ 0x50f3b36f, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x83617551, "fd_install" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x96f81200, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0xdd5c0d9f, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0x280df45d, "__tracepoint_sk_data_ready" },
	{ 0xc68a20bf, "bpf_trace_run2" },
	{ 0x5e310c33, "sock_common_setsockopt" },
	{ 0xb961692f, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xefc0501e, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xe6882fea, "kmem_cache_create" },
	{ 0xdb1b8cf2, "__sk_mem_schedule" },
	{ 0xfaf5cd00, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xd0f4783b, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8dd26909, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x80a63efd, "sk_error_report" },
	{ 0x9e7ae3a4, "register_pernet_subsys" },
	{ 0x75fa2e13, "put_cmsg" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xa143ca67, "inet_sock_destruct" },
	{ 0x686ea42f, "crypto_destroy_tfm" },
	{ 0x3b612fb, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x43c97cb3, "inet_sk_get_local_port_range" },
	{ 0xbf25064a, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0xa250b3, "inet_getname" },
	{ 0xbab9948f, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x958dcd0d, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x511576c3, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x1e08474a, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x298e81d5, "kmem_cache_alloc" },
	{ 0x940a0119, "proto_register" },
	{ 0x5c595469, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x7f63d393, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x926db2fd, "inet_ctl_sock_create" },
	{ 0xbde43f47, "inet_ioctl" },
	{ 0x16ffc242, "reuseport_add_sock" },
	{ 0xf2636fbb, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x319d493d, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xa5adb7d0, "sk_filter_trim_cap" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x75c7a4e0, "fput" },
	{ 0x3136a5f, "inet_accept" },
	{ 0x2e1737b5, "init_net" },
	{ 0xa69e26d, "crypto_shash_setkey" },
	{ 0x709d09b6, "skb_pull" },
	{ 0x3d552fa6, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2c1131e2, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x92f683b5, "__SCK__tp_func_sk_data_ready" },
	{ 0x98926280, "inet_add_protocol" },
	{ 0xd1de003a, "inet_shutdown" },
	{ 0x5ea54656, "sk_free" },
	{ 0xca2dea1e, "sock_wake_async" },
	{ 0x9d6b37c3, "dev_get_by_index_rcu" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0xe39861f8, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xfea3d982, "skb_push" },
	{ 0xe154b945, "__ip_queue_xmit" },
	{ 0xc46e7b0e, "kmem_cache_free" },
	{ 0x3c4851fe, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0xec2e1c8f, "proc_doulongvec_minmax" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xf8721793, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xdad0795a, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xc3880bdd, "inet6_ioctl" },
	{ 0xf8ad332d, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xea92ab1a, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xd5061a64, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x94c70cdd, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x519f2527, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xf2c7c4f0, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x78bc823f, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xab0b33b, "__pskb_pull_tail" },
	{ 0x94164cb7, "setup_udp_tunnel_sock" },
	{ 0x3d83f911, "udp_sock_create6" },
	{ 0x92236450, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf1e60551, "sk_common_release" },
	{ 0xe37575f5, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xc8057d10, "inet6_getname" },
	{ 0xa5f4d0a6, "sock_i_ino" },
	{ 0x8201aa4c, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc335b0a0, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xc35e53ad, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe3e571d0, "ipv4_mtu" },
	{ 0xecef080e, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x3fa7b7e2, "__skb_checksum" },
	{ 0x1e5500c, "reuseport_alloc" },
	{ 0xccfb3920, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x5d9bea4f, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x348af355, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xcd31fd95, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x3d4ce66c, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40985489, "seq_printf" },
	{ 0xd4889666, "proc_create_net_single" },
	{ 0x11923150, "skb_copy" },
	{ 0x28bca6d9, "skb_clone" },
	{ 0x6ec9bdef, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd07b39a2, "dst_release" },
	{ 0x2dfa0109, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x9d195ac2, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xa8181adf, "proc_dointvec" },
	{ 0x1b034c14, "seq_puts" },
	{ 0x10ff8dca, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x50ca784f, "_proc_mkdir" },
	{ 0x7c395bdf, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa40de305, "send_sig" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x138007cf, "inet6_add_protocol" },
	{ 0x256e8707, "from_kuid_munged" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x84c5ba0e, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0xa0b25956, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x46ca196b, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0xbd6a9e60, "reuseport_detach_sock" },
	{ 0xd0c20b00, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xafb17bb7, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x6b95717e, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd1da99cf, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0x36f8821e, "kmem_cache_destroy" },
	{ 0xf2b002a1, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd71bcdeb, "skb_queue_head" },
	{ 0x2cdf87a1, "proc_dointvec_minmax" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "libcrc32c");


MODULE_INFO(srcversion, "CAA983252C961711E65161B");

MODULE_INFO(suserelease, "SLE15-SP6");
