#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(smc_hash_sk, 0x7ea2979a, "_gpl");
SYMBOL_CRC(smc_unhash_sk, 0xaeb3151d, "_gpl");
SYMBOL_CRC(smc_proto, 0xa9ec3702, "_gpl");
SYMBOL_CRC(smc_proto6, 0x1b53f789, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0x77cf368d, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0x40dd8ef3, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0x49bcaac3, "");
SYMBOL_CRC(__SCT__tp_func_smc_switch_to_fallback, 0x1e612b77, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0x520b572d, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0xe927e14d, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0xede31858, "");
SYMBOL_CRC(__SCT__tp_func_smc_tx_sendmsg, 0x87ccd0c7, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0xd0aa4acc, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0xdf416e78, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0x6f4205b9, "");
SYMBOL_CRC(__SCT__tp_func_smc_rx_recvmsg, 0x3ac4e1c7, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0x06234dd3, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0x3465fe5f, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0xb9cb02a6, "");
SYMBOL_CRC(__SCT__tp_func_smcr_link_down, 0x3bcd3bb9, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x1cf516e6, "netdev_lower_get_next" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc3db961c, "sk_send_sigurg" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x40bfaf1a, "ib_unregister_client" },
	{ 0x3034b5a, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92df73c5, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdf6b082f, "proc_dointvec_jiffies" },
	{ 0x4fb29280, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x464d90e9, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xdb12d772, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x85208454, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x92ed54f2, "dma_unmap_page_attrs" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8cbe1c9, "kernel_bind" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x2c846d84, "dma_sync_single_for_device" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x135ffde4, "genlmsg_put" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x1e754ba, "__put_devmap_managed_page_refs" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc24219e2, "ib_dereg_mr_user" },
	{ 0x280df45d, "__tracepoint_sk_data_ready" },
	{ 0xc68a20bf, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xeeffe10c, "kernel_accept" },
	{ 0x4d98753b, "rdma_dev_access_netns" },
	{ 0xe22edb46, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xefc0501e, "ip_route_output_flow" },
	{ 0x44430d1f, "get_device" },
	{ 0x20b8c6c6, "sk_stream_error" },
	{ 0x92797d21, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x639c14c7, "sock_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x80a63efd, "sk_error_report" },
	{ 0x9e7ae3a4, "register_pernet_subsys" },
	{ 0x40df1fe, "dev_driver_string" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xae9ab65, "tcp_abort" },
	{ 0x72320197, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85c95cfc, "dma_map_page_attrs" },
	{ 0xb67a7d11, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0xbab9948f, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf48417c9, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf2b97d25, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xfe3ddc26, "ib_register_event_handler" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x511576c3, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb65ede42, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x1d0c7591, "ib_unregister_event_handler" },
	{ 0x940a0119, "proto_register" },
	{ 0x1f568b33, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x8de93385, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x67a4f1, "ib_map_mr_sg" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x91259ea2, "generic_pipe_buf_get" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0xffecc215, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2e1737b5, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe504a696, "netlink_unicast" },
	{ 0x92f683b5, "__SCK__tp_func_sk_data_ready" },
	{ 0xb02d0ec3, "rdma_put_gid_attr" },
	{ 0x2f5cd23e, "kernel_getsockname" },
	{ 0x5ea54656, "sk_free" },
	{ 0xca2dea1e, "sock_wake_async" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0x907c12b, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb15003b0, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0x7965889, "nla_put" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x638aff11, "proc_douintvec_minmax" },
	{ 0xd983a9b3, "dma_need_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa817e96e, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xdad0795a, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc7b6d7f4, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xea92ab1a, "sk_alloc" },
	{ 0x7362acee, "ib_destroy_qp_user" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd5061a64, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x28e978f4, "dma_sync_single_for_cpu" },
	{ 0xc37eb178, "kernel_connect" },
	{ 0x519f2527, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb86495ff, "sk_wait_data" },
	{ 0x8263a6d9, "proc_douintvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x22b6e20a, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x78bc823f, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xd76fdd05, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x92236450, "skb_trim" },
	{ 0x24fd980b, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3796e40, "tcp_register_ulp" },
	{ 0xf1e60551, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdc9d7d8, "kernel_listen" },
	{ 0xaa4d1077, "ib_dma_virt_map_sg" },
	{ 0x5da9c852, "neigh_destroy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xcd7da02f, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x60fd4d22, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x48f392fd, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9adbb35b, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x181926cc, "dev_get_by_name" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd07b39a2, "dst_release" },
	{ 0x2dea17db, "sk_stream_wait_connect" },
	{ 0x2dfa0109, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x9d195ac2, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8db07d1e, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xb52e1f10, "netdev_walk_all_lower_dev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf0b9ea9e, "vlan_dev_vlan_id" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0xc6b74306, "ib_dealloc_pd_user" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6865b387, "rdma_get_gid_attr" },
	{ 0xb97cc4d3, "dma_unmap_sg_attrs" },
	{ 0x4f6e28a6, "genl_unregister_family" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x45651b09, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa445b652, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xd1da99cf, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xf2b002a1, "release_sock" },
	{ 0xa30ba6ca, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2cdf87a1, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "24E01EA0295445223C1A643");

MODULE_INFO(suserelease, "SLE15-SP6");
