#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x9524b0ec, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x131657a8, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x0fdefb49, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xf09af938, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0xd3bfba92, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x96bac4f6, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x31fa0830, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x298b17e4, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x603d0094, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x9d437fe1, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x44bdf6c6, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x9bd99926, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xf2a91169, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x1b94116c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x2203e0c4, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x64fe951b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x5d75ecae, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xd3bb5f6c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x4a78c040, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x03504701, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x4411b1c0, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x38465e68, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x6e367ab5, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x8dd0ec2e, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x57beca71, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x7df1d17b, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xb63c91fb, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x82bdee98, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xd41a2e71, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xf260902d, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xa3ce04ac, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x041aa646, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x69090bdd, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xd0345176, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x0c670cdf, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0xd9a0dfd8, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee5673f4, "vsock_enqueue_accept" },
	{ 0x464c0da9, "vsock_insert_connected" },
	{ 0xcc7ab9a, "skb_put" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0x52aaeb80, "trace_raw_output_prep" },
	{ 0x75d9ba5f, "__trace_trigger_soft_disabled" },
	{ 0x49b623c9, "vsock_remove_sock" },
	{ 0xbdd3744a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xdc4f29e9, "vsock_deliver_tap" },
	{ 0x330f006e, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x80a63efd, "sk_error_report" },
	{ 0x4a794f74, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4243e490, "vsock_find_bound_socket" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x511576c3, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe0e9ab8, "perf_trace_run_bpf_submit" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x5ea54656, "sk_free" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0xc34b4265, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x41c20ba2, "__skb_recv_datagram" },
	{ 0xdad0795a, "lock_sock_nested" },
	{ 0x33db5e77, "vsock_stream_has_data" },
	{ 0xf8ad332d, "skb_copy_datagram_iter" },
	{ 0x22d6141b, "bpf_trace_run9" },
	{ 0x8b4eb171, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xcd142d94, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x45ee88d6, "bpf_trace_run10" },
	{ 0xcf2423e5, "vsock_core_get_transport" },
	{ 0xcfdd9a6e, "__zerocopy_sg_from_iter" },
	{ 0x139b8cbc, "vsock_stream_has_space" },
	{ 0xecef080e, "skb_set_owner_w" },
	{ 0x57a1605e, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2dfa0109, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xb2a6cf32, "msg_zerocopy_realloc" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x17e3fdb6, "vsock_create_connected" },
	{ 0x2bff26cb, "vsock_assign_transport" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf096065, "iov_iter_npages" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xf2b002a1, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc2cac251, "vsock_data_ready" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "1CC52BD7C32306A84247A36");

MODULE_INFO(suserelease, "SLE15-SP6");
