#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xc92f7f50, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x464c0da9, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x12d6f9e5, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x14f55928, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x4243e490, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x8b4eb171, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x49b623c9, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x9c2375e4, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0xfdf28173, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x69301c73, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xee5673f4, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x2bff26cb, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x17e3fdb6, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x33db5e77, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0xdd153080, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x139b8cbc, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0xc2cac251, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x0fb81215, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x6295abb6, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0xcf2423e5, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xfe56fd1f, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x46f65b72, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0xfd390d99, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x04fe3afb, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0xdc4f29e9, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xd5db5bb9, "sock_map_close" },
	{ 0xebdd1545, "sock_queue_rcv_skb_reason" },
	{ 0x63cd545b, "try_module_get" },
	{ 0x46b1d77c, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf5bc98c8, "consume_skb" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe22edb46, "__module_get" },
	{ 0x20b8c6c6, "sk_stream_error" },
	{ 0xc9aace70, "sk_msg_recvmsg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf496101a, "ns_capable_noaudit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x36e26217, "__put_cred" },
	{ 0x80a63efd, "sk_error_report" },
	{ 0x1f0e4b58, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xbab9948f, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf48417c9, "sock_register" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x940a0119, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd197a7a8, "module_put" },
	{ 0xb106c33c, "sk_msg_is_readable" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5ea54656, "sk_free" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0xc47ed185, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x30566a86, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf4d2fb2a, "sock_recv_errqueue" },
	{ 0xdad0795a, "lock_sock_nested" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xea92ab1a, "sk_alloc" },
	{ 0x519f2527, "sock_no_socketpair" },
	{ 0xeaec6cf7, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x78bc823f, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x825f7e79, "nonseekable_open" },
	{ 0x6fb2ec8, "sk_psock_drop" },
	{ 0xa6cf24cb, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe55047a8, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x28bca6d9, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x7dfe852d, "sock_no_ioctl" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xcaebdd65, "sock_setsockopt" },
	{ 0xd1da99cf, "sock_init_data" },
	{ 0xf2b002a1, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F86D2E0DAE7728B3591D858");

MODULE_INFO(suserelease, "SLE15-SP6");
