#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(xfrm_msg_min, 0x4a0c7516, "_gpl");
SYMBOL_CRC(xfrma_policy, 0x205adfce, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x127d83ea, "security_locked_down" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xfb578fc5, "memset" },
	{ 0x9166fada, "strncpy" },
	{ 0xcf8fc432, "netlink_broadcast_filtered" },
	{ 0x2e1737b5, "init_net" },
	{ 0xd7154f51, "__fib6_flush_trees" },
	{ 0xb01bebf9, "xfrm_get_acqseq" },
	{ 0x2d11c9dd, "xfrm_state_lookup_byaddr" },
	{ 0xabd7b36, "xfrm_state_lookup" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0xbd8fabdf, "xfrm_audit_state_delete" },
	{ 0xf682177e, "__xfrm_state_destroy" },
	{ 0x613ba71b, "xfrm_state_delete" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c6398d2, "km_state_expired" },
	{ 0xae35fe59, "__xfrm_state_delete" },
	{ 0xa8e6ef2b, "xfrm_policy_destroy" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0xf31cc693, "xfrm_dev_policy_add" },
	{ 0x1e068c69, "xfrm_state_alloc" },
	{ 0xe4cc8c88, "xfrm_state_free" },
	{ 0x8093f4dc, "km_query" },
	{ 0x896ac17f, "xfrm_policy_insert" },
	{ 0x5b378cca, "xfrm_audit_policy_add" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0x15377409, "xfrm_find_acq_byseq" },
	{ 0x102fe22e, "xfrm_alloc_spi" },
	{ 0x6d4c7a46, "xfrm_find_acq" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0x754d539c, "strlen" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0x7985fd7d, "__xfrm_init_state" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0x57355109, "xfrm_init_replay" },
	{ 0x34866b7, "xfrm_dev_state_add" },
	{ 0xaba5a4d8, "xfrm_state_update" },
	{ 0xd9d478ce, "xfrm_audit_state_add" },
	{ 0xcaf5b97a, "xfrm_state_add" },
	{ 0x33c33995, "xfrm_dev_state_delete" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5304bfd, "xfrm_policy_byid" },
	{ 0x9bbac367, "km_policy_expired" },
	{ 0xd7f5b2e6, "xfrm_policy_bysel_ctx" },
	{ 0xd3e419b6, "xfrm_policy_delete" },
	{ 0x956a7b, "xfrm_audit_policy_delete" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x9e7ae3a4, "register_pernet_subsys" },
	{ 0x6129a331, "xfrm_register_km" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c7c79cd, "netlink_has_listeners" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7965889, "nla_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4122fac9, "nla_reserve" },
	{ 0x2964a13, "netlink_kernel_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb52ab563, "netlink_rcv_skb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x511576c3, "__alloc_skb" },
	{ 0x92df73c5, "__nlmsg_put" },
	{ 0xe504a696, "netlink_unicast" },
	{ 0xa0eca5b2, "kfree_skb_reason" },
	{ 0xf24d10b2, "xfrm_spd_getinfo" },
	{ 0x92236450, "skb_trim" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xab67b907, "xfrm_policy_hash_rebuild" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe8d1406a, "xfrm_sad_getinfo" },
	{ 0x3c544662, "xfrm_state_flush" },
	{ 0x50c2eff3, "km_state_notify" },
	{ 0xb1895fd, "xfrm_policy_walk_done" },
	{ 0x4e22876, "xfrm_policy_walk" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0x4f0ee518, "xfrm_state_walk_done" },
	{ 0x3427ed2d, "__netlink_kernel_create" },
	{ 0xf468c365, "xfrm_unregister_km" },
	{ 0xd5061a64, "unregister_pernet_subsys" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9f894d7, "xfrm_migrate" },
	{ 0x37a0cba, "kfree" },
	{ 0xc32ed552, "xfrm_policy_flush" },
	{ 0x7d13ec8b, "km_policy_notify" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0xda3a1ea9, "netlink_net_capable" },
	{ 0x3be58b66, "pcpu_hot" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x476aedcf, "xfrm_get_translator" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x61d9ef14, "xfrm_put_translator" },
	{ 0x63bf787e, "__netlink_dump_start" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x79506b57, "xfrm_state_walk" },
	{ 0xc7d58fc8, "xfrm_policy_alloc" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "7412D137A39C7D8785AFCD2");

MODULE_INFO(suserelease, "SLE15-SP6");
